Untitled

SQL Manager 2005 for SQL Server
  • Index
  • Next »

Welcome to SQL Manager 2005 for SQL Server!

EMS SQL Manager 2005 for SQL Server is a powerful tool for SQL Server administration and development. SQL Manager 2005 for SQL Server works with any SQL Server versions from 7 to 2005 and supports all of the latest features including assembiles, DDL triggers, synonyms, typed XML columns, and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager 2005 for SQL Server has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

EMS SQL Manager 2005 for SQL Server new features:

Latest SQL Server versions support

· Full compatibility with any SQL Server version from 7 to 2005.
· Full support of SQL Server 2005 permission system.
· DDL Triggers, Synonyms and Aggregates support.
· Typed XML columns.

Significantly improved user interface

· New well-described Wizard System to perform complex tasks easily.
· Fast accessing to most essential actions using Navigation bars in most of the windows.
· New Windows Toolbar to switch between windows easily, like Windows Task Bar.
· Office 11 and Windows XP visual schemes support.

Improved Database Explorer

· Creating tabs for any tree node to access it in one-click!
· Work with multiple selected objects at a time.
· Much more convenient toolbar and context menu.

New powerful tools to perform SQL Server administrative tasks

· Server and database properties windows.
· DTS Packages management tool.

Visual Database Designer to handle database structure in a few clicks

· Creating diagram of existing database using Reverse engineering tool.
· Dividing diagram into different subject areas located on separate pages.
· Navigating through diagram using preview navigation tool.
· Creating/editing/dropping tables and table fields visually setting links between them.
· Saving as image or printing database diagram.
· Two diagram notations (IDEF1x and IE).
· A lot of visual customization options.

New powerful data management tools

· Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
· Master-Detail View to work with two linked tables at the same time.
· Table and Card Views to see data the way you like.
· Ability to copy and paste selected records.
· Advanced printing system.
· Fully customizable interface.

Improved report management

· New Create Report Wizard allows you to create simple report in a few clicks.
· Managing reports the same way as if they were a database object: accessing reports directly through DB Explorer tree.


  • Index
  • « Prev
  • Next »

What's new?

EMS SQL Manager 2005 for SQL Server
2. 3. 0. 1 - April 17, 2006

What's New in EMS SQL Manager 2005 for SQL Server?

1. Editor Options. Key Mapping tab added which allows you to set the shortcuts for SQL editors.
2. XML Schema Collections support is implemented
3. Query Builder.
· Query execution plan is now displayed as a graphical diagram.
· Queries containing user-defined functiouns now supported.

4. Dependency Tree. The diagram can now be printed

5. SQL Editor.
· Now it's possible to rename and move query tabs
· Ability to execute statement under cursor added.
· Query execution time is now displayed in hh:mm:ss format.
· The timer in status bar area used to stay running on after aborting query execution.

6. SQL editors.
· Now you can set a source code fragment as a comment with a single click.
· Next Bookmark, Previous Bookmark context menu items added.
· With 'Trim trailing spaces' option on, an attempt to use Code Complete used to clear all the line. Fixed now.
· Dragging the field names from SQL Assistant works perfectly now.

7. Grant Manager. When opening Grant Manager window it was impossible to edit statement permissions without forced refresh. Fixed now.

8. HTML Report.
· Now you can include user and role information into a report.
· Ability to change header/footer of the report added.

9. Extract Database.
· The option adding the 'create database' statement to the script appeared.
· Server version is included into comments for the script now.

10. Environment Options. Now it's possible to set refreshing objects timeout. Refresh of the objects can be terminated after timeout expired if there is an active transaction that made any changes to metadata.

11. Open/save backup file dialogs now look more like standard ones in behaviour.

12. Import Data wizard.
· With 'Use transactions…' option disabled now in 'Commit changes manually' mode you will be prompted for an action on transaction.
· Ability to resize wizard window added.
· 'Division by zero' error used to appear after importing data with the 'Commit changes manually' option switched on. Fixed now.
· Having specified user-defined fields to import, the rest of them were filled with empty strings; so that default values defined for the fields were not applied. Fixed now.

13. Trigger Editor. When altering a trigger schema/owner's name wasn't added to the trigger name in the script generated, that in some cases raised errors. Fixed now.

14. Foreign key/check constraint editors. 'Not for replication' option added.

15. Visual Database Designer.
· It was impossible to drop table via corresponding context menu item when just a field, not the table itself, was selected. Fixed now.
· When dragging a table not from default schema (SQL Server 2005) from DB Explorer to the Query Builder working area an error used to appear and the table was not added. Fixed now.

16. Grid
· The 'Paste Cell' menu item didn't work in Lite version. Fixed now.
· In some rare cases the data of of bigint-typed fields were displayed improperly. Fixed now.
· With 'Column auto-width' option enabled BLOB field columns used to become too wide. Fixed now.

17. SQL Script. Confirmation of abort script execution added.

18. Restore Database.
· It was impossible to type in backup file name in corresponding window. Fixed now.
· Prompt for registration the database used to appear even if restoration was unsuccessful. Fixed now.

19. Job Editor. Fixed the bug with a wrong script generation when you saved the job in which the created schedule was deleted.

20. DB Explorer
· It was unable to open index or trigger via Recent Objects menu. Fixed now.
· Popup menu used to stay on top when switching between applications. Fixed now.
· After table duplication the indices and triggers of the new table were not displayed in DB Tree. Fixed now.

21. Export Data Wizard.
· With 'Export empty tables' option disabled on attempt to export an empty table there raised an error containng no text. Fixed now.
· In some cases, when exporting data to MS Excel format the 'Data format \ Styles' options used to work incorrectly. Fixed now.
· When exporting data to MS Excel format the user-adjusted Boolean True format used to be ignored. Fixed now.

22. Detach Database. Having used 'Clear connections' function, the database was still displayed in DB Tree and further attempts to access its objects returned errors. Fixed now.

23. Many other other small improvements and bugfixes.


  • Next »

System Requirements

System Requirements for Windows

· Pentium® 166MHz or higher recommended
· Microsoft® Windows® 95/98/Me/NT4/2000/XP/2003
· 32 MB RAM (64 MB or above is recommended)
· 20 MB of available HD space for program installation
· Windows® compatible video card with at least 800x600 resolution (1024x768 is recommended)
· Windows® compatible mouse or pointing device
· Possibility to connect to some local or remote SQL Server server

System Requirements for Linux

· Pentium® 166MHz or higher recommended
· Linux OS with glibc library version 2.1 or higher
· 32 MB RAM (64 MB or above is recommended)
· 10MB of available HD space for program installation
· X Window compatible video card with at least 800x600 resolution (1024x768 is recommended)
· X Window compatible mouse or pointing device
· Possibility to connect to some local or remote SQL Server server


Feature Matrix

 | Windows Professional | Windows Lite
Full support of SQL Server 2005
Full support of SQL Server 2005 permission system | + | +
Assemblies, DDL Triggers, Aggregates and Synonyms support | + | +
XML indexes, included index columns, index creation and lock options | + | +
Maximum size for varchar, nvarchar, varbinary fields | + | +
Typed XML columns | + | +
New state-of-the-art graphical user interface
MDI and floating-window styles implementation | + | +
Handy database explorer for managing all MS SQL objects | + | +
Customizable toolbars for all program windows | + | +
Fully customizable program interface | + | +
Powerful visual options module | + | +
Possibility of saving all the program settings | + | +
Localizable program interface | + | +
Rapid database management and navigation
Multiple host/database connections | + | +
Database and server properties management | + | –
Registering databases for working with the required databases only | + | +
Project mode to work with the needed database objects only | + | +
Multiple user-defined tabs for any tree node to access it in one-click. | + | +
Possibility of working with multiple selected objects at a time. | + | –
Grouping/ungrouping registered databases by host name | + | –
Easy management of all SQL Server objects
Creating/dropping databases and schemas | + | +
Managing tables and all their subobjects: fields, indices, triggers, checks and foreign keys | + | +
Managing views, procedures and user-defined functions | + | +
Managing assemblies, DDL triggers, aggregates, synonyms, defaults, rules and user-defined types | + | +
Duplicating all database objects | + | +
Viewing dependencies between database objects | + | –
Advanced data manipulation tools
Powerful BLOB viewer/editor with several types of viewing BLOB data | + | –
Plenty of useful tools such as data grouping, summarizing, fast searching and filtering | + | +
Master-detail view to work with two linked tables at the same time | + | –
Table and card views to see data the way you like | + | –
Ability to copy and paste selected records | + | –
Advanced printing system | + | –
Exporting data to SQL script as INSERT statement | + | –
Effective security management
Powerful login manager for administering server logins | + | +
Managing database users and user-defined roles | + | +
Grant manager displaying all database object grants in a form of a grid | + | +
Excellent visual and text tools for query building
Visual query builder allowing you to build complicated queries without any knowledge of SQL syntax | + | –
Multiple SQL editors with code completion and syntax highlight | + | +
Large script executing (SQL script editor) | + | +
Report designer with clear in use report construction wizard
New Create Report Wizard allows you to create simple reports in a few clicks | + | –
Managing reports the same way as if it was a database object: accessing reports directly trough DB Explorer tree | + | –
Impressive data export and import abilities
Exporting data to most popular formats: MS Excel, MS Word, HTML, PDF, TXT, CSV, DBF, XML, etc. | + | –
Exporting data to MS Access | + | –
Importing data from MS Excel, DBF, TXT and CSV | + | –
Importing data from MS Access | + | –
Bulk Insert wizard | + | –
Visual Database Designer to handle database structure in a few clicks
Creating diagram of existing database using Reverse engineering tool | + | –
Dividing diagram into different subject areas located on separate pages | + | –
Navigating through diagram using preview navigation tool | + | –
Creating/editing/dropping tables and table fields, visually setting links between them | + | –
Saving as image or printing database diagram | + | –
Two diagram notations (IDEF1x and IE) | + | –
A lot of visual customization options | + | –
Easy-to-use wizards performing SQL Server administrative tasks
Attaching database | + | –
Detaching database | + | –
Backing up database | + | –
Restoring database | + | –
Managing backup devices | + | –
Managing jobs, alerts and operators | + | –
Other useful tools to make your work with SQL Server as easy as it can be
Extracting metadata into text files or SQL script editor | + | –
Powerful print metadata module for creating customizable metadata reports | + | –
HTML report generator to create a detailed HTML report about your database quickly | + | –
SQL Monitor | + | +
And other useful features
Keyboard templates | + | +
To-do list | + | +
External tool manager | + | +


Installation of SQL Manager 2005 for SQL Server

If you install SQL Manager 2005 for SQL Server for the first time on your PC:

· Download the SQL Manager 2005 for SQL Server distribution package from the download page at our site;
· Unzip downloaded file to any local folder, e.g. c:\unzipped;
· Run setup.exe from the local folder and follow the instructions of installation wizard;
· After installation process is completed, find the SQL Manager 2005 for SQL Server shortcut at corresponding group of the Windows start menu.

If you want to upgrade installed copy of SQL Manager 2005 for SQL Server to the latest version:

· Download the SQL Manager 2005 for SQL Server executable file from the download page at our site;
· Unzip downloaded file to any local folder, e.g. c:\unzipped;
· Exit from SQL Manager 2005 for SQL Server if it is running;
· Replace previous version of SQL Manager 2005 for SQL Server by copying unzipped files to the EMS SQL Manager 2005 for SQL Server folder;
· Run SQL Manager 2005 for SQL Server using its shortcut at the Windows start menu.

Also you can use the full distribution package to upgrade your current version of SQL Manager 2005 for SQL Server. In this case, you should repeat the steps you have made for the first-time installation. Note that the full distribution package is quite larger than a single executable file.


Registration

To make it easier for you to purchase our products, we have contracted with share-it! registration service. The share-it! order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe. The following information about share-it! is provided for your convenience.

Share-it! is a global e-commerce provider for software and shareware sales via the Internet. Share-it! accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you have ordered EMS software online and would like to review your order information, or if you have questions about ordering, payments, or shipping procedures, please visit our Customer Care Center, provided by share-it!

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

SQL Manager 2005 for SQL Server

Product description | Price | Share It!
SQL Manager 2005 for SQL Server (business license) | $275 | Register Now!
SQL Manager 2005 for SQL Server Lite | Free! | Download Now!


End user License Agreement

Copyright (C) 1999-2006 EMS Database Management Solutions, Inc.
All rights reserved.

IMPORTANT: PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.

END USER LICENSE AGREEMENT
EMS Database Management Solutions, Inc. ("EMS") agrees to provide the user ("USER") with a copy of this software product ("SOFTWARE"), and grants the USER a limited license to use the SOFTWARE. This LICENSE AGREEMENT ("LICENSE") defines what the USER may do with the SOFTWARE, and contains limitations on warranties, liabilities and remedies. This LICENSE may be revoked by EMS at any time without notice if the USER fails to comply with the terms of this LICENSE. The copyright and all other rights in the SOFTWARE shall remain with EMS.

LICENSE OF UNREGISTERED SOFTWARE
An unregistered copy of the SOFTWARE ("UNREGISTERED SOFTWARE") may be used by the USER for evaluation purposes for a period of thirty (30) days following the initial installation of the UNREGISTERED SOFTWARE. At the end of the trial period ("TRIAL PERIOD"), the USER must either register the SOFTWARE or remove it from his system. The UNREGISTERED SOFTWARE may be freely copied and distributed to other users for their evaluation.

LICENSE OF REGISTERED SOFTWARE
A registered copy of the SOFTWARE ("REGISTERED SOFTWARE") allows the USER to use the SOFTWARE only on a single computer or network and only by a single user at a time. If the USER wishes to use the SOFTWARE for more than one user, the USER will need a separate license for each individual user. The USER is allowed to make one copy of the REGISTERED SOFTWARE for back-up purposes.

DISTRIBUTION OF UNREGISTERED SOFTWARE
The uninstalled, UNREGISTERED SOFTWARE may be freely copied and distributed to other users provided the USER complies with the following requirements. If the USER offers this uninstalled, UNREGISTERED SOFTWARE for download ("SHAREWARE SITE USER"), then the SHAREWARE SITE USER agrees to:
(1) Immediately replace this version of the uninstalled, UNREGISTERED SOFTWARE with a new version of this SOFTWARE if a new version is released by EMS, or
(2) Delete this version of the UNREGISTERED SOFTWARE immediately upon written email notice by EMS.

TERM OF LICENSE
This LICENSE shall continue for as long as the USER uses the REGISTERED SOFTWARE and/or distributes the UNREGISTERED SOFTWARE according to the terms of this agreement.
However, this LICENSE will terminate if the USER fails to comply with any of its terms or conditions. The USER agrees, upon termination, to destroy all copies of the REGISTERED and/or UNREGISTERED SOFTWARE. The limitations of warranties and liability set forth in this LICENSE shall continue in force even after termination.

ACCEPTANCE OF THIS LICENSE AGREEMENT
By downloading and/or installing this SOFTWARE, the USER agrees to the terms of this LICENSE.

DISCLAIMER OF WARRANTY AND LIABILITY

THE SOFTWARE AND THE ACCOMPANYING FILES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, EMS DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF PERFORMANCE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL EMS BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE.

ANY LIABILITY OF EMS WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF ORIGINAL PURCHASE PRICE.

OTHER RESTRICTIONS
The USER may not rent, lease, sublicense, translate, disassemble, reverse engineer, or de-compile the SOFTWARE, or modify or merge the SOFTWARE with any part of the software in another program. This LICENSE may not be assigned or otherwise transferred without the prior written consent of EMS.

INVALID PROVISIONS
If any provision of this LICENSE shall be declared invalid or unenforceable, the remaining provisions of this LICENSE shall remain in full force and effect to the fullest extent permitted by law. In such event, each provision of this LICENSE which is invalid or unenforceable shall be replaced with a provision as similar in terms to such invalid or unenforceable provision as may be possible which is legal and enforceable.

ENTIRE AGREEMENT
This LICENSE is the entire agreement between EMS and the USER, and supersedes any other agreement, oral or written, and may not be changed except by a written signed agreement.


Version History

Version | Release Date
SQL Manager 2005 for SQL Server 2.2.0.1 | February 7, 2006
SQL Manager 2005 for SQL Server 2.1.0.1 | November 16, 2005
SQL Manager 2005 for SQL Server 2.0.5.1 | October 26, 2005
SQL Manager 2005 for SQL Server 2.0.0.1 | October 14, 2005
MS SQL Manager 1.8.5.1 | June 27, 2005
MS SQL Manager 1.8.0.1 | December 14, 2004
MS SQL Manager 1.7.0.1 | September 9, 2004
MS SQL Manager 1.6.0.1 | May 31, 2004

Full version history is available at http://www.sqlmanager.net/products/mssql/manager/news.

Version 2.2.0.1 - February 7, 2006

1. SQL Editor. Query execution plan is now displayed as a graphical diagram.
2. SQL Formatter. Formats SELECT, INSERT, UPDATE, DELETE queries. (Available from SQL Editor context menu)
3. Grid.
· Now when pasting records from the clipboard, you can set correspondences between clipboard columns and query columns.
· Form view. Memo fields editor is extended (can be customized in Grid > Advanced tab of Environment Options dialog).
· Blob View. 'Word Wrap' option for text added.
· 'Set to Empty String' and other similar operations do not result in posting records in the table any more.

4. SQL Script.
· Progress in script execution is now displayed and execution process can be stopped.
· Several windows can now be opened simultaneously.
· SQL Script used to hang when a large (>10Mb) script was edited and Enable Parsing was on. Fixed now.
· Now some additional Types of Statements can be parsed.

5. SQL Editor.
· Query execution plan now works with SQL Server 2005.
· Now there are no limitations for the size of edited scripts.

6. Field Editor. Default constraints now can be renamed.

7. DTS Packages. Now you can remove imported packages.

8. Table Data. Not all the records added with the following COMMIT in 'Use transactions in Data tab of object editors, SQL Editor and Query Builder' mode (Tools tab) were displayed. Fixed now.

9. Exract Database. The following bugs are fixed:
· With 'Insert COMMIT after each block' option turned on, COMMIT was added but without corresponding BEGIN TRANSACTION.
· Empty not-NULL image fields used to be displayed incorrectly.
· dbo name was missing when generating INSERT INTO [dbo].[table_name].

10. Export as SQL Script. With 'Insert COMMIT after each block' option turned on, COMMIT was added but without corresponding BEGIN TRANSACTION. Fixed now.

11. Wrong dependency order was showed for Assemblies, Aggregates, Partition Functions and Partition Schemas: main object used to be diaplayed after the dependent one. Fixed.

12. Visual Database Designer. There were no changes seen in opened graphical diagram when the table name or any table field was edited.

13. Reorder Columns, Duplicate table, Extract Metadata. The tables with timestamp/rowversion field are processed properly now.

14. Switching program interface language took a long time if there were any databases connected. Fixed now.

15. Database Properties. If 'Auto file growth' option was off for a DB file, it couldn't be turned on. Fixed.

16. Attach Database. The following bugs are fixed:
· It was unable to set login and password using SQL Authentication.
· File name field did not contain the button to call 'Select File' dialog.

17. UDT Editor. 'For new columns only' options are processed properly now.

18. DB Explorer. following bugs are fixed:
· It was unable to duplicate triggers and indices
· After dropping a trigger or index it was still displayed in the DB Explorer tree.

19. Query Builder stores queries between sessions now.

20. 'Don't fill server lists in connection forms' option is added. It bans retrieving information about all SQL servers available on the local network because in some rare cases it might take a long time.

21. The border of SQL editor is now painted according to the current visual scheme.

22. Procedure Editor. If the FLOAT type was specified for procedure parameter and had value equal to 0, it used to be processed as NULL. Fixed now.

23. Restore Database > Select Backup Set. Sometimes due to the improper size of the dialog directory tree was not seen. Fixed.

24. The needed documentation page did not open for some forms when pressing F1. Fixed now.

25. Synonym Editor, Aggregate Editor. It was unable to create an object when <Default> scheme was selected because of wrong script generation. Fixed now.

26. Create Database wizard. If log and data files had the same names when creating a database the log file was not created. Fixed now.

27. Aggregate Editor.
· If parameter doesn't contain '@' symbol it is added automatically now.
· Turning 'Max Size' option on disables 'Size' field now.

28. Fixed the bug with the Code Completion dropdown list which could be partially covered with Windows Taskbar.

29. On continuous holding F5 button to refresh the objects in DB Explorer they used to double. Fixed now.

30. Table/Field Editor. Identity seed is now displayed properly for the values bigger than 65536.

31. Check Editor. 'Check existing data' option is not cleared anymore after compiling current check.

32. After renaming the object its name was not refreshed in DB Explorer context menu. Fixed now.

33. For some forms Refresh operation could not be made with F5 button. Fixed now.

34. Other small improvements and bugfixes.

Version 2.1.0.1 - November 16, 2005

1. Partition functions and partition schemes are now supported.

2. Added ability to work with linked servers.

3. German localization is implemented (Michael Albrecht).

4. Export Data/Import Data Wizard. In Templates drop-down menu "Save Current Settings as Default" and "Reset Saved Settings" options are added.

5. New editor options added: Trim trailing spaces, Drag and drop text, Group undo, Keep caret horizontal position.

6. Grid. Large queries were opening very slowly because the switch to Grid Mode Load All Rows was executed after the grid was filled. Fixed now.

7. Export Data Wizard. Added Finish button that launches Wizard at any moment.

8. Export as SQL Script and Extract Database gave values of datetime type in the formats predefined in Windows settings, which sometimes caused execution errors. Fixed now.

9. When creating CLR user-defined data type a correct script is generated now.

10. Unicode data are now displayed correctly for the system language for non-Unicode programs.

11. Object Editors. When pressing F5 in the subobjects lists Access Violation error occurred. Fixed now.

12. Window List. Added Close window action into context menu.

13. "Don't save query text" option available back in version 1.x of the program is now restored to SQL Editor.

14. Grid. Adding level bound by several fields caused "Invalid column name" error. Fixed now.

15. Save Settings. Multi-line keyboard templates were blank when imported from file. Fixed now.

16. Keyboard Templates. #Date tag gave the wrong date. Fixed now.

17. Printing now works correctly in Aggregates, DDL Triggers, and Synonyms editors.

18. Index Editor. Clicking the header of selected fields list returned the Access violation error if the list was empty. Fixed now.

19. SQL Script is now saved with any content of the editor.

20. Allow parameters in SQL (Tools tab of Environment Options dialog) for open Query Builder and SQL Editor windows can now be activated. Also, when running queries asynchronously the values of parameters were not taken. Fixed now.

Version 2.0.5.1 - October 26, 2005

1. When closing the program it gave a number of errors if no other programs were running. The bug is fixed.

2. Field default values are displayed correctly now when working with SQL Server 2005.

3. SQL Editor.
- Text search didn't work when called through editor context menu.
- Sometimes Limit bar was displayed for grid.
- Code Completion across databases didn't work by table alias with owner (schema) not specified.
- Code Completion by table aliases didn't work after 10-15 table lines down the text.
- When adding new tab and trying to delete a row, Access Violation error emerged.
The bugs are fixed.

4. Database Registration Info. Display Options weren't saved after closing/starting the program. Fixed now.

5. Now the size of stored procedure and UDF parameters is shown correctly.

6. SQL Script. Access Violation error arose when opening Code Completion if there were no connected databases. The bug is fixed.

7. DB Explorer. Now the parameter information of some stored procedures types is displayed correctly in SQL Assistant.

8. Grid. Filtering by value that had an apostrophe (') character wasn't functioning. Fixed now.

Version 2.0.0.1 - October 14, 2005

Latest SQL Server versions support

· Full compatibility with any SQL Server version from 7 to 2005.
· Full support of SQL Server 2005 permission system.
· DDL Triggers, Synonyms and Aggregates support.
· Typed XML columns.

Significantly improved user interface

· New well-described Wizard System to perform complex tasks easily.
· Fast accessing to most essential actions using Navigation bars in most of the windows.
· New Windows Toolbar to switch between windows easily, like Windows Task Bar.
· Office 11 and Windows XP visual schemes support.

Improved Database Explorer

· Creating tabs for any tree node to access it in one-click!
· Work with multiple selected objects at a time.
· Much more convenient toolbar and context menu.

New powerful tools to perform SQL Server administrative tasks

· Server and database properties windows.
· DTS Packages management tool.

Visual Database Designer to handle database structure in a few clicks

· Creating diagram of existing database using Reverse engineering tool.
· Dividing diagram into different subject areas located on separate pages.
· Navigating through diagram using preview navigation tool.
· Creating/editing/dropping tables and table fields visually setting links between them.
· Saving as image or printing database diagram.
· Two diagram notations (IDEF1x and IE).
· A lot of visual customization options.

New powerful data management tools

· Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
· Master-Detail View to work with two linked tables at the same time.
· Table and Card Views to see data the way you like.
· Ability to copy and paste selected records.
· Advanced printing system.
· Fully customizable interface.

Improved report management

· New Create Report Wizard allows you to create simple report in a few clicks.
· Managing reports the same way as if they were a database object: accessing reports directly through DB Explorer tree.

Version 1.8.5.1 - June 27, 2005

1. Support of SQL Server 2005.

2. When error arose in SQL Editor or Changing Metadata window the cursor is placed to the proper place.

3. Create Table. We have improved editing abilities in the fields' grid.

4. Editor Options. Implemented 'Convert Tab character to spaces' option.

5. SQL Editor. Implemented 'Don't save query text' option.

6. SQL Editor. Appeared ability to reset current execution point - added the corresponding item in context menu.

7. Table Editor. Confirmation request wasn't shown when deleting table subobjects even if the corresponding option was on.

8. Query Builder. WHERE part was parsed incorrectly if there were several IN operators - the list was duplicated.

9. Timeouts didn't work in SQL Script.

10. Sometimes when disconnecting from a database, its objects refreshed if viewing table subobjects was off.

11. Grid. Time value wasn't shown when trying to enter edit mode for datetime fields.

12. When trying to open a procedure with number (e.g. proc;1) arose an error saying that the procedure was not found in the database.

13. The program hanged when using keyboard templates if Windows clipboard had # (hash) symbol.

14. To-Do List. Fixed the bug with a second copy of an item appeared when editing it.

15. Table Editor, Dependency tab. Tables with foreign keys referring to the opened table weren't shown in the dependent objects list.

16. If Clustered checkbox was off when creating an index, the keyword NONCLUSTERED wasn't added to script, which led to creating clustered primary key even if this option was off.

17. Shortcuts for tabs didn't work. Now it is solved.

18. Solved the problem with not restoring the state of the main form's window when running the program.

19. It was impossible to edit fields having point (.) or 'on' word in their name.

20. Code Completion didn't work with table aliases which had dollar sign ($) in their name, e.g. "TableName$".

21. Editor Options. Decreased minimum possible value for Quick Code delay.

Version 1.8.0.1 - December 14, 2004

1. We have implemented the ability to autogenerate names for the table's subobjects on their creating. You can customize the name templates or disable this option on the Naming Rules tab of the Environment Options dialog.

2. Extract Metadata. Changed the sequence of some operator types to register possible dependencies between objects. Included support for identity and calculated fields. Added ability to generate IF EXISTS... DROP statements.

3. SQL Editor. Now it is possible to view the query results on the same tab with the query text.

4. There is the new ability to disable showing the Changing Metadata window using the corresponding option in Confirmations tab of Environment Options dialog.

5. Query Builder. Access Violation error emerged when adding a criterion and closing a form. The bug is fixed.

6. Table Data. The error 'DataD: Cannot perform this operation on a closed dataset' doesn't appear anymore.

7. On creating unique index you can now select whether to create an index or a constraint.

8. Grid. Added the ability to set format for the money fields in the Environment Options dialog on the Grid tab.

9. Table Data. Fixed the bug with not saving the Grid layout.

10. 'Make hidden Table Explorer visible on new table window' option is substituted for 'Hide Table Explorer'. A new button is added in the toolbar of Table editor to show/hide the explorer.

11. If the field was indexed, you couldn't change its type or NOT NULL constraint - the script error arose. The problem is solved.

12. Extract Metadata & Export As Insert. When extracting BLOB data the final bytes with 0x00 value were cut. Fixed now.

13. Export Data wizard. When the 'Current record only' option was selected the cursor jumped to the first record and the first record was exported. The problem is solved.

14. When running the program you couldn't shut down Windows. The bug is fixed.

15. Print Metadata. Fixed the bug with not filling out the Primary Key and Unique columns of table fields.

16. Now the Help \ 'Send bug report to' menu item is passed to our Support Ticket System.

17. The 'Class TSynEdit not found' error arose when trying to open the localization form. Fixed now.

Version 1.7.0.1 - September 09, 2004

1. We have implemented a new form for creating tables. Now it allows you to define all the table fields before table creation.

2. Import Wizard: We have added an ability of defining an error log file name.

3. Backup/Restore. While working with large databases, operation was canceled by timeout in 30 seconds. Problem is solved.

4. Code Completion.
· Processor loading was raised after the window "code completion" had been opened in non-default localization. Fixed now.
· It bounced back to the top of the list after you started typing. The problem is solved.
· The view isn't canceled in case the space is entered or the cursor is moved after typing a letter or number.The bug is fixed.
· The problem with re-opening code completion window after inserting the word is solved

5. Export As Insert: in float fields dot is used as a fractional part separator now.

6. The bug that caused only tree-choice of backup filename in case of using non-logical device is fixed now.

7. The wrong script was generated when Nou Null field with Unique limit and without default value had been added. Problem is solved.

8. After the field with unique non-constrained index had been changed, the wrong script was generated. The bug is fixed.

9. Available permissions were defined wrong for UDF. Problem is solved.

10. Edit login. The password can't be cleared. Fixed now.

11. Delete confirmation is requested now when deleting query pages.

12. Integer field changes (if field was not in edit mode) weren't correctly saved. Problem is solved.

13. The font size changes in Environment Options weren't spread at menu and toolbar. The bug is fixed.

14. The error "RecordIndex out of range" appearing when editing database file list is corrected now.

15. The Row Guid flag can't be changed for fields with type "uniqueidentifier". Fixed now.

16. Sometimes after upgrade to a new product version the language settings can be changed. Problem is solved.

17. Export to XML. If table field names contained spaces, the summary-file wouldn't open. The bug is fixed.

18. Changing metadata window: now the editor font is determined by the database properties instead of the previous default.

Version 1.6.0.1 - May 31, 2004

1. We have significantly improved the Export Dialog. Now you can add notes, hyperlinks, and charts based on exported data to Excel documents. You can also define graphical styles for column captions, data, footer, and header on export to RTF documents. An ability to define strip styles is also included.

2. We have significantly improved the Import Data Wizard to make most of new abilities of EMS QuickImport 2 component suite available in MS SQL Manager:
· Import from XML format is available now.
· An ability to import data from different Excel sheets is implemented.
· An ability to import formulas from Excel is added.

3. We have implemented a new service - Backup Devices Manager. You can access this new service via the Services menu.

4. SQL Editor: Now you can use the Shift+Ctrl+Spacebar key combination to view function parameters after you entered a function name in your code. The Shift+Ctrl+P key combination can be used to insert names of the function parameters into your code.

5. Duplicate Table: With this version you can copy the table data along with the table structure.

6. We have added a new localization - Chinese (Simplified).

7. The Database Metadata Log now contains only records that are executed completely and not rolled back.

8. The Database SQL Editor Log now contains only statements that are executed successfully. You can disable this feature using the corresponding option on the SQL Editor tab of the Environment Options dialog.

9. Now the program correctly shows all the objects on the Dependencies tab.

10. If the table contained a calculated field with more than 4000-char length, then the 'List index is out of bounds' error appeared. We have fixed it.

11. Form View: NULL values of date fields were displayed as 30.12.1899.


SQL Manager 2005 for SQL Server FAQ

Please read this page attentively if you have questions about EMS SQL Manager 2005 for SQL Server.

Table of contents

Product Questions
· What is EMS SQL Manager for SQL Server?
· What is the difference between Professional/Lite and Windows/Linux editions of EMS SQL Manager for SQL Server?
· What do I need to start working with EMS SQL Manager for SQL Server?
· What is the difference between the Export/Import functions in the SQL Manager for SQL Server tool and the Data Export/Import for SQL Server utilities?
· What is the difference between the Query Builder module in the SQL Manager for SQL Server tool and the SQL Query for SQL Server utility?
· What is the difference between the Extract Metadata function in SQL Manager for SQL Server and the DB Extract for SQL Server utility?

Common Questions
· I can't modify DDL. Why?
· How can I customize data formats in a grid?
· When I create database objects, their names are always converted to lower case. How I can prevent it?
· I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
· I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
· I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in SQL Manager for SQL Server?

Export/Import Questions
· I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
· I'm trying to export table, but LONGTEXT fields are not exported.
· What is the difference between the "Extract Metadata" and "Export As Insert" functions?
· How do I change the default directory where exported data will be saved?

Question list

Product Questions
Q: What is EMS SQL Manager for SQL Server?
A: EMS SQL Manager 2005 for SQL Server is a powerful tool for Microsoft® SQL Server administration and development. SQL Manager 2005 for SQL Server works with any SQL Serverversions from 7 to 2005 and supports all of the latest features including assembiles, DDL triggers, synonyms, typed XML columns, and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager 2005 for SQL Server has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Q: What is the difference between Professional/Lite and Windows/Linux editions of EMS SQL Manager for SQL Server?
A: These editions of SQL Manager for SQL Server differ in price and features. To register SQL Manager for SQL Server see our Purchase Page, and to learn about the difference in features please go to our Feature Matrix Page.

Q: What do I need to start working with EMS SQL Manager for SQL Server?
A: First of all you must have a possibility to connect to some local or remote SQL Server to work with SQL Manager for SQL Server. Besides you need your computer to satisfy the system requirements of SQL Manager for SQL Server. SQL Manager for SQL Server runs on Windows 95/98/Me/NT4/2000/XP and Pentium 166, 32 Mb RAM is recommended.

Q: What is the difference between the Export/Import functions in the SQL Manager for SQL Server tool and the Data Export/Import for SQL Server utilities?
A: The Data Export/Import for SQL Server utilities includes some additional features, which are not available in SQL Manager such as:
· export/import data from/to several tables at once;
· export/import data from/to tables selected from different databases on one host;
· command line utility to export/import data using the configuration file with all the export/import options.

Q: What is the difference between the Query Builder module in the SQL Manager for SQL Server tool and the SQL Query for SQL Server utility?
A: First of all, SQL Query works faster as it is a much lighter product. Besides it provides additional features for query building, e.g.:
· "favorite" queries to find and execute often-used queries quickly;
· keeping query history, which allows you to rollback to any edited query;
· various interface improvements for more productive and easy work;

Q: What is the difference between the Extract Metadata function in SQL Manager for SQL Server and the DB Extract for SQL Server utility?
A: The DB Extract utility includes some additional features, which are not available in SQL Manager, such as:
· extracting metadata from several databases on one host;
· console application for executing extract in one-touch;
· faster execution speed;

Scroll to top

Common Questions
Q: I can't modify DDL. Why?
A: The 'DDL' tabs of the Table Editor and UDF Editor are read-only. They display the SQL text of the operations you carry over the table on the tabs 'Fields', 'Indices', etc, or over the UDF. To modify this text you can copy it to the clipboard and modify it using SQL Script Editor.

Q: When I create database objects, their names are always converted to lower case. How I can prevent it??
A: You need to switch off the "Convert created object's names to lower case" option in Environment Options dialog.

Q: How can I customize data formats in a grid?
A: You can customize all display formats: integer, float, date, time and date/time in the Environment Options window.

Q: I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
A: To get data source in a report you need to add a dialog form to the report (menu 'Edit' \ 'Add dialog form' of Report Designer), then place database and query components from the left designer panel on it and set connection and query properties. Then the query appears in data source lists.

Q: I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
A: Please select the option 'Initiate a row-by-row result set retrieval' on 'Grid' \ 'Advanced' tab of Environment Options dialog.

Q: I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in SQL Manager for SQL Server?
A: Database Registration Info dialog contains Log tab where you can enable logging metadata changes, which are performed on a database, and SQL statements, that are executed in SQL Editor.

Scroll to top

Export/Import Questions
Q: I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
A: The Export Data function exports only records those are currently selected in the grid view. The selection is limited by 1000 by default, so you should increase this value to select all the records to be able to export them all. Also you can set the default limit value on the Grid tab of the Environment Options dialog.

Q: I'm trying to export table, but LONGTEXT fields are not exported.
A: Fields of types TEXT, LONGTEXT are not exported by default. You should select these fields manually on the Fields tab.

Q: What is the difference between the "Extract Metadata" and "Export As Insert" functions?
A: "Export As Insert" is intended to export table data that will be inserted into a database system other than PostgreSQL server. Use "Extract Metadata" to copy data to a table on PostgreSQL server.

Q: How do I change the default directory where exported data will be saved?
A: Follow the steps below to change directory.
1. Right click on database you need in DB Explorer and click on "Database Registration Info..." item in popup menu (you can also find out this item in main menu "Database"). The Database Properties form will be opened.
2. Click on the "Save Options" tab.
3. In the "Default Directory for Export Data" section you can choose the default directory for export file.

If you still have any questions, contact us at Support Center.


Other EMS Products

Quick navigation

mysql
MySQL

postgresql
PostgreSQL

mssql
Microsoft SQL

ibfb
InterBase / FireBird

db2
IBM DB2

dbisam
DBISAM

tools
Tools & components

MySQL

SQL Manager for MySQL
EMS SQL Manager™ for MySQL is a high performance graphical tool for MySQL® Server administration and development.

Data Export for MySQL
EMS Data Export™ for MySQL is a powerful program to export your data quickly from MySQL® databases into the most popular office programs formats.

Data Import for MySQL
EMS Data Import™ for MySQL is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to MySQL® tables.

Data Pump for MySQL
EMS Data Pump™ for MySQL is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for MySQL
EMS Data Generator™ for MySQL is an impressive utility for generating test data to several MySQL® database tables at once.

DB Comparer for MySQL
DB Comparer™ for MySQL is an excellent tool for comparing MySQL® databases and discovering differences in their structure.

DB Extract for MySQL
EMS DB Extract™ for MySQL is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for MySQL
EMS SQL Query for MySQL is a utility that lets you quickly and simply build SQL queries to MySQL® databases.

Data Comparer for MySQL
EMS Data Comparer™ for MySQL is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

PostgreSQL

SQL Manager for PostgreSQL
EMS SQL Manager™ for PostgreSQL is a high performance graphical tool for PostgreSQL administration and development.

Data Export for PostgreSQL
EMS Data Export for PostgreSQL is a powerful tool to export your data quickly from PostgreSQL databases into the most popular office programs formats.

Data Import for PostgreSQL
EMS Data Import for PostgreSQL is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to PostgreSQL tables.

Data Pump for PostgreSQL
EMS Data Pump™ for PostgreSQL is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for PostgreSQL
EMS Data Generator™ for PostgreSQL is an impressive utility for generating test data to several PostgreSQL database tables at once.

DB Comparer for PostgreSQL
EMS DB Comparer™ for PostgreSQL is an excellent tool for comparing PostgreSQL databases and discovering differences in their structure.

DB Extract for PostgreSQL
EMS DB Extract™ for PostgreSQL is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for PostgreSQL
EMS SQL Query™ for PostgreSQL is a utility that lets you quickly and simply build SQL queries to PostgreSQL databases.

Data Comparer for PostgreSQL
EMS Data Comparer™ for PostgreSQL is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

Microsoft SQL

SQL Manager for SQL Server
EMS SQL Manager™ for SQL Server is a high performance graphical tool for Microsoft® SQL Server and MSDE administration and development.

Data Export for SQL Server
EMS Data Export™ for SQL Server is a powerful program to export your data quickly from Microsoft® SQL and MSDE databases into the most popular office programs formats.

Data Import for SQL Server
Data Import for SQL Server™ is a powerful tool to import your data quickly from MS Access, MS Excel, DBF, TXT and CSV files to Microsoft® SQL Server or MSDE tables.

Data Pump for SQL Server
EMS Data Pump™ for SQL Server is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for SQL Server
EMS Data Generator™ for SQL Server is an impressive utility for generating test data to several Microsoft® SQL database tables at once.

DB Comparer for SQL Server
EMS DB Comparer™ for SQL Server is an excellent tool for comparing Microsoft®SQL databases and discovering differences in their structures.

DB Extract for SQL Server
EMS DB Extract™ for SQL Server is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for SQL Server
EMS SQL Query™ for SQL Server is a utility that lets you quickly and simply build SQL queries to Microsoft® SQL databases.

Data Comparer for SQL Server
EMS Data Comparer™ for SQL Server is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

InterBase / FireBird

SQL Manager for InterBase/Firebird
EMS SQL Manager™ for InterBase/Firebird is a high-performance graphical tool for InterBase® and Firebird® administration and object management.

Data Export for InterBase/Firebird
EMS Data Export™ for InterBase/Firebird is a powerful program to export your data quickly from InterBase®/Firebird® databases into the most popular office programs formats.

Data Import for InterBase/Firebird
EMS Data Import™ for InterBase/Firebird is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to InterBase®/Firebird® tables.

Data Pump for InterBase/Firebird
EMS Data Pump™ for InterBase/Firebird is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

Data Generator for InterBase/Firebird
EMS Data Generator™ for InterBase/Firebird is an impressive utility for generating test data to several InterBase®/Firebird® database tables at once.

DB Comparer for InterBase/Firebird
EMS DB Comparer™ for InterBase/Firebird is an excellent tool for comparing InterBase/Firebird databases and discovering differences in their structures.

DB Extract for InterBase/Firebird
EMS DB Extract™ for InterBase/Firebird is an impressive and easy-to-use utility for creating database backups in a form of SQL scripts.

SQL Query for InterBase/Firebird
EMS SQL Query™ for InterBase/Firebird is a utility that lets you quickly and simply build SQL queries to InterBase®/Firebird® databases.

Data Comparer for InterBase/Firebird
EMS Data Comparer™ for InterBase/Firebird is a powerful and easy-to-use utility for data comparison and synchronization.

Scroll to top

IBM DB2

Data Export for DB2
EMS Data Export™ for DB2 is a powerful program to export your data quickly from IBM® DB2 databases into the most popular office programs formats.

Data Import for DB2
EMS Data Import™ for DB2 is a powerful tool to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to DB2 tables.

Data Pump for DB2
EMS Data Pump™ for DB2 is a powerful utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access).

SQL Query for DB2
EMS SQL Query™ for DB2 is a utility that lets you quickly and simply build SQL queries to IBM® DB2 databases.

Scroll to top

DBISAM

SQL Manager for DBISAM
EMS SQL Manager™ for DBISAM is a powerful tool for DBISAM Server administration and object management.

Scroll to top

Tools & components

Quick Export
EMS Quick Export™ Component Suite for Delphi® and C++ Builder® will allow you to save your data in the most popular office programs formats.

Quick Import
EMS Quick Import™ Component Suite for Delphi® and C++ Builder® will allow you to import your data to the database from files in the most popular data formats.

Quick PDF
EMS Quick PDF™ Component Suite gives you an opportunity to create PDF documents with your applications written on Delphi® or C++ Builder®.

Query Builder
EMS Query Builder is a powerful component suite for Borland® Delphi® and C++ Builder® intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.

Excel Report
EMS Excel Report™ component for Delphi® is a powerful band-oriented generator of template-based reports in MS Excel.

Quick Localizer
EMS Quick Localizer™ is an indispensable component suite for Delphi® for adding multilingual support to your applications.

Source Rescuer
EMS Source Rescuer™ is an easy-to-use wizard application for Borland Delphi® and C++Builder® which can help you to restore your lost source code.

Scroll to top


Getting Started

To start working with SQL Server databases in SQL Manager 2005 for SQL Server you should first register a database or several databases using the Register Database Wizard. If you have no databases to register, you can create a new database through the Create Database Wizard. After that you can connect to database, manage its objects, table data, and so on. See the instructions below to learn how to perform these operations in the easiest way.

· How the product looks when you start it for the first time
· Working with databases
· Working with database objects
· Using database popup menu
· Using object popup menu
· Switching between child windows

Enjoy your work with SQL Manager 2005 for SQL Server!


Selecting environment style and program language

When you start SQL Manager 2005 for SQL Server for the first time, you have to choose environment style and program language. You can always change these settings later by selecting Options | Environment Options main menu item to change environment style and Options | Select Program Language main menu item to change program language.

Environment style
This switch allows you to define the basic window behavior style - MDI (like MS Office) or Floating Windows (like Borland IDE).

Program Language
Select the interface language from the list of available languages.

Bar style for child forms
Allows you to define the location of action buttons. They can be located at the Navigation bar at the left and/or on the Toolbar.


Fisrt time started

This is how SQL Manager 2005 for SQL Server looks when you start it for the first time. Click Manage existing database(s) to register existing databases in the Register Database Wizard or click Create new database to create a new database and (optionally) register it in the Create Database Wizard.

The Desktop Panel also allows you to open database tools, which do not require database registration, i.e. SQL Script Editor and User Manager, as well as refer to the SQL Manager 2005 for SQL Server or SQL Server help systems and link to some useful internet resources.

first time started


Using Desktop Panel

The Desktop Panel shown when no child windows are open allows you to:

· Create new database with Create Database Wizard.
· Register already existing databases in order to manage them with SQL Manager 2005 for SQL Server.
· Create new table within the current database using New Table window.
· Create new database object within the current database.
· Execute SQL Script in SQL Script Editor.
· Manage SQL Server users in User Manager.
· Grant permissons on database objects to users in Grant Manager.
· Show this help file.
· Show SQL Server Reference.
· Browse SQL Manager 2005 for SQL Server home page.
· See SQL Manager 2005 for SQL Server on-line documentation.
· Go to Technical Support Center.
· See SQL Manager 2005 for SQL Server Frequently Asked Questions.


Working with databases

After you have registered the required databases they appear in the explorer tree on the left. If the Show Hosts option is checked at the Environment Options | DB Explorer page, database hosts are also displayed in the tree (hint: you can also use Show Hosts menu item in the dropdown menu of View Mode button on the DB Explorer toolbar for the same purpose.) To connect to a database, simply double-click it in the explorer. If connection succeeds, the database node expands showing the tree of its objects.


Working with database objects

The nodes of the DB Explorer tree allow you to access objects of the selected database respectively. If SQL Server server you connected to supports certain types of objects, their nodes will appear in the tree. Double-click an object to open it in the appropriate editor. Right-click at the object to display the popup menu, which allows you to perform various operations over the selected object or database.

db explorer common

If you want to use the explorer tree for working with table subobjects: fields, indexes, and foreign keys, check the Show Table Subobjects option at the Environment Options | DB Explorer page. (hint: you can also use Show Table Subobjects menu item in the dropdown menu of View Mode button on the DB Explorer toolbar for the same purpose.)


Using database popup menu

The popup menu of registered database or an object group in the explorer tree allows you to:

· Connect to the selected database.
· Disconnect from the selected database.
· Register new database through the Register Database Wizard.
· Unregister the selected database.
· Edit the selected database registration info within the Database Registration Info Dialog.
· Register new host through the Register Host Wizard.
· Unregister the selected host and all its databases.
· Setup Database Explorer.
· Create new tab for the selected database for quick accessing it through this tab.

db explorer - popup database


Using object popup menu

The popup menu of the database object (e.g. table) in the explorer tree allows you to:

· Create a new database object.
· Open the selected object in its editor.
· Rename the selected object.
· Drop the selected database object.
· Duplicate the selected object (create a new object with the same properties as the selected object has).
· Define grants for the selected object
· Create new tab for the selected node for quick accessing it through this tab.

db explorer - popup table


Switching between windows

The Windows Toolbar allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons. To do some additional actions with the window, right-click on its button and select appropriate menu item from popup menu.


Database Explorer

Database Explorer (or DB Explorer) is the basic navigation window for working with databases and database objects. Its treelike structure with multiple tabs allows you to perform almost all operations upon the databases and their objects quickly and easily. The following list contains the most common features provided by the Database Explorer.

· Managing database registration info
· Connecting to a database
· Performing basic operations upon database objects
· Creating projects to work with selected objects only
· Navigating database objects using multiple tabs
· Selecting multiple objects
· Easy access to recently opened objects
· Viewing information about database objects
· Configuring Database Explorer

To view or hide this window use the View | DB Explorer menu item or press F11.

database explorer only


Managing database registration info

Database Explorer allows you to perform the following operations related with registering databases from its popup menu:

· Register database
· Unregister database
· Edit database registration info

db explorer - popup database


Connecting to database

The simplest way to connect to a database is to double-click its node in the Database Explorer tree. The same operation is also available by using the Connect to Database item from the explorer popup menu, or using the Database | Connect to Database main menu item.

db explorer - connect to database


Performing database object operations

Database Explorer allows you to perform the following operations with database objects by its popup menu. Note that popup menu contains object-specific items only when some database object is currently selected in the explorer tree.

· Create new database object (the New <object>... item).
· Edit currently selected database object (the Edit <object_name> item).
· Drop selected object from the database (the Drop <object_name> item).
· Rename selected database object (the Rename <object_name> item).
· Duplicate selected object (the Duplicate <object_name> item).

You can also double-click the database object in the tree to invoke its editor.

db explorer - popup table


Creating projects

Use Projects node in each database to work with the selected objects of this database only. You can place here any object from the database tree.

Creating project

To create a project:

· Create a folder (and maybe some subfolders) by right-clicking the Projects node and selecting the New Folder menu item.
· Specify the new object name in the dialog window.

To add an object to the project:

· Drag the object(s) from the database tree and drop it to the project folder.

Note: You can also create separate tab for your project. See Creating new tab section.

Removing object from project

To remove an object from the project:

· Right-click the object and select the Remove Object menu item.
· Confirm removing in the dialog window

Note: This does not drop the object out of database, but only removes it from the project tree.

db explorer - projects


Navigating database objects with tabs

To make your work with Database Explorer even more convenient, SQL Manager 2005 for SQL Server supports working with several tabs in Database Explorer. Use tabs when you wish to work only with exact node of explorer tree: with one specific database, with tables of some database or with specific database project. Creating such tabs will minimize scrolling on the large trees. For example, you can create a tab for each registered database and switch between them with a single click on a tab.

Creating tab

To create a new tab:

· Right-click the node for which you wish to create a tab and select New Tab from Here... menu item.

Removing tab

To remove the tab:

· Move to this tab by clicking on it's shortcut
· Right-click the Database Explorer and select Delete Current Tab menu item.

db explorer - tabs


Selecting multiple objects

You can select more than one object in Database Explorer by pressing the Ctrl key and selecting these objects clicking on them to perform the following actions:

· Edit database objects
· Drop database objects
· Drag these objects to the projects (See Creating Projects)

selecting multiple objects


Recently opened objects

Use Recent Objects button on the Database Explorer toolbar to access the list of recently opened database objects (during the current work session). This list is common for all the databases. Next to the object name the database name is displayed. Select the object from this list to open it with the editor.

To change the number of objects, considered 'recent' select the Options | Environment Options menu item and set the Recent objects count option value on the Tools | DB Explorer page (see Environment Options for details).

db explorer - recent


SQL Assistant

This area helps you to work with the DB Explorer window, displaying the additional information about the selected object or group of objects.

If you select a server in the DB Explorer, the SQL Assistant displays the list of the registered databases, where those you are connected to, are displayed in bold. Double-clicking the database alias in the SQL Assistant connects you to the database or disconnects you from it.

If you select a database in the DB Explorer, the SQL Assistant displays the list of the database object groups and a number of objects for each group. Selecting an object group in the DB Explorer displays the list of objects in the SQL Assistant. Double-clicking the object name in the SQL Assistant makes the object available for editing in the proper editor window. Right-clicking the object or group of objects (selected with the Ctrl or Shift buttons) allows you to edit or drop the selected objects.

What is displayed in SQL Assistant when a table is selected in DB Explorer depends on the position of the Tables' Details switch. It can be called via the View Mode button | Tables' Details menu on the toolbar or via the popup menu of the SQL Assistant.

Selecting another objects in the DB Explorer displays its DDL definition or description in the SQL Assistant depending on position of the Other Objects' Details switch. It can be called via the View Mode button | Other Objects' Details menu on the toolbar or via the popup menu of the SQL Assistant.

db explorer - sql assistant


Configuring Database Explorer

Use View Mode button on the Database Explorer toolbar to configure Database Explorer for your needs.

The dropdown menu of this button allows you to:

· Show/hide table subobjects as child nodes of database objects.
· Show/hide view subobjects as child nodes of database objects.
· Show/hide host nodes for registered databases.
· Sort list of databases by its aliases.
· Hide disconnected databases from the tree.
· Setup the SQL Assistant area.

db explorer - view mode


Database Management

SQL Manager 2005 for SQL Server provides all the tools you need to manage and navigate databases. Note that to start working with databases in SQL Manager 2005 for SQL Server you are to register them (see Register Database Wizard).

Create Database

To create a database

· Select the Database | Create Database menu item.
· Set the database name, connection and authorization options in the Create Database Wizard.
· Set option Register After Creating to call the Register Database Wizard after the creation finishes.

Drop Database

To drop a database

· Select the database to drop in the DB Explorer tree.
· If you are not connected to any database on the server, double-click its alias to establish connection.
· Select the Database | Drop Database menu item.
· Confirm dropping in the dialog window.

Register Database

To register a single database in SQL Manager 2005 for SQL Server

· Select the Database | Register Database menu item.
· Set connection, authorization and other options in the Register Database Wizard.

To register multiple databases on one host

· Select the Database | Register Host menu item.
· Set connection and authorization options, and select the databases to register in the Register Host Wizard.

Unregister Database

To unregister a single database

· Select the database to unregister in the DB Explorer tree.
· Select the Database | Unregister Database menu item.
· Confirm unregistering in the dialog window.

To unregister all databases on the host

· Select the host to unregister or a database on this host in the DB Explorer tree.
· Select the Database | Unregister Host menu item.
· Confirm unregistering in the dialog window.

Connect to Database

To connect to a database

· Select the database to connect to in the DB Explorer tree.

· Double click its alias.
or
· Select the Database | Connect to Database menu item.

Disconnect from Database

To disconnect from a database

· Select the database to disconnect from or any of its objects in the DB Explorer.
· Select the Database | Disconnect from Database menu item.


Create Database Wizard

The Create Database Wizard guides you through the process of creating a new database. To open the wizard select the Database | Create Database... menu item or click the Create Database button on the toolbar.

· Setting the name for a new database
· Setting database connection properties
· Defining database files
· Defining transaction log files
· Viewing the result SQL statement

See also:
Register Database Wizard

hs1360_setting database name

Availability:
Windows Professional | Yes
Windows Lite | Yes


Setting database name

Set the name for a new database.
Check the Register after creating option to register created database in the DB Explorer. (Note: you must register the database to start working with it in SQL Manager 2005 for SQL Server)

Click the Next button to set connection properties for a new database.

hs1360_setting database name


Setting connection properties

Set the connection properties in the corresponding boxes: host name, authentication type, user name, password and collation.

hs1370_setting connection properties


Defining database files

Define the database files for a new database.

Here you can specify that the disk files used to store the data portions of the database (data files) are defined explicitly. Fill the list of file items defining the data files for the primary filegroup. The list of files in the primary filegroup can be followed by an optional, comma-separated list of file items defining user filegroups and their files.

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique to the database.

The File Name and Path is the name of the physical file including the directory path. It must follow the rules for operating system file names.

File Size
SQL Server 2005 files can grow automatically from their originally specified size. When you define a file, you can specify a growth increment. Each time the file fills, it increases its size by the growth increment. If there are multiple files in a filegroup, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have a maximum size specified. If a maximum size is not specified, the file can continue to grow until it has used all available space on the disk. This feature is especially useful when SQL Server is used as a database embedded in an application where the user does not have ready access to a system administrator. The user can let the files autogrow as needed to lessen the administrative burden of monitoring the amount of free space in the database and allocating additional space manually.

The Primary filegroup contains the primary data file and any other files not specifically assigned to another filegroup. All pages for the system tables are allocated in the primary filegroup. User-defined filegroups are any filegroups specified using the FILEGROUP keyword.

hs20890_defining database files


Defining transaction log files

Define the transaction log files for a new database.

Log files hold all of the log information used to recover the database. There must be at least one log file for each database, although there can be more than one. The recommended file name extension for log files is .ldf.

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique to the database.

The File Name and Path is the name of the physical file including the directory path. It must follow the rules for operating system file names.

hs21330_defining transaction log files


Viewing result SQL statement

View the result SQL statement for a new database creation. You can alter it if required.

When you are done click the Finish button to create the database according to the settings you've made.

If Register after creating option was checked, Database registration info dialog will be appeared.

hs1380_viewing result sql statement


Register Database Wizard

The Register Database Wizard allows you to register a single database. To open the wizard select the Database | Register Database... menu item, or press Shift+Alt+R. You can also use the Register Database button on the main toolbar.

· Setting connection properties
· Setting registration options

See also:
Create Database Wizard
Register Host Wizard

hs1450_setting connection properties

Availability:
Windows Professional | Yes
Windows Lite | Yes


Setting connection properties

Set the connection properties in the corresponding boxes: host name, authentication type, user name, password and collation.

hs1450_setting connection properties


Setting registration options

Enter the database name and set the database alias and other options. At the Logs tab specify log file names for metadata changes logging and SQL query logging, if necessary.

Click the Finish button when done to start working with the selected databases in SQL Manager 2005 for SQL Server.

hs1470_setting registration options


Register Host Wizard

The Register Host Wizard allows you to register several databases from one host. To open the wizard select the Database | Register Host... menu item, or press Shift+Ctrl+R. You can also use the Register Host button on the main toolbar.

· Setting connection properties
· Selecting databases
· Setting registration options

See also:
Register Database Wizard

hs1420_setting connection properties

Availability:
Windows Professional | Yes
Windows Lite | Yes


Setting connection properties

Set the connection properties in the corresponding boxes: host name, authentication type, user name, password and collation.

hs1420_setting connection properties


Selecting databases

Select databases to register by moving them from the Available databases list to the Selected databases one.


Setting registration options

Set the database aliases and other options. At the Logs tab specify log file names for metadata changes logging and SQL query logging, if necessary.

You can select several databases to set options for all the selected databases at once (except the alias, which should be unique for each individual database).

Click Finish button when done to start working with the selected databases in SQL Manager 2005 for SQL Server.

hs1440_setting registration options


Database Registration Info

Use the Edit Database Registration Info Dialog to edit the properties of registered database, set on its creation. To open the dialog, select the database in the explorer tree, then select the Database | Database Registration Info... menu item. You can also use the respective button of the main toolbar.

· Editing connection prperties
· Setting database options
· Setting display options
· Setting default directories
· Setting log options

See also:
Create Database Wizard

hs1490_editing connection properties

Availability:
Windows Professional | Yes
Windows Lite | Yes


Editing connection properties

Edit the connection properties in the corresponding boxes: host name, authentication type, user name and password. Also you can edit database alias - an optional name to display the database in the explorer tree and all the program tools.

Host name
A host name where the database is situated or the IP address of the server.

Windows authentication
Use Windows Integrated Security for the login. If you are editing an existing login, this option cannot be altered. If you are creating a new login, clicking this option activates the options below it.

SQL Server authentication
Use SQL Server Authentication for the login. SQL Server Authentication stores logins and password in SQL Server and does not depend upon Windows. If you are editing an existing login, this option cannot be altered. If creating a new login, clicking this option activates the options below it. You can select SQL Server Authentication only if SQL Server Authentication has been enabled on the server.

User name
User name for connecting to the database server.

Password
Password for connecting to the server.

Database name
Select the database name to register from the drop-down list.

Database alias
Any database alias that is convenient for you (e.g. postgresql or My Test Database). This alias will be displayed in the DB Explorer window.

Font charset
Character set to display data in the grid.

hs1490_editing connection properties


Setting database options

Customize database options according to your needs. The detailed description is given below.

chbox Login prompt before connection
Enables SQL Manager 2005 for SQL Server to prompt for user name and password each time you connect to the database.

chbox Autoconnect on startup
With this option on SQL Manager 2005 for SQL Server automatically establishes connection with the registered database at application startup.

chbox Show system objects
If this option is checked, the system objects will be displayed in the DB Explorer tree.

hs1500_setting database options


Setting display options

Specify objects you wish to display in the Database Explorer tree.

hs20000_setting display options


Setting default directories

Set the default directories for database extract, data export, data import, and other.

hs1510_setting default directories


Setting log options

Specify log file names for metadata changes logging and SQL query logging, if necessary.

Note: This log is useful when you are going to move changes made in development database to the production database.

hs1520_setting log options


Database Properties

A number of database-level options that determine the characteristics of the database can be set for each database. Only the system administrator, database owner, members of the sysadmin and dbcreator fixed server roles and db_owner fixed database roles can modify these options. These options are unique to each database and do not affect other databases.

· Common database options
· Recovery options
· ANSI options
· SQL options
· Automation options
· Cursor options
· Advanced database options
· Data files
· Transaction log files
· Filegroups

hs21350_common database options

Availability:
Windows Professional | Yes
Windows Lite | Yes


Common database options

chbox Read-only mode (READ_ONLY)
When READ_ONLY is specified, the database is in read-only mode. Users can retrieve data from the database, but cannot modify the data. The database cannot be in use when READ_ONLY is specified. Because a read-only database does not allow data modifications:
· Automatic recovery is skipped at system startup.
· Shrinking the database is not possible.
· No locking takes place in read-only databases, which can result in faster query performance.
When READ_WRITE is specified, users can retrieve and modify data.

chbox Can be source or target of cross-database ownership chain (DB_CHAINING)
When this option is checked, the database can be the source or target of a cross-database ownership chain. When this option is unchecked, the database cannot participate in cross-database ownership chaining. You can change this option for user databases, but not system databases.

chbox Database modules can access resources outside of database (TRUSTWORTHY)
When this option is on, database modules (for example, views, user-defined functions, or stored procedures) that use an impersonation context are allowed to access resources outside of the database.
When this option is off, database modules in an impersonation context cannot access resources outside the database.

State (OFFLINE | ONLINE | EMERGENCY)
When OFFLINE is specified, the database is closed and shutdown cleanly and marked offline. The database cannot be modified while the database is offline.
When ONLINE is specified, the database is open and available for use.
When EMERGENCY is specified, the database is marked READ_ONLY, logging is disabled, and only members of the sysadmin fixed server role can access the database. EMERGENCY is primarily used for troubleshooting purposes. For example, a database marked as suspect can be set to the EMERGENCY state, which allows the system administrator to copy the database contents elsewhere.

Connection Mode (SINGLE_USER | RESTRICTED_USER | MULTI_USER)
SINGLE_USER allows one user at a time to connect to the database. All other user connections are broken. The timeframe for breaking the connection is controlled by the termination clause of the ALTER DATABASE statement. New connection attempts are refused. The database remains in SINGLE_USER mode even if the user who set the option logs off. At that point, a different user (but only one) can connect to the database.
To allow multiple connections, the database must be changed to RESTRICTED_USER or MULTI_USER mode.
RESTRICTED_USER allows only members of the db_owner fixed database role and dbcreator and sysadmin fixed server roles to connect to the database, but it does not limit their number. All connections to the database are disconnected in the timeframe specified by the termination clause of the ALTER DATABASE statement. Once the database has transitioned to the RESTRICTED_USER state, connection attempts by unqualified users are refused.
MULTI_USER allows all users with the appropriate permissions to connect to the database.

hs21350_common database options


Recovery options

Recovery Model (RECOVERY FULL | BULK_LOGGED | SIMPLE)
When FULL is specified, database backups and transaction log backups are used to provide full recoverability from media failure. All operations, including bulk operations such as SELECT INTO, CREATE INDEX, and bulk loading data, are fully logged.
When BULK_LOGGED is specified, logging for all SELECT INTO, CREATE INDEX, and bulk loading data operations is minimal and therefore requires less log space. In exchange for better performance and less log space usage, the risk of exposure to loss is greater than with full recovery.
When SIMPLE is specified, the database can be recovered only to the last full database backup or last differential backup.

Detection of Incomplete I/O Operations (PAGE_VERIFY CHECKSUM | TORN_PAGE_DETECTION | NONE)
PAGE_VERIFY specifies three options to discover incomplete I/O transactions caused by disk I/O errors. Disk I/O errors can be the cause of database corruption problems and are usually the result of power failures or disk hardware failures that occur at the time the page is actively being written to disk.
If CHECKSUM is specified, a checksum is taken over the contents of the entire page and stored in the page header when a page is written to disk. When a page is read from disk, the checksum is recomputed and compared to the checksum value stored in the page header. In SQL Server 2005, the database engine distinguishes between an I/O error detected by the operating system (error 823) and an I/O error detected by SQL Server PAGE_VERIFY CHECKSUM option (error 824). Should the values not match, error message 824 is reported to both the SQL Server error log and the NT Event Viewer.
If TORN_PAGE_DETECTION is specified, a bit is reversed for each 512-byte sector in the 8-kilobyte (KB) database page when the page is written to disk. If a bit is in the wrong state when the page is later read, the page was written incorrectly; a torn page is detected.
If NONE is specified, PAGE_VERIFY is set to OFF and future data page writes will not contain a CHECKSUM or TORN_PAGE_DETECTION bit and the page will not be verified at read time even if a CHECKSUM or TORN_PAGE_DETECTION bit is present.


ANSI options

chbox Null is default for UDTs and columns (ANSI_NULL_DEFAULT)
Allows the user to control the database default nullability. When NULL or NOT NULL is not specified explicitly, a user-defined data type or a column definition uses the default setting for nullability.
Nullability is determined by session and database settings. When this option is set to ON, all user-defined data types or columns that are not explicitly defined as NOT NULL during a CREATE TABLE or ALTER TABLE statement default to allowing null values. Columns that are defined with constraints follow constraint rules regardless of this setting.

chbox Comparisons to null value evaluate to NULL (ANSI_NULLS)
When set to ON, all comparisons to a null value evaluate to NULL (unknown). When set to OFF, comparisons of non-Unicode values to a null value evaluate to TRUE if both values are NULL.

chbox Warn on divide by zero and nulls in aggregate (ANSI_WARNINGS)
When set to ON, errors or warnings are issued when conditions such as "divide by zero" occur or null values appear in aggregate functions. When set to OFF, no warnings are raised when null values appear in aggregate functions, and null values are returned when conditions such as "divide by zero" occur.
SET ANSI_WARNINGS must be set to ON when you create or manipulate indexes on computed columns or indexed views.

chbox Not trim trailing blanks in varchar and varbinary (ANSI_PADDING)
When set to ON, trailing blanks in character values inserted into varchar or nvarchar columns and trailing zeros in binary values inserted into varbinary columns are not trimmed. Values are not padded to the length of the column. When set to OFF, the trailing blanks (for varchar or nvarchar) and zeros (for varbinary) are trimmed. This setting affects only the definition of new columns.
Char( n ) and binary(n) columns that allow nulls are padded to the length of the column when SET ANSI_PADDING is set to ON, but trailing blanks and zeros are trimmed when SET ANSI_PADDING is OFF. Char(n) and binary(n) columns that do not allow nulls are always padded to the length of the column.


SQL options

chbox Concatenation is NULL if operand NULL (CONCAT_NULL_YIELDS_NULL)
When set to ON, if one of the operands in a concatenation operation is NULL, the result of the operation is NULL. For example, concatenating the character string "This is" and NULL results in the value NULL, rather than the value "This is".
When set to OFF, concatenating a null value with a character string yields the character string as the result; the null value is treated as an empty character string.

chbox Allows identifiers in double quotation marks (QUOTED_IDENTIFIER)
When set to ON, identifiers can be delimited by double quotation marks and literals must be delimited by single quotation marks. All strings delimited by double quotation marks are interpreted as object identifiers. Quoted identifiers do not have to follow the Transact-SQL rules for identifiers. They can be keywords and can include characters not generally allowed in Transact-SQL identifiers. If a single quotation mark (') is part of the literal string, it can be represented by double quotation marks (").
When set to OFF, identifiers cannot be in quotation marks and must follow all Transact-SQL rules for identifiers. Literals can be delimited by either single or double quotation marks.

chbox Allow triggers to fire recursively (RECURSIVE_TRIGGERS)
When set to ON, triggers are allowed to fire recursively. When set to OFF, triggers cannot be fired recursively.

chbox Terminate on overflow or divide by zero (ARITHABORT)
When set to ON, an overflow or divide-by-zero error causes the query or batch to terminate. If the error occurs in a transaction, the transaction is rolled back. When set to OFF, a warning message is displayed if one of these errors occurs, but the query, batch, or transaction continues to process as if no error occurred.

chbox Error on loss of precision (NUMERIC_ROUNDABORT)
If set to ON, an error is generated when loss of precision occurs in an expression. When set to OFF, losses of precision do not generate error messages and the result is rounded to the precision of the column or variable storing the result.

The Compatibility Level option group controls the behavior of an instance of Microsoft SQL Server, setting behavior to match a specified version of Microsoft SQL Server.

Collation can be either a Windows collation name or a SQL collation name. If not specified, the database is assigned the collation of the instance of SQL Server.


Automation options

chbox Shut down if no connected users (AUTO_CLOSE)
When set to ON, the database is closed and shut down cleanly when the last user of the database exits and all processes in the database complete, thereby freeing any resources. The database reopens automatically when a user tries to use the database again. For example, by issuing a USE database_name statement. If the database is shut down cleanly while AUTO_CLOSE is set to ON, the database is not reopened until a user tries to use the database the next time the database engine is restarted. When set to OFF, the database remains open even if no users are currently using the database.

chbox Auto create statistics on columns in predicates (AUTO_CREATE_STATISTICS)
When set to ON, statistics are automatically created on columns used in a predicate. Adding statistics improves query performance because the SQL Server query optimizer can better determine how to evaluate a query. If the statistics are not used, SQL Server automatically deletes them. When set to OFF, statistics are not automatically created ; instead, statistics can be manually created.

chbox Auto update statistics when out-of-date (AUTO_UPDATE_STATISTICS)
When set to ON, existing statistics are automatically updated when the statistics become out-of-date because the data in the tables has changed. When set to OFF, existing statistics are not automatically updated; instead, statistics can be manually updated.

chbox Asynchronous update (AUTO_UPDATE_STATISTICS_ASYNC)
When this option is set to ON, queries do not wait for the statistics to be updated before compiling. Instead, the out-of-date statistics are put on a queue for updating by a worker thread in a background process. The query and any other concurrent queries compile immediately by using the existing out-of-date statistics. Because there is no delay for updated statistics, query response times are predictable; however, the out-of-date statistics may cause the query optimizer to choose a less-efficient query plan. Queries that start after the updated statistics are ready will use those statistics. This may cause the recompilation of cached plans that depend on the older statistics version.

chbox Auto shrink data and log files (AUTO_SHRINK)
When set to ON, the database files are candidates for periodic shrinking. Both data file and log files can be shrunk automatically by SQL Server. AUTO_SHRINK reduces the size of the transaction log only if the database is set to SIMPLE recovery model or if the log is backed up. When set to OFF, the database files are not automatically shrunk during periodic checks for unused space.


Cursor options

chbox Close cursor when transaction committed (CURSOR_CLOSE_ON_COMMIT)
When set to ON, any open cursors are closed automatically (in compliance with SQL-92) when a transaction is committed. When set to OFF, cursors remain open across transaction boundaries, closing only when the connection is closed or when they are explicitly closed.

Cursor default (CURSOR_DEFAULT LOCAL | GLOBAL)
When CURSOR_DEFAULT LOCAL is set, and a cursor is not defined as GLOBAL when it is created, the scope of the cursor is local to the batch, stored procedure, or trigger in which the cursor was created. The cursor name is valid only within this scope. The cursor can be referenced by local cursor variables in the batch, stored procedure, or trigger, or a stored procedure OUTPUT parameter. The cursor is implicitly deallocated when the batch, stored procedure, or trigger terminates, unless it was passed back in an OUTPUT parameter. If it is passed back in an OUTPUT parameter, the cursor is deallocated when the last variable referencing it is deallocated or goes out of scope.


Advanced database options

chbox Allow snapshot transaction isolation level (ALLOW_SNAPSHOT_ISOLATION)
If ON is specified, SQL Server will execute snapshot transactions against the specified database when transactions are explicitly set to the SNAPSHOT transaction isolation level.

chbox Row versioning in Read Comitted level (READ_COMMITTED_SNAPSHOT)
If ON is specified, transactions setting the read-committed isolation level use row versioning instead of locking.

chbox Additional log information for third party products (SUPPLEMENTAL_LOGGING)
When set to ON, additional information is added to the log for third party products. Setting this option on will increase log space usage and may impact performance.
When set to ON, additional information is not added to the log.

chbox Date correlation statistics in linked tables (DATE_CORRELATION_OPTIMIZATION)
If ON is specified, SQL Server maintains correlation statistics between any two tables in the database that have datetime columns and are linked by a one-column foreign key constraint.

Service broker options
Controls service broker options
ENABLE_BROKER specifies that Service Broker is enabled for the specified database. The is_broker_enabled flag is set to true in the sys.databases catalog view and message delivery is started.
DISABLE_BROKER specifies that Service Broker is disabled for the specified database. The is_broker_enabled flag is set to false in the sys.databases catalog view and message delivery is stopped
NEW_BROKER specifies that the database should receive a new broker identifier. Because the database is considered to be a completely new service broker, all existing conversations in the database are immediately removed without producing end dialog messages.
ERROR_BROKER_CONVERSATIONS specifies that conversations in the database should receive an error message when the database is attached. This allows your applications to perform normal clean up for existing conversations.

Parametrization
Simple parametrization: Queries are parameterized based on the default behavior of the database.
Forced parametrization: SQL Server parameterizes all queries in the database.

hs21410_advanced database options


Data files

Here you can specify that the disk files used to store the data portions of the database (data files) are defined explicitly. Fill the list of file items defining the data files for the primary filegroup. The list of files in the primary filegroup can be followed by an optional, comma-separated list of file items defining user filegroups and their files.

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique to the database.

The File Name and Path is the name of the physical file including the directory path. It must follow the rules for operating system file names.

File Size
SQL Server 2005 files can grow automatically from their originally specified size. When you define a file, you can specify a growth increment. Each time the file fills, it increases its size by the growth increment. If there are multiple files in a filegroup, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have a maximum size specified. If a maximum size is not specified, the file can continue to grow until it has used all available space on the disk. This feature is especially useful when SQL Server is used as a database embedded in an application where the user does not have ready access to a system administrator. The user can let the files autogrow as needed to lessen the administrative burden of monitoring the amount of free space in the database and allocating additional space manually.

The Primary filegroup contains the primary data file and any other files not specifically assigned to another filegroup. All pages for the system tables are allocated in the primary filegroup. User-defined filegroups are any filegroups specified using the FILEGROUP keyword.


Transaction log files

Log files hold all of the log information used to recover the database. There must be at least one log file for each database, although there can be more than one. The recommended file name extension for log files is .ldf.

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique to the database.

The File Name and Path is the name of the physical file including the directory path. It must follow the rules for operating system file names.

hs21430_transaction log files


Filegroups

Every database has a primary filegroup, which contains the primary data file and any secondary files that are not put into other filegroups. User-defined filegroups can be created to group data files together for administrative and data allocation/placement purposes.

All data files are stored in these filegroups:

· Primary
The filegroup that contains the primary file. All system tables are allocated to the primary filegroup.
· User-defined
Any filegroup that is specifically created by the user when first creating or later altering the database.

Read Only
Specifies the filegroup is read-only. Updates to objects in it are not allowed. The primary filegroup cannot be made read-only.

Default
When objects are created in the database without specifying to which filegroup they belong, they are assigned to the default filegroup. At any time, exactly one filegroup is designated as the default filegroup. The files in the default filegroup must be large enough to hold any new objects not allocated to other filegroups. Initially, the PRIMARY filegroup is the default filegroup.


Server Properties

You can manage and optimize Microsoft SQL Server resources through the Server Properties dialog.

Configured Values
Displays the configured values for the options on this pane. If you change these values, click Running Values to see whether the changes have taken effect. If they have not, the instance of SQL Server must be restated first.

Running Values
View the currently running values for the options on this pane. These values are read-only.

· General options
· Memory options
· Processor options
· Security options
· Active Directory
· Connection settings
· Database settings
· Misc server settings

Availability:
Windows Professional | Yes
Windows Lite | Yes


General options

Here you can take a brief look at the general server configuration options. These options are read-only.


Memory options

Dynamic memory configuration
Use the two server memory options, Minimum server memory and Maximum server memory, to reconfigure the amount of memory (in megabytes) in the buffer pool used by an instance of MicrosoftSQL Server.
By default, SQL Server can change its memory requirements dynamically based on available system resources. The default setting for Minimum server memory is 0, and the default setting for Maximum server memory is 2147483647. The minimum amount of memory you can specify for max server memory is 16 megabytes (MB).

Locking working set
Allowing SQL Server to use memory dynamically is recommended; however, you can set the memory options manually and restrict the amount of memory that SQL Server can access.

chbox Use AWE memory
Under Windows Server 2003, SQL Server 2005 can use Address Windowing Extensions (AWE) memory to further assist in load balancing its own memory requirements with those of the operating system. This balancing between SQL Server and the operating system is subject to the constraints of the Minimum server memory and Maximum server memory options.

Other memory options

In SQL Server 2000/2005 index create memory option controls the maximum initial amount of memory allocated for index creation. If additional amount of memory is needed for index creation operation, and it is available, the server will use additional memory thus exceeding the setting of this option. If additional memory is not available, the index creation will use the memory already allocated.

Use the min memory per query option to specify the minimum amount of memory (in kilobytes) that will be allocated for the execution of a query. For example, if min memory per query is set to 2,048 kilobytes (KB), the query is guaranteed to get at least that much total memory. You can set min memory per query to any value from 512 through 2,147,483,647 KB (2 gigabytes (GB)). The default is 1,024 KB.


Processor options

Enable processors

To carry out multitasking, Microsoft and sometimes move process threads among different processors. Although efficient from an operating system point of view, this activity can reduce Microsoft SQL Server performance under heavy system loads, as each processor cache is repeatedly reloaded with data. Assigning processors to specific threads can improve performance under these conditions by eliminating processor reloads and reducing thread migration across processors (thereby reducing context switching); such an association between a thread and a processor is called processor affinity.

SQL Server 2005 supports processor affinity by means of two affinity mask options: affinity mask (also known as CPU affinity mask) and affinity I/O mask.

Threads

Use the Maximum worker threads option to configure the number of worker threads available to Microsoft SQL Server processes. SQL Server uses the native thread services of the Microsoft Windows 2000 and Windows Server 2003 operating systems so that one or more threads support each network that SQL Server supports simultaneously, another thread handles database checkpoints, and a pool of threads handles all users.

Use the Boost SQL Server priority option to specify whether Microsoft SQL Server should run at a higher Microsoft Windows 2000 or Windows 2003 scheduling priority than other processes on the same computer. If you set this option to 1, SQL Server runs at a priority base of 13 in the Windows 2000 or Windows Server 2003 scheduler. The default is 0, which is a priority base of 7.

Use the Use Windows fibers (lightweight pooling) option to provide a means of reducing the system overhead associated with the excessive context switching sometimes seen in symmetric multiprocessing (SMP) environments. When excessive context switching is present, lightweight pooling can provide better throughput by performing the context switching inline, thus helping to reduce user/kernel ring transitions.

Parallelism

Use the Cost threshold for parallelism option to specify the threshold at which Microsoft SQL Server creates and runs parallel plans for queries. SQL Server creates and runs a parallel plan for a query only when the estimated cost to run a serial plan for the same query is higher than the value set in Cost threshold for parallelism. The cost refers to an estimated elapsed time in seconds required to run the serial plan on a specific hardware configuration. Only set Cost threshold for parallelism on symmetric multiprocessors.

When SQL Server 2005 runs on a computer with more than one microprocessor or CPU, it detects the best degree of parallelism for each instance of a parallel query execution. You can use the max degree of parallelism option to limit the number of processors to use in parallel plan execution. The default value of 0 uses all available processors. Set max degree of parallelism to 1 to suppress parallel plan generation. Set the value to a number greater than 1 (up to a maximum of 64) to restrict the maximum number of processors used by a single query execution. If a value greater than the number of available processors is specified, the actual number of available processors is used. If the computer has only one processor, the max degree of parallelism value is ignored.


Security options

Server Authentication

Windows Authentication mode
When a user connects through a Microsoft Windows user account, SQL Server validates the account name and password using information in the Windows operating system. This is the default authentication mode, and is much more secure than Mixed Mode. Windows Authentication utilizes Kerberos security protocol, provides password policy enforcement in terms of complexity validation for strong passwords, provides support for account lockout, and supports password expiration.

SQL Server and Windows Authentication mode
Allows users to connect using Windows Authentication or SQL Server Authentication. Users who connect through a Windows user account can make use of trusted connections that are validated by Windows.

The Login auditing property exposes SQL Server Authentication logging behavior:
· Does not log authentication attempts.
· Logs successful authentication.
· Logs failed authentication.
· Logs all authentication attempts regardless of success or failure.

Server Proxy account
This option allows SQL Server users who do not belong to the sysadmin fixed server role to execute xp_cmdshell commands and to own SQL Server jobs. To get access to this feature you must enter Proxy account name and Password.

Note that this option is only available when you use MS SQL Server 2005. The login used by the server proxy account should have the least privileges required to perform the intended work. Excessive privileges for the proxy account could be used by a malicious user to compromise your system security.

Allow direct updates system tables
Turn this option on to modify system tables directly.
Note: The system tables should not be changed directly by any user. It's not recommended to modify system tables with DELETE, UPDATE, or INSERT statements, or user-defined triggers.

Use C2 audit tracing mode
Selecting this option will configure the server to record both failed and successful attempts to access statements and objects. This information can help you profile system activity and track possible security policy violations.

To view current settings with which MS SQL Server is running, click on the Running values option.


Active Directory

Add Microsoft SQL Server to Microsoft Active Directory when you want users to be able to use Active Directory to find this instance of SQL Server. This is useful in large organizations with many instances of SQL Server.

Add

Add this instance of SQL Server to Active Directory.
Connects to Active Directory and adds this server.

Refresh

Refresh the attributes of this instance in Active Directory.
Updates Active Directory with the current SQL Server properties.

Remove

Remove this instance of SQL Server from Active Directory.
Removes this server from Active Directory.


Connection settings

Connections

Maximum number of concurrent connections (0 = unlimited)
If set to a value other than zero, limits the number of connections that MicrosoftSQL Server will allow.

Default Connection Options
Specifies the default connection options, as described in the following table.

Configuration option | Description
Disable deferred constraint checking | Controls interim or deferred constraint checking.
Implicit transactions | Controls whether a transaction is started implicitly when a statement is run.
Cursor close on COMMIT | Controls behavior of cursors after a commit operation has been performed.
ANSI warnings | Controls truncation and NULL in aggregate warnings.
ANSI padding | Controls padding of fixed-length variables.
ANSI NULLs | Controls NULL handling when using equality operators.
Arithmetic abort | Terminates a query when an overflow or divide-by-zero error occurs during query execution.
Arithmetic ignore | Returns NULL when an overflow or divide-by-zero error occurs during a query.
Quoted identifier | Differentiates between single and double quotation marks when evaluating an expression.
No count | Turns off the message returned at the end of each statement that states how many rows were affected.
ANSI NULL default on | Alters the session's behavior to use ANSI compatibility for nullability. New columns defined without explicit nullability are defined to allow nulls.
ANSI NULL default off | Alters the session's behavior not to use ANSI compatibility for nullability. New columns defined without explicit nullability are defined not to allow nulls.
Concat NULL yields NULL | Returns NULL when concatenating a NULL value with a string.
Numeric round abort | Generates an error when a loss of precision occurs in an expression.
Xact abort | Rolls back a transaction if a Transact-SQL statement raises a run-time error.
Remote Server Connections

Allow remote connections to this server
Controls the execution of stored procedures from remote servers running instances of SQL Server. Selecting this check box has the same effect as setting the sp_configureremote access option to 1. Clearing it prevents execution of stored procedures from a remote server.

Remote query timeout (in seconds, 0 = no timeout)
Specifies how long (in seconds) a remote operation may take before SQL Server times out. The default is 600 seconds, or a 10-minute wait.

Require distributed transactions for server-to-server communication
Protects the actions of a server-to-server procedure through a Microsoft Distributed Transaction Coordinator (MS DTC) transaction.


Database settings

Default index fill factor
Specifies how full Microsoft SQL Server should make each page when it creates a new index using existing data. The fill factor affects performance because SQL Server must take time to split pages when they fill up.
The default value is 0; valid values range from 0 through 100. A fill factor of 0 or 100 creates clustered indexes with full data pages and nonclustered indexes with full leaf pages, but it leaves some space within the upper level of the index tree. Fill factor values 0 and 100 are identical in all respects.
Small fill factor values cause SQL Server to create indexes with pages that are not full. Each index takes more storage space, but there is more room for subsequent insertions without requiring page splits.

Backup and Restore

Wait indefinitely
Specifies that SQL Server will never time out while waiting for a new backup tape.

Try once
Specifies that SQL Server will time out if a backup tape is not available when needed.

Try for minute(s)
Specifies that SQL Server will time out if a backup tape is not available within the period specified.

Default backup media retention (in days)
Provides a system-wide default for the length of time to retain each backup medium after it has been used for a database or transaction log backup. This option helps protect backups from being overwritten until the specified number of days has elapsed.

Recovery

Recovery interval (minutes)
Sets the maximum number of minutes per database to recover databases. The default is 0, indicating automatic configuration by SQL Server. In practice, this means a recovery time of less than one minute and a checkpoint approximately every one minute for active databases. For more information, see recovery interval Option.

Database default locations

Data
Specifies the default location for data files. Click the browse button to navigate to a new default location.

Log
Specifies the default location for log files. Click the browse button to navigate to a new default location.


Misc server settings

Use the Default language for user option to specify the default language for all newly created logins.

Use the Allow triggers to fire other triggers option to specify whether to allow server-level triggers to fire recursively.

Use the query governor option to specify an upper limit on the time period in which a query can run. The query governor disallows execution of any query that has an estimated cost exceeding that value.

Use the Two-digit year support option group to specify an integer from 1753 to 9999 that represents the cutoff year for interpreting two-digit years as four-digit years.

Use the Network packet size option to set the packet size (in bytes) used across the entire network.

Use the Remote login timeout option to specify the number of seconds to wait before returning from a failed attempt to log in to a remote server.

hs21520_misc server settings


Database Object Management

SQL Manager 2005 for SQL Server provides powerful tools to manage database objects.

Note: before working with database objects in SQL Manager 2005 for SQL Server you should connect to the database first (see Database Management).

Create New Database Object

To create a database object:

Select the Database | New Object menu item.
Select the type of an object to create in the New Object Dialog.
Follow the steps of the wizard or edit object properties in the dialog depending on the selected object type.

Drop Database Object

To drop a database object:

Select a database object to drop in the explorer tree.
Right-click the object to drop to bring the popup menu.
Select the Drop <object type> <object name> menu item.
Confirm dropping in the dialog window.

Edit Database Object

To edit a database object:

Select a database object in the explorer tree.
Right-click the object to drop to bring the popup menu.
Select the Edit <object type> <object name> menu item.


New Object

The New Object Dialog allows you to select an object type for creating and run the appropriate wizard or dialog. To open the dialog select the Database | New Object... menu item.

Select a database, where the new object should be created, from the Database dropdown list. Pick an object type icon and click the OK button to invoke the corresponding wizard or dialog.

See also:
Duplicate Object Wizard

Availability:
Windows Professional | Yes
Windows Lite | Yes


Duplicate Object

To duplicate a database object you can either select it in the explorer tree and use the Duplicate <object type> <object name>... item from the object popup menu, or use the Database | Duplicate Object... menu item to invoke the Duplicate Object Wizard.


Duplicate Object Wizard

Use the Duplicate Object Wizard to create a new database object with the same properties as one of the existing ones. To open the wizard select the Database | Duplicate Object... menu item.

· Selecting source database
· Selecting object to duplicate
· Selecting destination database
· Modifying new object's definition

See also:
New Object

hs1560_selecting source database

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Selecting source database

Select the database containing a source object.

hs1560_selecting source database


Selecting object to duplicate

Select a database object to copy its properties to the new object.

hs1580_selecting object to duplicate


Selecting destination database

Select the database to create a new object, set the name of the new database object.

hs1585_selecting destination database


Modifying new object's definition

Browse the result SQL statement. You can edit it if necessary. Click Finish button when done.

hs1590_modifying new object's definition


Changing Metadata window

SQL Manager 2005 for SQL Server changing metadata window is performed to trace the errors and edit SQL statements during their compilation.

The compilation window appears any time the metadata is changed, both when the compilation is successful and when there were errors in compilation. If you want this window to appear only in case of error, choose Options | Environment Options and uncheck option Confirm metadata changing (default checked) on the Confirmations page.

Compile SQL
This area displays an SQL statement, executed to perform metadata changing. In this area you can view and edit SQL statement. In case of error in compilation the Error area also becomes visible, here you can view the compilation error description.

Rollback
This button allows you to return to the previous stage (editor window or DB Explorer).

Rollback and Recompile
This button calls for recompilation with the changes you made in the Complie SQL area.

Commit
This button fixes the SQL statement. Click it to commit the current transaction. This button is available only if there were no errors in compilation.

hs20150_changing metadata window

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Schemas

A schema is essentially a namespace: it contains named objects (tables, data types, functions, and operators) whose names may duplicate those of other objects existing in other schemas.

Create schema

To create a new schema:

· Select the Database | New Object menu item.
· Select Schema in the New Object window.
· Edit schema properties and fields on the appropriate tabs of the Schema Editor.

Hint: To create new schema you can also right-click the Schemas node of the explorer tree and select the New Schema... item from the popup menu.

To create a new schema with the same properties as one of the existing tables has:

· Select the Database | Duplicate Object menu item.
· Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new schema in and to edit the result SQL statement for creating the schema.

Edit schema

To edit the existing schema:

· Select the schema for editing in the explorer tree (type the first letters of the schema name for quick search).
· Right-click and select the Edit Schema <Schema_Name> item in the popup menu or simply double-click the schema.
· Edit schema subobjects and data on the appropriate tabs of the Schema Editor.

To change the name of the schema:

· Select the schema for editing in the explorer tree.
· Right-click and select the Rename Schema <Schema_Name> item from the popup menu.
· Edit schema name in the dialog window.

Drop schema

To drop a schema:

· Select the schema for editing in the explorer tree.
· Right-click and select the Drop Schema <Schema_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Schema Editor

Schema Editor allows you to edit properties of the schemas. Schema Editor can be open automatically after the schema is created and is available on editing the schema (see Create Schema and Edit Schema for details).

To open a schema in the Schema Editor, just double-click it in the Explorer Tree.

· Using navigation bar
· Editing schema definition
· Browsing object dependencies
· Editing schema description
· Viewing DDL definition

hs20290_editing schema definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a schema for editing within the current window.

General bar:
· Compile the current schema definition
· Print metadata of the current operator
· View Dependency Tree for the schema
· Refresh the content of the active tab

hs20280_using navigation bar


Editing schema definition

The basic schema parameters are set on the Schema tab. Set the schema name and select one of the server users as a schema owner (see User Manager to learn how to manage users).

hs20290_editing schema definition


Browsing object dependecies

The Dependencies tab allows you to view objects that depend on edited object and objects that edited object depends. Below you can see DDL of currently selected object.

Double-click on any shown object opens the appropriate object editor.

hs20300_browsing object dependecies


Editing schema description

The Description tab allows you to view and edit the comment for the schema.

hs20310_editing schema description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the schema. This text is read-only. If you want to change the schema definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20320_viewing ddl definition


Tables

Relational databases store all their data in tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Create table

To create a new table:

· Select the Database | New Object menu item.
· Select Table in the New Object window.
· Edit table properties and fields on the appropriate tabs of the New Table window.

Hint: To create new table you can also right-click the Tables node of the explorer tree and select the New Table... item from the popup menu.

To create a new table with the same properties as one of the existing tables has:

· Select the Database | Duplicate Object menu item.
· Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new table in and to edit the result SQL statement for creating the table.

Edit table

To edit the existing table (manage its fields, indices, data, etc):

· Select the table for editing in the explorer tree (type the first letters of the table name for quick search).
· Right-click and select the Edit Table <Table_Name> item in the popup menu or simply double-click the table.
· Edit table subobjects and data on the appropriate tabs of the Table Editor.

To change the name of the table:

· Select the table for editing in the explorer tree.
· Right-click and select the Rename Table <Table_Name> item from the popup menu.
· Edit table name in the dialog window.

Drop table

To drop a table:

· Select the table for editing in the explorer tree.
· Right-click and select the Drop Table <Table_Name> item from the popup menu.
· Confirm dropping in the dialog window.


New table

New Table window allows you to create new table, set table properties, specify table fields and edit table description.

New Table window can be open automatically after the table is created. (see Create Table for details).

· Using navigation bar
· Setting table properties
· Specifying table fields

See also:


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database for creating table.

General bar:
· Compile the current table definition.

hs20850_using navigation bar


Setting table properties

The Table tab is provided for setting table properties: table name, schema (owner), file group and so on.


Specifying fields

The Fields tab is intended for specifying table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

See Fields for details.


Table Editor

Table Editor is the basic SQL Manager 2005 for SQL Server tool for working with tables. It allows you to create, edit and drop table's fields, indexes, foreign keys, and other table subobjects, manage table data, and much more.

To open a table in the Table Editor, just double-click it in the Explorer Tree (see Edit Table for details).

· Using navigation bar
· Managing table fields
· Changing fields order
· Managing table foreign keys
· Managing table checks
· Managing table indexes
· Managing table triggers
· Browsing object dependencies
· Viewing table data
· Editing table description
· Viewing DDL definition

See also:
New Table
Field Editor
Index Editor
Foreign Key Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a table for editing within the current window.

General bar:
· Print table metadata
· View Dependency Tree for the table.
· Refresh the content of the active Table Editor tab
· Bring the window to its default size.
· Alter Table Editor options.

The next bar displays various actions according to the current page of Table Editor.

The Explorer bar displays table subobjects in a form of a tree. You can edit a table subobject by double-clicking it.

hs1650_using navigation bar


Managing fields

The Fields tab is intended for managing table fields. Double-click a field to open the Field Editor for editing the field. A right-click displays the popup menu, allowing you to create new, edit or drop the selected field. Using this menu you can also change the field order or create a copy of the field.

See Fields for details.


Changing fields order

You can change the fields order in the Reorder Fields dialog. The order can be changed both by using of the corresponding buttons, and by drag-and-drop operations in the field list. Click the OK button to apply changes.

hs1680_changing fields order


Managing foreign keys

The Foreign Keys tab is provided for managing table foreign keys. Right-clicking in the tab area allows you to add new, edit, or drop the selected foreign key.

See Foreign Keys for details.

hs1700_managing foreign keys


Managing checks

The Checks tab is provided for managing table checks. Double-click a check to open the Check Editor for editing the check. A right-click displays the popup menu, allowing you to create new, edit, or drop the selected check.

See Checks for details.


Managing indexes

The Indexes tab is provided for managing table indexes. Double-click an index to open the Index Editor for editing the index. A right-click displays the popup menu, allowing you to create new, edit, or drop the selected index.

See Indexes for details.


Managing triggers

The Triggers tab is provided for managing table triggers. Double-click a trigger to open the Trigger Editor for editing the trigger. A right-click displays the popup menu, allowing you to create new, edit, or drop the selected trigger.

See Triggers for details.


Viewing table data

The Data tab displays the table data as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Import Data, Export as SQL Script.

hs2840_viewing table data


Editing table description

The Description tab allows you to view and edit the comment for the table.

hs20380_editing table description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the table with all its subobjects. This text is read-only. If you want to change the table definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs1740_viewing ddl definition


Fields

Table fields are managed on the Fields tab of the Table Editor.

Add Field

To add a field to the table:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click and select the New Field item from the popup menu
· Edit field properties within the Fields Editor Dialog

Edit Field

To edit the table field:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click the field and select the Edit Field item from the popup menu or simply double-click the field to edit
· Edit field properties within the Fields Editor Dialog

To change the order of the table fields:

Open the table in the Table Editor.
Open the Fields tab.
Right-click and select the Reorder Fields... item from the popup menu.
Edit field order within Re-order Columns window for changing the field order.

Drop Field

To drop the table field:

· Open the table in the Table Editor.
· Open the Fields tab.
· Right-click on the field to drop and select the Drop Field item from the popup menu.
· Confirm dropping in the dialog window


Field Editor

Field Editor Dialog allows you to edit the properties of the table fields.

· Setting field name and type
· Setting field identity
· Setting field defaults
· Setting field description

See also:
Table Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Setting field name and type

Use the Column name edit box to set the field name. Note that the name of the field must be unique among all the field names in the table.

The Data type tab defines the type of the field data.

Type
Here you can set the field type by selecting it from the drop-down list of the standard or user-defined data types.

Size
Defines the length of the field value.

Scale
Defines the precision of the field value for float data types.

Collation
Defines the collation for text and char values.

hs1750_setting field name and type


Setting field identity

The Identity tab is available only for integer field types or for user-defined types based on integer types. It allows you to create an identity column.

Identity
This option specifies that the new column is an identity column.

Seed
This value is used for the first row loaded into the table.

Increment
This value is added to the identity value of the previous row loaded.

hs1760_setting field identity

The XML tab is available only for xml field types or for user-defined types based on xml types.

The XML schema collection stores the imported XML schemas.

Stored as option allows you to store your xml data as Content or as a Document.


Setting XML field properties

The xml data type is a built-in data type in SQL Server and is somewhat similar to other built-in types such as int and varchar. As with other built-in types, you can use the xml data type as a column type when you create a table as a variable type, a parameter type, a function-return type, or in CAST and CONVERT.

This XML tab is only available for XML field types or for user-defined types based on XML types.

The schemas in the collection are used to validate the XML instances.

By default, instances stored in the typed xml column are stored as XML content.
For typed xml columns, you can constrain the column to allow only single, top-level elements for each instance stored in it. You do this by selecting the Document option of the XML field tab.

hs1780_setting xml field properties


Setting field defaults

The Default tab allows you to define the default value for the column. You can either select the default object from the database defaults or define the default value for the column. The second option is unavailable for the Computed field type.

Constraint name
This control allows you to set a name for the constraint which is automatically created when you setting a default value for the data field. If you leave this field empty, constraint will be named by the server.

hs1770_setting field defaults


Setting field description

On the Description tab you can set the column description that can be any optional text.

hs20390_setting field description


Foreign Keys

Table foreign keys are managed on the Foreign Keys tab of the Table Editor.

Add Foreign Key

To add a foreign key to the table:

· Open the table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click and select the Add Foreign Key... item from the popup menu.
· Edit foreign key properties within the Foreign Key Editor dialog.

Edit Foreign Key

To edit foreign key:

· Open the table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click the foreign key and select the Edit Foreign Key item from the popup menu or simply double-click the key to edit.
· Edit foreign key properties within the Foreign Key Editor Dialog.

Drop Foreign Key

To drop the foreign key:

· Open the table in the Table Editor.
· Open the Foreign Keys tab.
· Right-click the key to drop and select the Drop Foreign Key item from the popup menu.
· Confirm dropping in the dialog window.


Foreign Key Editor

The Index Editor allows you to edit the index fields and other index properties. It opens when you create a new index or edit the existing one (see Create Foreign Key and Edit Foreign Key for details).

· Using navigation bar
· Editing foreign key definition
· Browsing object dependencies
· Editing foreign key description
· Viewing DDL definition

See also:
Table Editor
Index Editor
Check Editor
Trigger Editor

hs21240_foreign key editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

General bar:
· Compile the current foreign key definition
· View Dependency Tree for the foreign key.
· Refresh the content of the active Foreign Key Editor tab
· Bring the window to its default size.

The next bar displays various actions according to the current page of Foreign Key Editor.

hs21250_using navigation bar


Editing foreign key definition

Foreign Key Editor allows you to select fields for the foreign key, when you add or edit a foreign key to the table with the Table Editor.

Enter a name for the new key and then select a table field to include in the key from the Table fields group.

To include fields to the key, move the fields from the Available Fields list to the Included Fields by double-clicking or dragging them, both in the Table fields group and in the Foreign table fields group. To remove the fields from the key, move them back in the same way. You can also use the arrow buttons to move the selected fields (multiple fields are selected by Ctrl or Shift).

If the referenced column(s) are changed frequently, it may be wise to add an index to the foreign key column so that referential actions associated with the foreign key column can be performed more efficiently. See Indexes for details.

On Delete action, On Update action:

· No Action
Produce an error indicating that the deletion or update would create a foreign key constraint violation. If the constraint is deferred, this error will be produced at constraint check time if there still exist any referencing rows. This is the default action.

· Cascade
Delete any rows referencing the deleted row, or update the value of the referencing column to the new value of the referenced column, respectively.

· Set Null
Set the referencing column(s) to null.

· Set Default
Set the referencing column(s) to their default values.

chbox Enabled
Specifies that the foreign key is enabled or disabled.

chbox Check Existing Data
Specifies whether the data in the table is or is not validated against a newly added or re-enabled foreign key.

chbox Not for replication
This option allows you to specify that the following database objects are treated differently (the trigger is not executed) when a replication agent performs an insert, update, or delete operation.
For example, if you define an insert trigger with the NOT FOR REPLICATION option set, all user inserts fire the trigger, but inserts from replication agents do not.

hs21240_foreign key editor


Editing foreign key description

The Description tab allows you to view and edit the comment for the foreign key.

hs21260_editing foreign key description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the foreign key. This text is read-only. If you want to change the foreign key definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs21270_viewing ddl definition


Checks

Check specifies an expression producing a Boolean result which new or updated rows must satisfy for an insert or update operation to succeed. Expressions evaluating to TRUE or UNKNOWN succeed. Should any row of an insert or update operation produce a FALSE result an error exception is raised and the insert or update does not alter the database. A check constraint specified as a column constraint should reference that column's value only, while an expression appearing in a table constraint may reference multiple columns.

Table checks are managed on the Checks tab of the Table Editor.

Add Check

To add a check to the table:

· Open the table in the Table Editor.
· Open the Checks tab.
· Right-click and select the Add Check... item from the popup menu.
· Edit check properties within the Check Editor dialog.

Edit Check

To edit check:

· Open the table in the Table Editor.
· Open the Checks tab.
· Right-click the check and select the Edit Check item from the popup menu or simply double-click the key to edit.
· Edit check properties within the Check Editor Dialog.

Drop Check

To drop the check:

· Open the table in the Table Editor.
· Open the Checks tab.
· Right-click the key to drop and select the Drop Check item from the popup menu.
· Confirm dropping in the dialog window.


Check Editor

The Check Editor allows you to edit check properties. It opens when you create a new check or edit the existing one (see Create Foreign Key and Edit Foreign Key for details).

· Using navigation bar
· Editing check definition
· Browsing object dependencies
· Editing check description
· Viewing DDL definition

See also:
Table Editor
Index Editor
Foreign Key Editor
Trigger Editor
Rule Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

General bar:
· Compile the current check definition
· View Dependency Tree for the check.
· Refresh the content of the active Check Editor tab
· Bring the window to its default size.

The next bar displays various actions according to the current page of Check Editor.

hs21290_using navigation bar


Editing check definition

The Check tab allows you to enter condition for the check.

Name
Set the check name.

Table
Select the table for the check from the drop-down list of the database tables.

chbox Enabled
Specifies that the check is enabled or disabled.

chbox Check Existing Data
Specifies whether the data in the table is or is not validated against a newly added or re-enabled check.

chbox Not for replication
This option allows you to specify that the following database objects are treated differently (the trigger is not executed) when a replication agent performs an insert, update, or delete operation.
For example, if you define an insert trigger with the NOT FOR REPLICATION option set, all user inserts fire the trigger, but inserts from replication agents do not.

Set the condition for checking, e.g. "field_name >= 10" in the Definition box.


Editing check description

The Description tab allows you to view and edit the comment for the check.

hs21300_editing check description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the check. This text is read-only. If you want to change the check definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs21310_viewing ddl definition


Indexes

Table indices are managed on the Indices tab of the Table Editor.

Create Index

To add an index to the table:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click and select the New Index item from the popup menu.
· Edit the index properties within the Index Editor.

Edit Index

To edit the table index:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click the index and select the Edit Index <Index_Name> or simply double-click the index to edit.
· Edit the index properties within the Index Editor.

Drop Index

To drop the table index:

· Open the table in the Table Editor.
· Open the Indices tab.
· Right-click on the index to drop and select the Drop Index item from the popup menu.
· Confirm dropping in the dialog window.


Index Editor

The Index Editor allows you to edit the index fields and other index properties. It opens when you create a new index or edit the existing one (see Create Index and Edit Index for details).

· Using navigation bar
· Editing index definition
· Editing index description
· Viewing DDL definition

See also:
Table Editor
Check Editor
Foreign Key Editor
Trigger Editor
Rule Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a index for editing within the current window.

General bar:
· Compile the current index definition
· Print metadata of the current index
· View Dependency Tree for the index
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Index Editor.

hs20400_using navigation bar


Editing index definition

The main index parameters are set on the Index tab.

Name
Set the index name in the edit field.

Table
Select the table that contains the column or columns to be indexed.

File Group
Select the file group to store the index.

Fill Factor
Specifies a percentage that indicates how full SQL Server should make the leaf level of each index page during index creation. When an index page fills up, SQL Server must take time to split the index page to make room for new rows, which is quite expensive. For update-intensive tables, a properly chosen Fill Factor value yields better update performance than an improper Fill Factor value.

Index type

Primary Key
check this option to create the primary key.

Unique key
Check this option to create the unique index (one in which no two rows are permitted to have the same index value). A clustered index on a view must be unique.

Unique index
A unique index ensures that the index key contains no duplicate values and therefore every row in the table or view is in some way unique.
Both clustered and nonclustered indexes can be unique. Choose this option to create an unique index.

XML index
Is a shredded, and persisted, representation of the XML binary large objects (BLOBs) in the xml data type column. Choose this option to create an XML index.

Index options

chbox Clustered
Creates an object where the physical order of rows is the same as the indexed order of the rows, and the bottom (leaf) level of the clustered index contains the actual data rows. A table or view is allowed one clustered index at a time.

chbox Do not recompute statistics
Specifies that out-of-date index statistics are not automatically recomputed.

chbox Ignore Duplicate Keys
This option is available if the Unique option is checked. This option controls what happens when an attempt is made to insert a duplicate key value into a column that is part of a unique clustered index. If this option is checked for the index and an INSERT statement that creates a duplicate key is executed, SQL Server issues a warning and ignores the duplicate row.

chbox Pad Index
This option specifies the space to leave open on each page (node) in the intermediate levels of the index. The Pad Index option is useful only when Fill Factor is specified, because Pad Index uses the percentage specified by Fill Factor.

In cases where access patterns are well understood and consistent, limiting the locking levels available for an index can be beneficial. Disallowing a locking level can affect the concurrency for a table or index adversely. For example, specifying only table-level locks on a large table accessed heavily by many users can affect performance significantly. Users must wait for the table-level lock to be released before accessing the table.
You can check the Allow row locks / Allow page locks boxes to define whether:

· Row locks are allowed when accessing the index.
· Page locks are allowed when accessing the index.

Fields for index
To include fields in the index, move the fields from the Available Fields list to the Selected fields by double-clicking or dragging them. To remove the fields from the index, move them back in the same way. You can also use the arrow buttons to move the selected fields (multiple fields are selected by Ctrl or Shift).


Editing index description

The Description tab allows you to view and edit the comment for the index.

hs20550_editing index description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the index. This text is read-only. If you want to change the index definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20560_viewing ddl definition


Triggers

Table triggers are managed on the Triggers tab of the Table Editor.

Create Trigger

To add a trigger to the table:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click and select the New Trigger item from the popup menu.
· Edit the trigger properties within the Trigger Editor.

Edit Trigger

To edit the trigger:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click the trigger and select the Edit Trigger <Trigger_Name> or simply double-click the trigger to edit.
· Edit the trigger properties within the Trigger Editor.

Drop Trigger

To drop the trigger:

· Open the table in the Table Editor.
· Open the Triggers tab.
· Right-click on the trigger to drop and select the Drop Trigger item from the popup menu.
· Confirm dropping in the dialog window.


Trigger Editor

The Trigger Editor allows you to define trigger function and other trigger properties. It opens when you create a new trigger or edit the existing one (see Create Trigger and Edit Trigger for details).

· Using navigation bar
· Editing trigger definition
· Browsing object dependencies
· Editing trigger description
· Viewing DDL definition

See also:
Table Editor
Check Editor
Foreign Key Editor
Index Editor
Rule Editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a trigger for editing within the current window.

General bar:
· Compile the current trigger definition
· Print metadata of the current trigger
· View Dependency Tree for the trigger
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Trigger Editor.

hs20410_using navigation bar


Editing trigger definition

The main trigger parameters are set on the Trigger tab.

Name
The name to give the new trigger. This must be distinct from the name of any other trigger for the same table.

Table
The drop-down list allows you to select the table from the list of all database tables and views, for which the current trigger is created.

Type
Select the trigger behaviour type. If the After switch is selected, the trigger fires just after the event selected below. If the Instead of switch is selected, the trigger fires instead of the event. This option is available only for SQL Server 2000 or higher.

On Event
Select the events when the trigger fires - Insert, Update or Delete.

chbox Enabled
Choose this option to enable the trigger.
Enabling a trigger causes it to fire when any Transact-SQL statements on which it was originally programmed are executed. A disabled trigger still exists as an object in the current database, but does not fire.

chbox Not for replication
This option allows you to specify that the following database objects are treated differently (the trigger is not executed) when a replication agent performs an insert, update, or delete operation.
For example, if you define an insert trigger with the NOT FOR REPLICATION option set, all user inserts fire the trigger, but inserts from replication agents do not.

chbox Encrypted
You can check this option to encrypt the trigger if you want to ensure that other users cannot view the trigger definition. The trigger definition is then stored in an unreadable form.

Execute as
When this option is checked, the execution context of the trigger is switched to the specified login or user name.

In SQL Server you can implicitly define the execution context of the following user-defined functions, procedures, queues, and triggers. When the execution context is switched to another user or login, SQL Server checks permissions against the login and user tokens for that account. In essence, that account is impersonated for the duration of the session, or module execution.

Code Source
Here you can point out the trigger source.
It can be a direct list of SQL statements or an external procedure call from a .NET assembly or DLL.


Editing trigger description

The Description tab allows you to view and edit the comment for the trigger.

hs20090_editing trigger description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the trigger. This text is read-only. If you want to change the trigger definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20100_viewing ddl definition


Views

Views are useful for allowing users to access a set of relations (tables) as if it were a single table, and limiting their access to just that. Views can also be used to restrict access to rows (a subset of a particular table).

Create view

To create a new view:

· Select the Database | New Object... menu item.
· Select View in the New Object dialog.
· Edit view definition within the View Editor.

Hint: To create new view you can also right-click the Views node of the explorer tree and select the New View... item from the popup menu. Or you can click the Create View button on the toolbar of Table Editor.

Another way to create a view is building a query in the Visual Query Builder tool (click the Create View button on the toolbar after finishing building).

To create a new view with the same properties as one of the existing views has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit view

To edit the existing view (manage its fields, indexes, data, etc):

· Select the view for editing in the explorer tree (type the first letters of the view name for quick search).
· Right-click and select the Edit View <View_Name> item from the popup menu or simply double-click the view.
· Edit view definition and data on the appropriate tabs of the View Editor.

To change the name of the view:

· Select the view to rename in the explorer tree.
· Right-click and select the Rename View <View_Name> item from the popup menu.
· Edit view name in the dialog window.

Drop view

To drop a view:

· Select the view to drop in the explorer tree.
· Right-click and select the Drop View <View_Name> item from the popup menu.
· Confirm dropping in the dialog window.


View Editor

The View Editor allows you to create new view and edit the existing view definition (view name and the SELECT statement it implements). It opens when you create a new view or edit the existing one (see Create View and Edit View for details).

To open a view in the View Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing SQL definition
· Viewing fields
· Browsing object dependencies
· Viewing data
· Editing view description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar at the left allows you to:

Object bar:
Select a database and a view for editing within the current window.

General bar:
· Compile the current view
· Print metadata of the current view
· View Dependency Tree for the view
· Refresh the content of the active tab
· Bring the window to its default size.

The next bar displays various actions according to the current page of View Editor.

hs1920_using navigation bar


Editing SQL definition

The View Editor represents the view definition as SQL statement, so it is enough to simply edit the whole definition in the editor area to make changes, and click the Compile view item on the navigation bar to apply it to the view on the server.


Viewing fields

The Fields tab is provided for viewing fields represented in the view.

A right-click displays the popup menu, allowing you to rename view fields.


Viewing data

The Data tab displays the view data as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Import Data, Export as SQL Script.


Editing view description

The Description tab allows you to view and edit the comment for the view.

hs20750_editing view description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the view. This text is read-only. If you want to change the view definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs3900_viewing ddl definition


Procedures

When you create an application with MicrosoftSQL Server 2005, the Transact-SQL programming language is the primary programming interface between your applications and the MicrosoftSQL Server database. When you use Transact-SQL programs, two methods are available for storing and executing the programs. You can store the programs locally and create applications that send the commands to SQL Server and process the results, or you can store the programs as stored procedures in SQL Server and create applications that execute the stored procedures and process the results.

Creating Procedure

To create a new procedure:

· Select the Database | New Object... menu item.
· Select Procedure in the New Object dialog.
· Edit procedure within the Procedure Editor.

Hint: To create new procedure you can also right-click the Procedures node of the explorer tree and select New Procedure... item from the popup menu.

To create a new procedure with the same properties as one of the existing procedures has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Editing Procedure

To edit an existing procedure:

· Select the procedure for editing in the explorer tree (type the first letters of the procedure name for quick search)
· Right-click and select the Edit Procedure item from the popup menu or simply double-click the procedure.
· Edit procedure definition in the editor area of the Procedure Editor.

To change the name of a Procedure:

· Select the procedure to rename in the explorer tree.
· Right-click and select the Rename Procedure item from the popup menu.
· Edit procedure name in the dialog window.

Executing Procedure

To execute a procedure:

· Select the procedure in the explorer tree (type the first letters of the procedure name for quick search).
· Right-click and select Edit Procedure item from the popup menu or simply double-click the procedure.
· Execute procedure by clicking on the Execute Procedure item in the Procedure Editor.

Dropping Procedure

To drop a Procedure:

· Select the procedure to drop in the explorer tree.
· Right-click and select the Drop Procedure item from the popup menu.
· Confirm dropping in the dialog window.


Procedure Editor

The Procedure Editor allows you to create new procedure, execute the existing procedure or edit its definition. It opens when you create a new procedure or edit the existing one (see Create Procedure and Edit Procedure for details).

· Using navigation bar
· Editing procedure definition
· Browsing object dependencies
· Editing procedure description
· Executing procedure
· Specifying input parameters
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar at the left allows you to:

Object bar:
Select a database and a procedure for editing within the current window.

General bar:
· Compile the current procedure
· Execute the current procedure
· Print metadata of the current procedure
· View Dependency Tree for the procedure
· Refresh the content of the active tab
· Bring the window to its default size.

The next bar displays various actions according to the current page of Procedure Editor.

hs1940_using navigation bar


Editing procedure definition

The Procedure tab allows you to view and edit the definition for the stored procedure.


Browsing procedure parameters

The Parameters tab is provided for browsing list of parameters for the stored procedure. A right-click displays the popup menu, allowing you to export this list to desired format.

hs21220_browsing procedure parameters


Editing procedure description

The Description tab allows you to edit additonal information about procedure.

hs4010_editing function description


Executing procedure

Procedure Editor provides an ability to execute current procedure. Click the Execute item of the navigation bar to execute the procedure. If the procedure has parameters, SQL Manager 2005 for SQL Server allows you to specify the values for these parameters in the Input Parameters dialog, which appears just before the procedure execution. The result of the successfully executed procedure, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Procedure Editor.


Specifying input parameters

If the stored procedure has parameters, the Input Parameter dialog appears before the procedure execution. It allows you to specify the values for all procedure parameters. After changes are done, click the OK button to execute the stored procedure, or the Cancel button to abort the execution.

hs2030_specifying input parameters


Viewing DDL definition

The DDL tab displays the SQL statement for creating the procedure. This text is read-only. If you want to change the procedure definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

hs3920_viewing ddl definition


UDTs

Creates an alias data type or a user-defined type in an instance of SQL Server 2005. An alias data type's implementation is based on a SQL Server native system type. A user-defined type is implemented through a class of an assembly in the Microsoft .NET Framework common language runtime (CLR).

Create UDT

To create a new user-defined type:

· Select the Database | New Object... menu item.
· Select UDT in the New Object dialog.
· Edit user-defined type definition within the UDT Editor.

Hint: To create new user-defined type you can also right-click the UDTs node of the explorer tree and select the New UDT... item from the popup menu.

To create a new user-defined type with the same properties as one of the existing user-defined types has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit UDT

To edit the existing user-defined type:

· Select the user-defined type for editing in the explorer tree (type the first letters of the user-defined type name for quick search).
· Right-click and select the Edit UDT <UDT_Name> item from the popup menu or simply double-click the user-defined type.
· Edit user-defined type definition and data on the appropriate tabs of the UDT Editor.

To change the name of the user-defined type:

· Select the user-defined type to rename in the explorer tree.
· Right-click and select the Rename UDT <UDT_Name> item from the popup menu.
· Edit user-defined type name in the dialog window.

Drop UDT

To drop a user-defined type:

· Select the user-defined type to drop in the explorer tree.
· Right-click and select the Drop UDT <UDT_Name> item from the popup menu.
· Confirm dropping in the dialog window.


UDT Editor

The UDT Editor allows you to define user-defined type properties. It opens when you create a new type or edit the existing one (see Create UDT and Edit UDT for details).

To open a user-defined type in the UDT Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing user-defined type definition
· Browsing object dependencies
· Editing user-defined type description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a type for editing within the current window.

General bar:
· Compile the current user-defined type
· Print metadata of the current user-defined type
· View Dependency Tree for the user-defined type
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of UDT Editor.

hs20500_using navigation bar


Editing UDT definition

Name
If you are creating a new UDDT, type a unique name to be used across the database to represent the UDDT. The name of an existing user-defined data type is not editable.

Schema
Select a schema from a list of all schemas available to the current user. The default selection is the default schema for the current user.
For Microsoft SQL Server 2000 or SQL Server 7.0, specify the owner of the UDDT. The default value is the current user.

Alias Type Options

Type
Select the base data type from the list box. The list box displays all data types except for the timestamp data type. The data type of an existing UDDT is not editable.

Not Null
Specify whether the UDDT can accept NULL values. The nullability of an existing UDDT is not editable.

Size
Displays the length or precision of the data type as applicable. Length applies to character-based UDDTs; Precision applies only to numeric-based UDDTs. The label changes depending on the data type selected earlier. This box is not editable if the length or precision of the selected data type is fixed.

Scale
Specify the maximum number of decimal digits that can be stored to the right of the decimal point. Scale must be a value from 0 through p, where p is the Precision value. Maximum storage sizes vary, based on the precision. This box is editable only for numeric and decimal data types only.

Rule
Optionally select a rule to bind to the user-defined data type.

Default
Optionally select a rule or a default to bind to the user-defined data type.

You can apply the Rule or Default options For new columns only.

CLR type options

Assembly
Specifies the SQL Server assembly that references the implementation of the user-defined type in the common language runtime.

Class name
Specifies the class within the assembly that implements the user-defined type.


Editing UDT description

The Description tab allows you to view and edit the comment for the user-defined type.

hs20650_editing type description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the type. This text is read-only. If you want to change the type definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20660_viewing ddl definition


UDFs

A user-defined function is stored as a database object providing reusable code.
The Transact-SQL programming language provides the following types of functions:

Rowset functions
Can be used like table references in an SQL statement.

Aggregate functions
Operate on a collection of values but return a single, summarizing value.

Ranking functions
Return a ranking value for each row in a partition.

Scalar functions
Operate on a single value and then return a single value. Scalar functions can be used wherever an expression is valid.

Create UDF

To create a new user-defined function:

· Select the Database | New Object... menu item.
· Select UDF in the New Object dialog.
· Edit user-defined function definition within the UDF Editor.

Hint: To create new user-defined function you can also right-click the UDFs node of the explorer tree and select the New UDF... item from the popup menu.

To create a new user-defined function with the same properties as one of the existing user-defined functions has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit UDF

To edit the existing user-defined function:

· Select the user-defined function for editing in the explorer tree (type the first letters of the user-defined function name for quick search).
· Right-click and select the Edit UDF <UDF_Name> item from the popup menu or simply double-click the user-defined function.
· Edit user-defined function definition and description on the appropriate tabs of the UDF Editor.

To change the name of the user-defined function:

· Select the user-defined function to rename in the explorer tree.
· Right-click and select the Rename UDF <UDF_Name> item from the popup menu.
· Edit user-defined function name in the dialog window.

Drop UDF

To drop a user-defined function:

· Select the user-defined function to drop in the explorer tree.
· Right-click and select the Drop UDF <UDF_Name> item from the popup menu.
· Confirm dropping in the dialog window.


UDF Editor

The UDF Editor allows you to define user-defined function properties. It opens when you create a new user-defined function or edit the existing one (see Create UDF and Edit UDF for details).

To open a view in the UDF Editor, double-click it in the Explorer Tree.

· Using navigation bar
· Editing user-defined function definition
· Browsing user-defined function parameters
· Browsing object dependencies
· Editing user-defined function description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a user-defined function for editing within the current window.

General bar:
· Compile the current user-defined function definition
· Print metadata of the current user-defined function
· View Dependency Tree for the user-defined function
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of UDF Editor.

hs20480_using navigation bar


Editing UDF definition

The Function tab allows you to view and edit the definition for the user-defined function.


Browsing UDF parameters

The Parameters tab is provided for browsing list of parameters for the user-defined function. A right-click displays the popup menu, allowing you to export this list to desired format.

hs20580_browsing udf parameters


Editing UDF description

The Description tab allows you to view and edit the comment for the user-defined function.

hs20590_editing udf description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the user-defined function. This text is read-only. If you want to change the user-defined function definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20600_viewing ddl definition


Synonyms

You can use synonyms in place of their referenced base object in a number of SQL statements and expression contexts. When working with synonyms in these contexts, the base object is affected. For example, if you have a synonym that references a base object that is a table, when you insert a row into the synonym, you are actually inserting a row in the referenced table.

Create synonym

To create a new synonym:

· Select the Database | New Object... menu item.
· Select Synonym in the New Object dialog.
· Edit synonym definition within the Synonym Editor.

Hint: To create new synonym you can also right-click the Synonyms node of the explorer tree and select the New Synonym... item from the popup menu.

To create a new synonym with the same properties as one of the existing synonyms has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit synonym

To edit the existing synonym:

· Select the synonym for editing in the explorer tree (type the first letters of the synonym name for quick search).
· Right-click and select the Edit Synonym <Synonym_Name> item from the popup menu or simply double-click the synonym.
· Edit synonym definition and data on the appropriate tabs of the Synonym Editor.

To change the name of the synonym:

· Select the synonym to rename in the explorer tree.
· Right-click and select the Rename Synonym <Synonym_Name> item from the popup menu.
· Edit synonym name in the dialog window.

Drop synonym

To drop a synonym:

· Select the synonym to drop in the explorer tree.
· Right-click and select the Drop Synonym <Synonym_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Synonym Editor

The Synonym Editor allows you to define synonym properties. It opens when you create a new sequence or edit the existing one (see Create Synonym and Edit Synonym for details).

To open a view in the Synonym Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing synonym definition
· Browsing object dependencies
· Editing synonym description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a synonym for editing within the current window.

General bar:
· Compile the current synonym definition
· Print metadata of the current synonym
· View Dependency Tree for the synonym
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Synonym Editor.

hs20490_using navigation bar


Editing synonym definition

Synonym name
Is the name of the new synonym.

Schema
Specifies the schema in which the synonym is created.

Object name
Is the base object that the synonym references.


Editing synonym description

The Description tab allows you to view and edit the comment for the synonym.

hs20630_editing synonym description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the synonym. This text is read-only. If you want to change the synonym definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20610_viewing ddl definition


Aggregates

Aggregate functions perform a calculation on a set of values and return a single value. Traditionally Microsoft SQL Server has supported only built-in aggregate functions, such as SUM or MAX, that operate on a set of input scalar values and generate a single aggregate value from that set. SQL Server integration with the .NET Framework common language runtime (CLR) now allows developers to create custom aggregate functions in managed code and make these functions accessible to Transact-SQL or other managed code.

Create aggregate

To create a new aggregate:

· Select the Database | New Object... menu item.
· Select Aggregate in the New Object dialog.
· Edit aggregate definition within the Aggregate Editor.

Hint: To create new aggregate you can also right-click the Aggregates node of the explorer tree and select the New Aggregate... item from the popup menu.

To create a new aggregate with the same properties as one of the existing aggregates has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit aggregate

To edit the existing aggregate:

· Select the aggregate for editing in the explorer tree (type the first letters of the aggregate name for quick search).
· Right-click and select the Edit Aggregate <Aggregate_Name> item from the popup menu or simply double-click the aggregate.
· Edit aggregate definition and data on the appropriate tabs of the Aggregate Editor.

To change the name of the aggregate:

· Select the aggregate to rename in the explorer tree.
· Right-click and select the Rename Aggregate <Aggregate_Name> item from the popup menu.
· Edit aggregate name in the dialog window.

Drop aggregate

To drop a aggregate:

· Select the aggregate to drop in the explorer tree.
· Right-click and select the Drop Aggregate <Aggregate_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Aggregates Editor

The Aggregate Editor allows you to define aggregate properties. It opens when you create a new aggregate or edit the existing one (see Create Aggregate and Edit Aggregate for details).

To open a view in the Aggregate Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing aggregate definition
· Browsing object dependencies
· Editing aggregate description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a aggregate for editing within the current window.

General bar:
· Compile the current aggregate
· Print metadata of the current aggregate
· View Dependency Tree for the aggregate
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Aggregate Editor.

hs20510_using navigation bar


Editing aggregate definition

Name
Is the name of the aggregate function you want to create.

Schema
Is the name of the schema to which the user-defined aggregate function belongs.

Parameter

Name
Is a parameter in the user-defined aggregate. The value of the parameter must be supplied by the user when the aggregate function is executed. Specify a parameter name using an at sign (@) as the first character. The parameter name must conform to the rules for identifiers. Parameters are local to the function; the same parameter names can be used in other functions. Parameters can take the place only of constants; they cannot be used in place of table names, column names, or the names of other database objects.

Type
Is any one of the SQL Server system scalar data types to hold the value of the input parameter or return value. All scalar data types can be used as a parameter for a user-defined aggregate, except text, ntext, or image. Nonscalar types such as cursor and table cannot be specified.

Size
For some types you can also define the Size value. Check the Maximum size option to use the maximum values set by SQL Server.

Return value

Type
Is the name of a CLR user-defined type already created in SQL Server. If udt_schema_name is not specified, SQL Server assumes the type belongs to the schema of the current user.

Size
For some types you can also define the Size value. Check the Maximum size option to use the maximum values set by SQL Server.

Assembly

Assembly name
Specifies the SQL Server assembly that references the implementation of the user-defined type in the common language runtime.

Class name
Specifies the class within the assembly that implements the user-defined type.


Editing aggregate description

The Description tab allows you to view and edit the comment for the aggregate.

hs20680_editing aggregate description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the aggregate. This text is read-only. If you want to change the aggregate definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20690_viewing ddl definition


XML Schema Collections

SQL Server provides native storage of XML data through the xml data type. The XML Schema Collection stores the imported XML schemas and is then used to do the following:
· Validate XML instances
· Type the XML data as it is stored in the database

The XML stored in a column or variable that a schema is associated with is referred to as typed XML, because the schema provides the necessary data type information for the instance data. SQL Server uses this type information to optimize data storage.

Note that the XML Schema Collection is a metadata entity like a table in the database. You can create, modify, and drop them.

Create XML Schema Collection

To create a new XML Schema Collection:

· Select the Database | New Object... menu item.
· Select XML Schema Collection in the New Object dialog.
· Edit XML Schema Collection definition within the XML Schema Collection Editor.

Hint: To create new XML Schema Collection you can also right-click the XML Schema Collections node of the explorer tree and select the New XML Schema Collection... item from the popup menu.

To create a new XML Schema Collection with the same properties as one of the existing XML Schema Collections has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit XML Schema Collection

To edit the existing XML Schema Collection:

· Select the XML Schema Collection for editing in the explorer tree (type the first letters of the XML Schema Collection name for quick search).
· Right-click and select the Edit XML Schema Collection <XML Schema Collection_Name> item from the popup menu or simply double-click the XML Schema Collection.
· Edit XML Schema Collection definition and data on the appropriate tabs of the XML Schema Collection Editor.

To change the name of the XML Schema Collection:

· Select the XML Schema Collection to rename in the explorer tree.
· Right-click and select the Rename XML Schema Collection <XML Schema Collection_Name> item from the popup menu.
· Edit XML Schema Collection name in the dialog window.

Drop XML Schema Collection

To drop an XML Schema Collection:

· Select the XML Schema Collection to drop in the explorer tree.
· Right-click and select the Drop XML Schema Collection <XML Schema Collection_Name> item from the popup menu.
· Confirm dropping in the dialog window.


XML Schema Collection Editor

The XML Schema Collection Editor allows you to define default properties. It opens when you create a new default or edit the existing one (see Create XML Schema Collection and XML Schema Collection Editor for details).

To open a view in the XML Schema Collection Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing XML Schema Collection
· Browsing object dependencies
· Editing defaullt description
· Viewing DDL definition

xml schema collection editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a default for editing within the current window.

General bar:
· Compile the current default
· Print metadata of the current default
· View Dependency Tree for the default
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of XML Schema Collection Editor.

xml schema navbar


Editing XML Schema Collection

The XML Schema Collection tab allows you to view and edit the definition for the XML Schema Collection.

Yom can add new schema or its component in the window of XML Schema Collection. After successful compilation, on the DDL tab you will be able to see the changes made to the schema. To compile the schema select corresponding item of the navigation bar.

Name
Field to define the name of current XML Schema Collection.

Schema
Name of the schema to save current XML Schema Collection to; not to be mixed with the name of the XML Schema Collection itself.

xml schema collection editor


Editing XML Schema Collection Description

The Description tab allows you to view and edit the comment for the XML Schema Collection.

xml schema collection description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the XML Schema Collection. This text is read-only. If you want to change the XML Schema Collection definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

xml schema collection ddl


Defaults

When bound to a column or a user-defined data type, a default specifies a value to be inserted into the column to which the object is bound (or into all columns, in the case of a user-defined data type) when no value is explicitly supplied during an insert.

Create default

To create a new default:

· Select the Database | New Object... menu item.
· Select Default in the New Object dialog.
· Edit default definition within the Default Editor.

Hint: To create new default you can also right-click the Defaults node of the explorer tree and select the New Default... item from the popup menu.

To create a new default with the same properties as one of the existing defaults has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit default

To edit the existing default:

· Select the default for editing in the explorer tree (type the first letters of the default name for quick search).
· Right-click and select the Edit Default <Default_Name> item from the popup menu or simply double-click the default.
· Edit default definition and data on the appropriate tabs of the Default Editor.

To change the name of the default:

· Select the default to rename in the explorer tree.
· Right-click and select the Rename Default <Default_Name> item from the popup menu.
· Edit default name in the dialog window.

Drop default

To drop a default:

· Select the default to drop in the explorer tree.
· Right-click and select the Drop Default <Default_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Default Editor

The Default Editor allows you to define default properties. It opens when you create a new default or edit the existing one (see Create Default and Edit Default for details).

To open a view in the Default Editor, double-click it in the explorer tree.

· Using navigation bar
· Editing tablespace definition
· Browsing object dependencies
· Editing defaullt description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a default for editing within the current window.

General bar:
· Compile the current default
· Print metadata of the current default
· View Dependency Tree for the default
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Default Editor.

hs20540_using navigation bar


Editing default definition

Name
Is the name of the default. Default names must conform to the rules for identifiers. Specifying the default owner name is optional.

Schema
Is the name of the schema to which the default belongs.

Definition
Is an expression that contains only constant values (it cannot include the names of any columns or other database objects). Any constant, built-in function, or mathematical expression can be used, except those containing alias data types. User-defined functions cannot be used.. Enclose character and date constants in single quotation marks ('); monetary, integer, and floating-point constants do not require quotation marks. Binary data must be preceded by 0x, and monetary data must be preceded by a dollar sign ($). The default value must be compatible with the column data type.


Editing default description

The Description tab allows you to view and edit the comment for the default.

hs21230_editing default description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the default. This text is read-only. If you want to change the default definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20740_viewing ddl definition


Rules

When bound to a column or a user-defined data type, a rule specifies the acceptable values that can be inserted into that column.

Create rule

To create a new rule:

· Select the Database | New Object... menu item.
· Select Rule in the New Object dialog.
· Edit rule definition within the Rule Editor.

Hint: To create new rule you can also right-click the Rules node of the explorer tree and select the New Rule... item from the popup menu.

To create a new rule with the same properties as one of the existing rules has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit rule

To edit the existing rule:

· Select the rule for editing in the explorer tree (type the first letters of the rule name for quick search).
· Right-click and select the Edit Rule <Rule_Name> item from the popup menu or simply double-click the rule.
· Edit rule definition and data on the appropriate tabs of the Rule Editor.

To change the name of the rule:

· Select the rule to rename in the explorer tree.
· Right-click and select the Rename Rule <Rule_Name> item from the popup menu.
· Edit rule name in the dialog window.

Drop rule

To drop a rule:

· Select the rule to drop in the explorer tree.
· Right-click and select the Drop Rule <Rule_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Rule Editor

The Rule Editor allows you to define rule properties. It opens when you create a new rule or edit the existing one (see Create Rule and Edit Rule for details).

· Using navigation bar
· Editing rule definition
· Browsing object dependencies
· Editing rule description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a rule for editing within the current window.

General bar:
· Compile the current rule definition
· Print metadata of the current rule
· View Dependency Tree for the rule
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Rule Editor.

hs20420_using navigation bar


Editing rule definition

Rule
Is the name of the new rule. Rule names must comply with the rules for identifiers. Specifying the rule owner name is optional.

Schema
Is the name of the schema to which the rule belongs.

Definition
Is the condition or conditions that define the rule. A rule can be any expression valid in a WHERE clause and can include elements such as arithmetic operators, relational operators, and predicates (for example, IN, LIKE, BETWEEN). A rule cannot reference columns or other database objects. Built-in functions that do not reference database objects can be included. User-defined functions cannot be used.
condition_expression includes one variable. The at sign (@) precedes each local variable. The expression refers to the value entered with the UPDATE or INSERT statement. Any name or symbol can be used to represent the value when creating the rule, but the first character must be the at sign (@).


Editing rule description

The Description tab allows you to view and edit the comment for the rule.

hs20130_editing rule description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the rule. This text is read-only. If you want to change the rule definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20140_viewing ddl definition


Users

A database user is a security principal enabling object access permission control at the finest level of granularity. A user represents a single SQL Server login within the scope of the database in which the user is defined.

Create user

To create a new user:

· Select the Database | New Object... menu item.
· Select User in the New Object dialog.
· Edit user definition within the User Editor.

Hint: To create new user you can also right-click the Users node of the explorer tree and select the New User... item from the popup menu.

To create a new user with the same properties as one of the existing users has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit user

To edit the existing user:

· Select the user for editing in the explorer tree (type the first letters of the user name for quick search).
· Right-click and select the Edit User <User_Name> item from the popup menu or simply double-click the user.
· Edit user definition and data on the appropriate tabs of the User Editor.

To change the name of the user:

· Select the user to rename in the explorer tree.
· Right-click and select the Rename User <User_Name> item from the popup menu.
· Edit user name in the dialog window.

Drop user

To drop a user:

· Select the user to drop in the explorer tree.
· Right-click and select the Drop User <User_Name> item from the popup menu.
· Confirm dropping in the dialog window.


User Editor

The User Editor allows you to define user properties and membership. It opens when you create a new user or edit the existing one (see Create User and Edit User for details).

· Using navigation bar
· Editing user definition
· Defining membership
· Editing user description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a user for editing within the current window.

General bar:
· Compile the current user definition
· Print metadata of the current user
· View Dependency Tree for the user
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of User Editor.

hs21140_using navigation bar


Editing user definition

Login
Specifies the SQL Server login for which the database user is being created.

Name
Specifies the name by which the user is identified inside this database.

Default schema
Specifies the first schema that will be searched by the server when it resolves the names of objects for this database user.


Defining membership

The Member Of tab allows you to specify to which database role the user belongs.

Select required roles by moving them from the Available Roles list to the Selected Roles one.


Editing user description

The Description tab allows you to view and edit the comment for the user.

hs21180_editing user description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the user. This text is read-only. If you want to change the user definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs21200_viewing ddl definition


Roles

All users interact with a SQL server within the context of a role. A user can belong to multiple groups and have multiple roles, and the operations that are permitted by each role determine the actions that a user can perform.

Create SQL Server database roles when a group of users needs to perform a specified set of activities in SQL Server.
An application role is used to permit access to specific data to only those users who connect through a particular application.

Create role

To create a new role:

· Select the Database | New Object... menu item.
· Select Role in the New Object dialog.
· Edit role definition within the Role Editor.

Hint: To create new role you can also right-click the Roles node of the explorer tree and select the New Role... item from the popup menu.

To create a new role with the same properties as one of the existing roles has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit role

To edit the existing role:

· Select the role for editing in the explorer tree (type the first letters of the role name for quick search).
· Right-click and select the Edit Role <Role_Name> item from the popup menu or simply double-click the role.
· Edit role definition and data on the appropriate tabs of the Role Editor.

To change the name of the role:

· Select the role to rename in the explorer tree.
· Right-click and select the Rename Role <Role_Name> item from the popup menu.
· Edit role name in the dialog window.

Drop role

To drop a role:

· Select the role to drop in the explorer tree.
· Right-click and select the Drop Role <Role_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Role Editor

The Role Editor allows you to define user properties and its members. It opens when you create a new role or edit the existing one (see Create Role and Edit Role for details).

· Using navigation bar
· Editing role definition
· Defining role members
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a role for editing within the current window.

General bar:
· Compile the current role definition
· Print metadata of the current role
· View Dependency Tree for the role
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Role Editor.

hs21150_using navigation bar


Editing role definition

Name
Type the name of the role.

Role type
Select whether to create database user-defined role or application role.

Users
A member added to a role inherits the permissions of the role.
Select required users to be added to the role by moving them from the Available Users list to the Selected Users one.


Defining role members

Select the tasks that can be performed through this role.

Select required fixed roles to be added to the user-defined role by moving them from the Available Roles list to the Selected Roles one.


Viewing DDL definition

The DDL tab displays the SQL statement for creating the role. This text is read-only. If you want to change the role definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs21210_viewing ddl definition


Assemblies

Assembly is a managed application module containing class metadata and managed code as an object in SQL Server, against which CLR functions, stored procedures, triggers, user-defined aggregates, and user-defined types can be created in SQL Server.

Create assembly

To create a new assembly:

· Select the Database | New Object... menu item.
· Select Assembly in the New Object dialog.
· Edit assembly definition within the Assembly Editor.

Hint: To create new assembly you can also right-click the Assemblies node of the explorer tree and select the New Assembly... item from the popup menu.

To create a new assembly with the same properties as one of the existing assemblies has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit assembly

To edit the existing assembly:

· Select the assembly for editing in the explorer tree (type the first letters of the assembly name for quick search).
· Right-click and select the Edit Assembly <Assembly_Name> item from the popup menu or simply double-click the assembly.
· Edit assembly definition and data on the appropriate tabs of the Assembly Editor.

To change the name of the assembly:

· Select the assembly to rename in the explorer tree.
· Right-click and select the Rename Assembly <Assembly_Name> item from the popup menu.
· Edit assembly name in the dialog window.

Drop assembly

To drop a assembly:

· Select the assembly to drop in the explorer tree.
· Right-click and select the Drop Assembly <Assembly_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Assembly Editor

The Assembly Editor allows you to define assembly properties. It opens when you create a new assembly or edit the existing one (see Create Assembly and Edit Assembly for details).

· Using navigation bar
· Editing assembly definition
· Browsing object dependencies
· Editing assembly description
· Viewing DDL definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a assembly for editing within the current window.

General bar:
· Compile the current assembly definition
· Print metadata of the current assembly
· View Dependency Tree for the assembly
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Assembly Editor.

hs2060_using navigation bar


Editing assembly definition

Name
Is the name of the assembly. The name must be unique within the database and a valid SQL Server identifier.

Owner
Specifies the name of a user or role as owner of the assembly. owner_name must either be the name of a role of which the current user is a member, or the current user has IMPERSONATE permission on owner_name. If not specified, ownership is given to the current user.

Code access permissions
Specifies a set of code access permissions granted to the assembly when it is accessed by SQL Server.

Safe is the most restrictive permission set. Code executed by an assembly with Safe permissions cannot access external system resources such as files, the network, environment variables, or the registry.

External access allows assemblies to access certain external system resources such as files, networks, environmental variables, and the registry.

Unsafe allows assemblies unrestricted access to resources, both within and outside SQL Server. Code executing from within an Unsafe assembly can call unmanaged code.

chbox Visible for creating CLR objects
This option specifies whether the assembly is visible for creating common language runtime (CLR) functions, stored procedures, triggers, user-defined types, and user-defined aggregate functions against it. If set to OFF, the assembly is intended to be called only by other assemblies. If there are existing CLR database objects already created against the assembly, the visibility of the assembly cannot be changed.

chbox Don't check data
If checked, instructs SQL Server to refresh even those assemblies upon which persisted data in the database is dependent. Specifically, you must specify check this option if any of the following exist:
· Persisted computed columns that reference methods in the assembly, either directly, or indirectly, through Transact-SQL functions or methods.
· Columns of a CLR user-defined type that depend on the assembly, and the type implements a UserDefined (non-Native) serialization format.


Editing assembly description

The Description tab allows you to view and edit the comment for the assembly.

hs20770_editing assembly description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the assembly. This text is read-only. If you want to change the assembly definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs2050_viewing ddl definition


DDL Triggers

DDL triggers execute in response to a variety of data definition language (DDL) events, which are primarily CREATE, ALTER, and DROP statements.

Create DDL Trigger

To create a new DDL Trigger:

· Select the Database | New Object... menu item.
· Select DDL Trigger in the New Object dialog.
· Edit DDL Trigger definition within the DDL Trigger Editor.

Hint: To create new DDL Trigger you can also right-click the DDL Triggers node of the explorer tree and select the New DDL Trigger... item from the popup menu.

To create a new DDL Trigger with the same properties as one of the existing DDL Triggers has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit DDL Trigger

To edit the existing DDL Trigger:

· Select the DDL Trigger for editing in the explorer tree (type the first letters of the DDL Trigger name for quick search).
· Right-click and select the Edit DDL Trigger <DDL Trigger_Name> item from the popup menu or simply double-click the DDL Trigger.
· Edit DDL Trigger definition and data on the appropriate tabs of the DDL Trigger Editor.

To change the name of the DDL Trigger:

· Select the DDL Trigger to rename in the explorer tree.
· Right-click and select the Rename DDL Trigger <DDL Trigger_Name> item from the popup menu.
· Edit DDL Trigger name in the dialog window.

Drop DDL Trigger

To drop a DDL Trigger:

· Select the user to drop in the explorer tree.
· Right-click and select the Drop User <User_Name> item from the popup menu.
· Confirm dropping in the dialog window.


DDL Trigger Editor

The DDL Trigger Editor allows you to define DDL trigger properties. It opens when you create a new DDL trigger or edit the existing one (see Create DDL trigger and Edit DDL trigger for details).

· Using navigation bar
· Editing DDL trigger definition
· Browsing object dependencies
· Editing DDL trigger description
· Viewing DDL definition

hs20470_ddl trigger editor

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a DDL trigger for editing within the current window.

General bar:
· Compile the current DDL trigger definition
· Print metadata of the current DDL trigger
· View Dependency Tree for the DDL trigger
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of DDL Trigger Editor.

hs20520_using navigation bar


Editing DDL trigger definition

Name
Is the name of the trigger. A trigger name must conform to the rules for identifiers.

Scope

Database. Applies the scope of a DDL trigger to the current database. If specified, the trigger fires whenever event_type or event_group happens in the current database.

All Server. Applies the scope of a DDL trigger to the current server. If specified, the trigger fires whenever event_type or event_group happens anywhere in the current server.

Enabled
Specifies whether a trigger will be enabled (active) or disabled (inactive).

Encryped
Encrypts the text of the trigger. Using encryption prevents the trigger from being published as part of SQL Server replication. Encryption cannot be specified for CLR Triggers.

Execute as
Specifies the security context under which the trigger is executed. Thus, you can control which user account SQL Server uses to validate permissions on any database objects referenced by the trigger.

Events
Events are pre-defined groups of Transact-SQL language events. The DDL trigger fires after execution of any Transact-SQL language event belonging to this event group.

Code Source
Here you can point out the trigger source.
It can be a direct list of SQL statements or an external procedure call from a .NET assembly or DLL.

hs20470_ddl trigger editor


Editing DDL trigger description

The Description tab allows you to view and edit the comment for the DDL trigger.

hs20710_editing ddl trigger description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the DDL trigger. This text is read-only. If you want to change the DDL trigger definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20720_viewing ddl definition


Partition Functions

A partition function specifies how the table or index is partitioned. The function maps the domain into a set of partitions. To create a partition function, you specify the number of partitions, the partitioning column, and the range of partition column values for each partition. Note that when you specify the partitioning column, you can only specify one.

Create partition function

To create a new partition function:

· Select the Database | New Object... menu item.
· Select Partition Function in the New Object dialog.
· Edit partition function definition within the Partition Function Editor.

Hint: To create new partition function you can also right-click the Partition Functions node of the explorer tree and select the New Partition Function... item from the popup menu.

To create a new partition function with the same properties as one of the existing partition functions has:

· Select the Database | Duplicate Object... menu item.
· Follow the instructions of the Duplicate Object Wizard.

Edit partition function

To edit the existing partition function:

· Select the partition function for editing in the explorer tree (type the first letters of the partition function name for quick search).
· Right-click and select the Edit Partition Function <Partition Function_Name> item from the popup menu or simply double-click the partition function.
· Edit partition function definition and data on the appropriate tabs of the Partition Function Editor.

To change the name of the partition function:

· Select the partition function to rename in the explorer tree.
· Right-click and select the Rename Partition Function <Partition Function_Name> item from the popup menu.
· Edit partition function name in the dialog window.

Drop partition function

To drop a partition function:

· Select the partition function to drop in the explorer tree.
· Right-click and select the Drop Partition Function <Partition Function_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Partition Functions Editor

The Partition Functions Editor allows you to define partition function properties. It opens when you create a new partition function or edit the existing one (see Create partition function and Edit partition function for details).

· Using navigation bar
· Editing partition function definition
· Browsing object dependencies
· Editing partition function description
· Viewing DDL definition

hs20120_2_editing partition functions definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a partition function for editing within the current window.

General bar:
· Compile the current partition function definition
· Print metadata of the current partition function
· View Dependency Tree for the partition function
· Refresh the content of the active tab
· Bring the window to its default size

The next bar displays various actions according to the current page of Partition Function Editor.

hs20420_2_using navigation bar


Editing partition function definition

Name
Name of the new Partition function. Partition function names must be unique within the database and comply with the rules for identifiers.

Parameter
Data type of the column used for partitioning. All data types are valid for use as partitioning columns, except text, ntext, image, xml, timestamp, varchar(max), nvarchar(max), varbinary(max), alidas data types, or CLR user-defined data types.

Size
Displays the length or precision of the data type as applicable. Length applies to character-based UDDTs; Precision applies only to numeric-based UDDTs. The label changes depending on the data type selected earlier. This box is not editable if the length or precision of the selected data type is fixed.

Scale
Specify the maximum number of decimal digits that can be stored to the right of the decimal point. Scale must be a value from 0 through p, where p is the Precision value. Maximum storage sizes vary, based on the precision. This box is editable only for numeric and decimal data types only.

Collation
Defines the collation for text and char values.

chbox Boundary values belong to left interval
This option specifies to which side of each boundary value interval, left or right, the boundary value [ ,...n ] belongs, when interval values are sorted by the Database Engine in ascending order from left to right. If checked, LEFT is selected.

Boundary values
Press this button to add a new boundary value.
Pressing this button removes current value.

Use Move Up [image] and Move Down [image] buttons to sort the intervals.

To add the partition scheme which uses curent partition function, select Add Partition Scheme... item in the context menu.
To drop the partition scheme which uses curent partition function, select Drop Partition Scheme <Partition_Scheme_Name> in the context menu.

hs20120_2_editing partition functions definition


Editing partition function description

The Description tab allows you to view and edit the comment for the partition function.

hs20130_2_editing parttion function description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the partition function. This text is read-only. If you want to change the partition function definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

hs20140_2_viewing ddl definition


Schemas

A partition scheme maps the partitions produced by a partition function to a set of filegroups that you define.
A partition scheme can use only one partition function. However, a partition function can participate in more than one partition scheme.

Create partition scheme

To create a new partition scheme:

· Select the Database | New Object menu item.
· Select Partition Scheme in the New Object window.
· Edit partition scheme properties and fields on the appropriate tabs of the Partition Scheme Editor.

Hint: To create a new partition scheme you can also right-click the Partition Scheme node of the explorer tree and select the New Partition Scheme... item from the popup menu.

To create a new partition scheme with the same properties as one of the existing schemes has:

· Select the Database | Duplicate Object menu item.
· Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new partition scheme in and to edit the result SQL statement for creating the partition scheme.

Edit partition scheme

To edit the existing partition scheme:

· Select the partition scheme for editing in the explorer tree (type the first letters of the partition scheme name for quick search).
· Right-click and select the Edit Partition Scheme <Partition_Scheme_Name> item in the popup menu or simply double-click the scheme.
· Edit schema subobjects and data on the appropriate tabs of the Partition Scheme Editor.

To change the name of the partition scheme:

· Select the scheme for renaming in the explorer tree.
· Right-click and select the Rename Partition Scheme <Partition_Scheme_Name> item from the popup menu.
· Edit scheme name in the dialog window.

Drop partition scheme

To drop a partition scheme:

· Select the scheme for dropping in the explorer tree.
· Right-click and select the Drop Partition Scheme <Partition_Scheme_Name> item from the popup menu.
· Confirm dropping in the dialog window.


Partition Scheme Editor

Partition Scheme Editor allows you to edit properties of the schemes. Partition Scheme Editor can be opened automatically after the partition scheme is created and is available on editing the scheme (see Create Partition Scheme and Edit Partition Scheme for details).

To open a scheme in the Partition Scheme Editor, just double-click it in the explorer tree.

· Using navigation bar
· Editing schema definition
· Browsing object dependencies
· Editing schema description
· Viewing DDL definition

editing partition schema definition

Availability:
Windows Professional | Yes
Windows Lite | Yes


Using navigation bar

The navigation bar on the left allows you to:

Object bar:
· Select a database and a partition scheme for editing within the current window.

General bar:
· Compile the current partition scheme definition
· Print metadata of the current operator
· View Dependency Tree for the partition scheme
· Refresh the content of the active tab

hs20280_using navigation bar


Editing partition scheme definition

The basic partition scheme parameters are set on the Partition Scheme tab. Specify the partition scheme Name and select the name of the Partition function using the partition scheme. Note that a partition function must first be created before creating a partition scheme.

Filegroups
Partitions created by the partition function are mapped to the filegroups specified in the partition scheme.
Selecting the filegroup name in the Filegroup drop-down list, you can specify the filegroup names in accordance with the set intervals.
If PRIMARY is selected, the partition is stored on the primary filegroup.

Hint: Filegroups can be created in the Database properties window by selecting the Filegroups tab.

editing partition schema definition


Editing partition scheme description

The Description tab allows you to view and edit the comment for the partition scheme.

editing partition schema description


Viewing DDL definition

The DDL tab displays the SQL statement for creating the partition scheme. This text is read-only. If you want to change the partition scheme definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard and paste it in the SQL Editor or SQL Script Editor.

viewing partition schema ddl definition


Queries

SQL Manager 2005 for SQL Server provides two powerful tools for working with the SQL queries: SQL Editor for editing the query text directly and Visual Query Builder for building queries visually.

Creating a new Query

To create a new query in SQL Editor:

· Select Tools | New SQL Editor menu item.
· Click Add new query button on the toolbar.
· Edit the query text on the Edit tab of the SQL Editor.

To create a new query in Query Builder:

· Select Tools | New Query Builder menu item.
· Build the query on the Builder tab of Visual Query Builder.

Editing Query

To open a query in SQL Editor:

· Select Tools | Show SQL Editor menu item.
· Use the number buttons at the bottom of the area to find one of the previously edited queries. The last edited query is displayed automatically on opening the editor.
· To load a query from an *.sql file click Load from file button at the navigation bar.

To open a query in Query Builder:

· Select Tools | Show Query Builder menu item.
· The last edited query is displayed on the Builder tab.
· To load a previously saved diagram click Load Diagram item at the navigation bar.
· To load a query from an *.sql file, open the Editor tab and click Load from file button at the navigation bar.

Executing Query

To execute a query:

· Create a new query or open the existing one.
· Click Execute query button on the toolbar of SQL Editor or Visual Query Builder respectively.
· View/edit the returned data on the Results tab.

Saving Query

To save a query:

· Create a new query or open the existing one.
· Click Save to file item at the navigation bar of SQL Editor or Save query item at the Editor tab of Visual Query Builder respectively to save the current query to *.sql file.
· Click Save diagram item at the navigation bar of the Builder tab of Visual Query Builder to save the designed diagram.
· Click Save All button on SQL Editor toolbar to save all the opened queries to one file.


SQL Editor

SQL Editor is the basic SQL Manager 2005 for SQL Server tool for creating and executing queries. It allows you to create and edit SQL text for a query, prepare and execute queries and view the results of execution.
To open SQL Editor select Tools | Show SQL Editor / Tools | New SQL Editor menu item or press F12 / Shift + F12.

· Using navigation bar
· Viewing query plan
· Working with editor area
· Using object links
· Using popup menu
· Executing query and viewing results

See also:
Visual Query Builder
SQL Script Editor

hs2090_working with editor area

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for query.
· Execute the current query.
· Explain query. This item provides an information about query calculation.
· Add a new query (Note that current query text will NOT be lost).
· Delete the current query.
· Delete all the queries open in the editor.
· Run the Visual Query Builder for designing the query as a diagram.
· Configure SQL Editor within the Options | Editor Options dialog.
· Open SQL Server help file.
· Bring the window to its default size.

The Edit bar allows you to load a query from the *.sql file and to save current or all queries to file.

hs2080_using navigation bar


Viewing query plan

On this tab you can see the plan of the query, on which the sequence of actions is displayed.


Working with editor area

The Editor area is provided for working with the text of query. For your convenience code completion is enabled (you can see the example of its work at the picture above). You can activate the completion list by pressing the Ctrl+Space key combination.

hs2090_working with editor area


Using object links

Database objects are highlighted in the text. You can open the proper object editor by clicking the object name in the text, holding the Ctrl button pressed on the keyboard.

hs2100_using object links


Using popup menu

The popup menu of the edit area contains standard functions for working with the text (Cut, Copy, Paste, Find, Replace, Toggle Bookmarks, etc) and also functions for processing the whole query, which allow you to save/load query to/from file, and preview or print the query text.

hs2110_using popup menu


Executing query

To execute the query click Execute item on the navigation bar. If the query text is correct, the query executes and, if the query statement is supposed to return data (e.g. as SELECT or SHOW statements), the Results tab opens with the data returned by the query. If an error occurs while executing the query, execution stops, the appropriate error message is displayed in the bottom area.

The Results tab displays the result data, returned by the query, as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Export As SQL Script.


Visual Query Builder

Visual Query Builder is provided for building queries visually. It allows you to create and edit queries without knowledge of SQL, prepare and execute queries, and view the results of execution.
To open Visual Query Builder, select Tools | New Query Builder or Tools | Show Query Builder menu item.

· Using navigation bar
· Working with diagram area
· Joining two database objects by fields
· Setting the selection criteria
· Setting output fields for selection
· Setting the grouping criteria
· Setting parameters of sorting
· Working with editor area
· Executing query and viewing results

See also:
SQL Editor
Visual Database Designer

hs287_visual query builder

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Using navigation bar

The navigation bar at the left allows you to:

· Select a database for query.
· Execute the current query.
· Clear the current query.
· Create view on the base of current table(s).
· Configure Visual Query Builder.
· Bring the window to its default size.

The Visual Builder bar allows you to load a query/diagram from file and to save current query/diagram to a file.

The Data Management bar allows you to:
· Export data into most popular data formats.
· Export data as SQL script.

The Objects bar allows you to add tables and views to the diagram.

hs2130_using navigation bar


Working with diagram area

The main area of the Visual Query Builder is the Builder area. Here you can build your query by placing the database tables on the area, selecting the required data and setting links between objects.

To add a table to the query, simply drag it from Database Explorer tree of the main window to the Builder area. To include a table field in the query, click at the left of the field name in the list or double-click it to set the blue icon next to the field name. To include all the fields, click at the left of the table caption. If you don't check any fields, the SQL statement is generated as SELECT * FROM <Table_Name>, i.e. all the fields are selected. To remove the fields from the query, uncheck the respective fields; to remove the object, close it by clicking the cross button at the object caption, or select the object and press Del key. To edit the object alias, double-click the object caption.

hs287_visual query builder


Joining two objects

To associate database objects by two fields, just drag one field from the object list to another. This will set a link between these objects by the selected fields. After you finish dragging, a line will appear between the linked fields. You can view and edit the properties of object association. To do that, aim cursor at the link line. A hint containing the association condition will appear.

hs2150_joining two objects

To edit the properties, double click the line or right-click and choose the Property item from the popup menu. A dialog window will appear, where you can change the association condition by choosing it from the list (=, >, <, >=, <=, <>).

hs2150_joining two objects_1

Also you can check or uncheck the Include all option for each object, included in the association. Click OK to confirm the changes you have made.

To remove a link between objects, right-click the link line and select the Delete Link item from the popup menu.

To delete all the links of some object, click button '-' next to the object alias. To insert a point to the link line, right-click on the line and choose Insert Point item from the popup menu. A new point will appear, using which you can move the link line. It doesn't cause any changes to the query but makes the diagram performing more obvious and the visual building handler


Setting criteria

Use the Criteria page to set the selection conditions.

To add a condition, click the button at the left and select Add condition item from the popup menu.
Edit the condition by clicking its parts and setting their values. Clicking the button at the left of the condition string activates the popup menu, which allows you to add a new condition of the same enclosure level, add a new enclosure level, delete the current condition, open or close the condition, if it is composite.

A simple condition string contains three fields: an argument, a condition and a second argument (if required for the condition). Clicking each field allows you to set its value. Clicking the argument field allows editing it as a text field. You can set a table name or a definite value in this field. Right-clicking the field in the edit mode activates the popup menu, which contains the Insert Field function (also called by Shift+Enter).

This function allows you to choose a field from the list of all the table fields, available in the query. Clicking the condition field activates the popup menu, where you can choose the condition you need. The way of proceeding the condition is set in the upper string of the area (All, Any, None, or Not all of the following are met). Click the underlined word to change it.


Setting output fields

The Selection page displays the output fields of the query. It allows you to edit the names of the query output fields, set their displaying order and set the aggregate functions (SUM, MIN, MAX, AVG, and COUNT) for each field. To remove the field from the list, right-click the field row and choose Delete current row from the popup menu. To change the input query field, double click it and then type the field name on the keyboard or choose it from the dropdown list.

To change the output query field name, double click it and type the field name on the keyboard.

To set the aggregate function for the field, double click the field row in the Aggregate column and then type the function name on the keyboard or choose it from the dropdown list.

chbox Select only unique records
If you check this option the repeated records are not included into the query result (the DISTINCT word will be added to the query text).

hs2170_setting output fields


Setting grouping criteria

On the Grouping Criteria page you can set the conditions for grouping query records. They are set in the same way as the selection of criteria. These conditions will be included in HAVING statement of the generated query.

hs2180_setting grouping criteria


Setting parameters of sorting

Set the way of sorting query records on the Sorting page. The field list at the left represents all the output query fields; the list at the right contains fields, by which the query records will be sorted. To move the field from one list to another, drag the selected field or use the Add and Remove buttons. To change the sorting order, select a field in the right list and move it using the Up and Down buttons.

To change the sorting direction, select a field in the right list and switch the direction (Ascending, Descending) using the A..Z/Z..A button.

hs2190_setting parameters of sorting


Working with editor area

In the Editor area the query text is automatically generated while you build query.

You can edit this text according to the rules of SQL, and all the changes will be displayed on the Builder page of Visual Query Builder.

hs2200_working with editor area


Executing query

To execute the query click button Execute query on the navigation bar. This displays the Result tab. This tab displays the result data, returned by the query, as a grid (see Data View for details). The popup menu of this tab and the Data Management navigation bar allow you to Export Data, Export As SQL Script and more.


Query parameters

Both of SQL Editor and Visual Query Builder support using of parameters inside the query text. A parameter is a kind of variable, which value can be specified just before the query execution. In the query text the parameter should appear as an identifier with a colon (':') at its beginning, e.g.

   :param1.

Note: The Allow using of parameters in query text option should be checked at the Options | Environment options | Tools tab for this feature to be enabled.


Input parameters dialog

The Input Parameters dialog is used to specify the query parameters as well as values of the input parameters of the procedure or function before execution. Click OK button to apply the values and execute the query or click Cancel button to abort execution.


Data Management

Table data and query results are displayed on the Data or Results tab of Table Editor, SQL Editor, Visual Query Builder, etc.

The data can be displayed in three modes: Grid View, Form View and Print Data. See Data View to learn more about these modes.

The toolbars of these tabs as well as the popup menus (activated by right-click on the grid) provide the following functions for managing data:

· Export Data
Exports data to various formats, including MS Excel, MS Access, RTF, HTML, PDF and more.

· Export As SQL Script
Exports data to the SQL script as a number of INSERT statements.

· Import Data
Imports data from MS Excel, MS Access, DBF, TXT, and CSV.

· Edit BLOB
Allows you to view and edit the content of BLOB and TEXT fields.


Data View

SQL Manager 2005 for SQL Server provides you with powerful tools for viewing, editing and printing data from tables and queries. This topic shows how you can work with data in the simplest and the most direct way.

· Grid View
· Form View
· Print Data

See also:
Table Editor
SQL Editor
Visual Query Builder

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Grid View

View data as a grid. The columns correspond to the fields and rows correspond to the records. Clicking the column caption sorts data by the values of this column in ascending or descending mode. The navigation bar allows you to switch the records quickly, insert, update or delete records.

The navigation bar of the parent tool as well as the grip popup menu provides you with the following data functions: Export Data, Import Data, Export As SQL Script and more.

The popup menu of the grid also provides the following additional functions: use current field value as a filter, set the field value as Null, edit BLOB (for BLOB fields; see BLOB Viewer/Editor).

Note: The status bar displays the number of records in the current data set.

· Grouping data within the grid.
· Filtering records.
· Working in multi-level mode.
· Viewing data in card view.


Grouping data

You can group grid data by any of the columns by dragging the column header to appear area. Now all the records are displayed as subnodes to the grouping row value as shown at the picture. To reverse grouping, just drag the column name from the upper area back.


Filtering records

You can filter records in the grid by one of the following methods:

· Right-click a row and select Quick Filter item from the popup menu to filter records by the current value of the selected column.

· Click the dropdown button at the column caption area and select one of the column values to filter records by this value of the selected column.
· Click the dropdown button at the column caption area, then select the Custom item and build a simple filter within a dialog in the following way: select a logical operator for checking the column values (like, is less than, is greater than, etc) and set the value to be checked by this operator in the right box; then set the second condition if necessary and set the relation between these two conditions, whether both of them should be matched or just any of them; use character '_' to represent any single symbol in the condition and use character '%' to represent any series of symbols in the condition.

After you have set a filter, the filtering panel becomes visible at the bottom of grid, where you can see the active filtering condition and easily enable or disable it by clicking a check box at the left. Using this panel you can also customize your filter in a more complicated way by clicking the Customize button and building your filter within the Filter Builder Dialog.


Working in multi-level mode

One of unique features of SQL Manager 2005 for SQL Server is ability to work with data in multi-level mode to view and modify data in several related tables at one time. To manage levels right-click on the grid and select Grid Levels submenu. It allows you to:

· Add new grid level using Create Grid Level Wizard.
· Delete current grid level.

data view - levels


Create Grid Level Wizard

Create Grid Level Wizard allows you to add a new detail level to the grid in order to get master-detail representation of your data. To open the wizard right-click on the grid and select Add Grid Level... menu item from Grid Levels submenu.

· Specify master level.
· Select a table or a query for new level.
· Bind master and detail level fields.
· Specify additional level parameters.

create grid level wizard_1


Specify master level

Select master level to which a new level will be added and select the source type of new level data: table or query.

create grid level wizard_1


Select table or query for new level

Select a table or input a query to be used as a source of new grid level. Set Show tables related by foreign keys only option to narrow list of selectable tables. You can use Query Builder tool if query is selected as source type.

create grid level wizard_2


Bind master and detail levels

Define pairs of fields to link master and detail level data sources.

create grid level wizard_3


Specify additional parameters

Set the caption for the new level and set the type of view for the level: as a table or as a card. Click Finish to create new grid level.

create grid level wizard_4


Viewing data in card view

You can represent data in table or card view according to your needs. To manage the levels representation right-click on the grid and select Grid Levels submenu. It allows you to:

· View data in a form of table.
· View data in a form of cards.

data view - cards


Form View

Form View tab allows you to view data as a form. On the form the current record is displayed: field name and its value. If these data are available for editing, you can do it on this form. The navigation bar allows you to switch the records quickly, insert, update or delete records.

Each field has a Null switch, which allows you to clear the field value quickly; near each number field a calculator button is placed (calculator field automatically fills the current field); near each date field calendar button is placed (date, selected in the calendar, automatically fills the current field).


Print Data

At the Print Data tab data are displayed in the way they are printed, in WYSIWYG mode. Using buttons on the toolbar you can design report, change the view scope, save and load previously saved report, and set the page printing parameters.


Blob View

SQL Manager 2005 for SQL Server provides BLOB Viewer/Editor to view and edit BLOB fields content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, SQL Editor, Visual Query Builder, etc.

· Navigating within the BLOB Viewer/Editor
· Viewing/Editing BLOB field as hexadecimal dump
· Viewing/Editing BLOB field as plain text
· Viewing/Editing BLOB field as rich text (RTF)
· Viewing/Editing BLOB field as graphical image
· Viewing/Editing BLOB field as HTML
· Applying changed to data

See also:
Data View
Table Editor
SQL Editor
Visual Query Builder

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Navigating with the BLOB Editor

The BLOB Editor provides an ability to navigate among the records using DB Navigation buttons on the toolbar. Also you can load the new BLOB content and save or clear the current content by using the appropriate items on the toolbar.

hs2470_navigating with the blob editor


Editing as hexadecimal dump

The Hexadecimal panel allows you to edit data in hexadecimal mode. Use the Ins key to switch between Insert and Overwrite modes.

hs2470_navigating with the blob editor


Editing as plain text

The Text panel allows you to edit data as a simple text. Use Save to File and Load from File items on the navigation bar to save the text to a file, or load the text from a file.

hs2410_editing as plain text


Editing as rich text (RTF)

The Rich Text panel allows you to edit data as a Rich Text format (RTF). Use Save to File and Load from File items on the navigation bar to save the text to a file, or load the text from a file.

hs2420_editing as rich text (rtf)


Editing as image

The Image panel shows field data as image. Use Save to File and Load from File items on the navigation bar to save the image to a file, or load the image from a file.

hs2430_editing as image


Editing as HTML

The HTML panel displays field data in Hyper-Text Markup Language format (HTML). You can load a new content to the field using Load from File item on the navigation bar, or save current field content to a file using Save to File item.


Applying changed

After changes are done, click Post Edit button to apply the changes or Cancel Edit to discard them.


Filter Builder Dialog

SQL Manager 2005 for SQL Server provides the Filter Builder dialog to facilitate creating and applying filter criteria for the data grid within Table Editor, SQL Editor, Visual Query Builder, etc. In addition, it allows you to save filter criteria to an external file for future use.

· Invoking the Filter Builder dialog
· Adding new condition to the filter
· Setting filter criteria in condition
· Setting filter operator in condition
· Setting filter criteria values in condition
· Adding new group to condition
· Setting group operator in the condition
· Applying filter conditions

See also:
Data View
Table Editor
SQL Editor
Visual Query Builder

hs2300_filter builder dialog

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Invoking the Filter Builder dialog

To invoke the Filter Builder Dialog, click the Customize button on the Filter panel. This panel is visible if any filtering is already applied to the grid (you can use column header menu or grid menu for quick filtering).

hs2310_invoking the filter builder dialog

To illustrate usage of Filter Builder Dialog, see example in the next topics.


Adding new condition

Suppose we need to select orders from the sample table Orders made between 01.01.94 and 12.29.03. These criteria are applied to the SaleDate column. Click the press button to add new condition box. This will add a new condition to the criteria. Alternatively, you can left-click the Filter box and select the Add Condition option from the dropdown menu.

hs2320_adding new condition

Next Step >>


Setting filter criteria

As we need to apply the filter criteria to the SaleDate column, left-click the column box (next to the ellipsis button) to open the dropdown list displaying the available column names. Then select the SaleDate item.

hs2330_setting filter criteria

Next Step >>


Setting filter operator

Select BETWEEN item in the operator box. This will add two empty value boxes to specify the inclusive range for BETWEEN condition.

hs2340_setting filter operator

Next Step >>


Setting filter criteria values

On this step, you need to specify the range for BETWEEN operator.
You can do this either manually by typing a date using the keyboard or via the date editor activated when you click the value box. The editor used in value boxes is determined by the editor type assigned to the corresponding column.

hs2350_setting filter criteria values

Next Step >>


Adding new group

For example, you need also to select orders payed via 'Visa' or 'American Express'. This is a complex filter condition combining two simple conditions with OR operator. So we cannot just add them at the same root level as for the existing conditions which are combined by AND operator. Instead, we need to add a group of conditions. Left-click the ellipsis button for the SaleDate condition and select Add Group menu item.

hs2360_adding new group

Next Step >>


Setting group operator

Our new complex criteria must combine conditions using OR operator. To do this, left-click the operator box (by default, it specifies AND operator) and select OR item from the menu.

hs2370_setting group operator

Next Step >>


Applying filter conditions

The group already contains one condition. You have to add one more condition at the same level and specify the required payment types using value boxes. After doing this, the Filter Builder dialog will look like shown on the picture below.

The Filter Builder dialog allows you to save filter criteria to and load them from an external file. Clicking Save As… or Open… buttons activates one of these dialogs. Filter settings are stored in a file with .flt extension. A column in the file is referenced by its position within a view. This means that filter settings cannot be correctly restored if columns were deleted from the view after saving the filter to a file.

hs2380_applying filter conditions

Click Apply button to see the result of the filtering you made and click OK or Cancel to close the dialog with or without saving your filter respectively.


Import/Export Tools

SQL Manager 2005 for SQL Server provides powerful tools to import and export data.

· Export Data
Exports data to various formats, including MS Excel, MS Access, RTF, HTML, PDF and more.

· Export Data As INSERT
Exports data to the SQL script as a number of INSERT statements.

· Import Data
Imports data from MS Excel, MS Access, DBF, TXT, and CSV.

· Bulk Insert
Loads a data file into a database table or view in a user-specified format.


Export Data Wizard

Export Data Dialog allows you to export data from table, view, procedure or query result to any available format. You can save your settings as a template at any time for later use.

To call the wizard right-click the table (view, procedure, etc.) in DB Explorer, select Data Manipulatiton and corresponding operation then. Another way is to select Data tab of Table Editor/View Editor, then corresponding menu item of the Data Management bar (navigation bar) or simply use context menu of the Grid -> Data Manipulation.

· Setting name and format for destination file
· Selecting fields for export
· Adjusting formats applied to exported data
· Setting header and footer text for destination file
· Setting options according to the selected format
· Setting common export options

See also:
Export As SQL Script Wizard
Import Data Wizard

hs2480_setting destination file name and format

Availability:
Windows Professional
Yes
Windows Lite
No
Linux Professional
Yes (w/o MS Access)


Setting destination file name and format

Select one of the available destination formats and set name for the result file. The file name extension in the Destination file name box changes according to the selected export type.

hs2480_setting destination file name and format


Selecting fields for export

Select table fields for export. If you leave all the fields in the Available Fields list, all fields will be exported except BLOBs.

hs2490_selecting fields for export


Adjusting data formats

This step allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need.

hs2500_adjusting data formats


Setting header and footer

Set header and footer text for the result file. This text will appear before or after data in the result file respectively.

hs2510_setting header and footer


Setting format-specific options

Data Export Options are defined on Step 5 of the Export Data Wizard.

· Excel Options
· Access Options
· Word / RTF Options
· HTML Options
· PDF Options
· TXT Options
· CSV Options
· XML Options


Excel options

This step allows you to customize options for target MS Excel file.

You can customize Data format, Extensions and set an Advanced options.

· Data format
· Extensions
· Advanced


Data format

The Data Format tab contains general options, which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data field, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make target Excel file be striped by columns or rows (the Styles tab).

· Fields
· Options
· Styles

export options - excel - data format


Fields

On this tab you can set font options, border and fill options and select and aggregate functions for all the fields you want to export. You can reset settings at any time using buttons Reset Item and Reset All.

export options - excel - data format - fields


Options

On this tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates and hyperlinks). You can reset settings at any time using buttons Reset Item and Reset All.

export options - excel - data format - options


Styles

On this tab you can make a style template: set font options, border and fill options and save them. You can reset settings at any time using buttons Reset Item and Reset All.

If you have created or loaded more than one style template, they could be ignored, or used column-by-column or row-by-row (it depends on strip style setting at the bottom).

export options - excel - data format - styles


Extensions

Extensions tab provides an ability to add hyperlinks and notes and to any cell of target file, to specify a value of a cell, to create a chart and to merge cells. Click Plus button to add add an element. Click Minus button to delete an element.

· Hyperlinks
· Notes
· Charts
· Cells
· Merged Cells

export options - excel - extensions


Hyperlinks

If you create a hyperlink:

· choose cell coordinates
· select if this is a local hyperlink or not
· enter its title
· specify its target

export options - excel - extensions- hyperlinks


Notes

If you create a note:

· choose cell coordinates
· enter text of a note for that cell
· select font and fill properties using appropriate tabs

export options - excel - extensions- notes


Charts

if you create a chart:

· enter chart title
· select chart style
· choose legend position
· specify if you want to show legend
· specify if you want to set chart color automatically
· select chart position and category labels using appropriate tabs

export options - excel - extensions- charts

· add one or more series
· enter its' titles
· select data ranges (from a chosen column or from a specified range in a table)
· choose colors for all the graphs

export options - excel - extensions- series


Cells

If you want to add a value in a specific cell:

· choose cell coordinates
· select cell type
· enter its value
· if you are adding numeric or date/time value, you can set cell format

export options - excel - extensions- cells


Merged Cells

If you want to merge some cells:

· select a range to merge

export options - excel - extensions- merged cells


Advanced

Advanced options allow you to:

· Specify page header
· Specify page footer
· Specify sheet title in target file
· Choose a picture to be a page background

chbox Calculate column width automatically
This option allows wizard to determine column width in target file automatically.

export options - excel - advanced


Access options

This step allows you to customize options for target MS Access file. Set the name for target table and specify whether the wizard should create a new table in Access database if it does not exist yet, or use the existing table to export data into.


Word / RTF options

This step allows you to customize options for target MS Word/RTF file.

· Base Styles
· Strip Styles


Base Styles

Base styles tab contains the list of target file entities, such as table header, data, etc. You can customize style options, such as font name and size, background and foreground colors, text alignment and so on, for each of them by clicking the corresponding item in the list and setting the options for it in the right-side panel. All the changes you make with current style are represented in the Sample Cell panel. You can reset settings at any time using buttons Reset Item and Reset All.

You can also choose page orientation for target Word/RTF file on this tab.

export options - word - base styles


Strip Styles

On this tab you can make a style template: set font options, border and fill options and save them. You can reset settings at any time using buttons Reset Item and Reset All.

If you have created or loaded more than one style template, they could be ignored, or used column-by-column or row-by-row (it depends on strip style setting at the bottom).

export options - word - strip styles


HTML options

This step allows you to customize options for target HTML file.

· Preview
· Basic
· Multi-file
· Advanced


Preview

Preview tab allows you to select style of HTML file from a number of built-in templates provided by the Templates combo box. You can choose any of these templates, customize it by clicking on objects in the preview panel, and save it as a custom template using Save template button. Use Load template button to load previously saved custom templates from hard disk. Click on an element of a table to select a color.

export options - html - preview


Basic

Basic tab allows you to specify basic parameters of target HTML file. You can:

· specify title of a result file
· select if CSS should be internal or external (in a specified .css file)
· select if want to export boolean fields of a table as HTML check boxes.

export options - html - basic


Multi-file

Multi-file tab provides you with an ability to split target HTML file into several separated files. This tab allows you to specify the record count for a single file, set an option to generate an index HTML file, and add an ability of navigation between each other to each of exported files.

export options - html - multi-file


Advanced

Advanced tab contains such HTML options as default font, background, cell padding and spacing, etc.

export options - html - advanced


PDF options

This step allows you to customize options for target PDF file. On this step you can customize general options of target PDF file, such as fonts, page size, page margins, column/row spaces, line width, etc.


TXT options

This step allows you to customize options for target text file. Set the Calculate column width options on if you want each column of target file be adjusted to the maximum number of characters in it. The Spacing option specifies the number of spaces between columns in target file.


CSV options

This step allows you to customize options for target CSV file. You can specify column separator and optional values quote character for target file on this step.


XML options

This step allows you to customize options for target XML document. Specify XML document encoding in the Encoding edit box and set the Standalone option on if you wish target document to be standalone.


Setting common export options

Set the common export options and click Finish button to start the export process. The detailed description of these options is given below.

hs2610_setting common export options

chbox Go to the first record
If checked, starts export from the first record of the data set.

chbox Export empty tables
If checked, allows you to export tables even if they are empty.

Skip
Specifies the number of records, which are skipped before export starts.

Export fetched records / Export only ... records / Export all records
Specifies the number of records to export: only records currently fetched, a fixed number of records or all records.

chbox Open files after export
If checked, opens the result files in the associated program after export.

chbox Print files after export
If checked, sends the result files to default printer after export.


Import Data Wizard

Import Data Wizard allows you to import data to a table from MS Excel, MS Access, DBF, TXT or CSV file.

Setting source file name and format
Selecting source object for import data from
Setting the correspondence between the source and target fields
Adjusting common data formats
Setting advanced field formats
Setting import mode and data write type
Customizing common import options

See also:
Export Data Wizard

hs2660_selecting source file name and format

Availability:
Windows Professional
Yes
Windows Lite
No
Linux Professional
Yes (w/o MS Access)


Selecting source file name and format

Select the type of the source file: MS Excel, MS Access, DBF, XML, TXT, or CSV and select the source file name. The file name extension in the Source file name box changes according to the selected import type. Select the delimiter and quote characters for CSV files.

hs2660_selecting source file name and format


Selecting data source

Note: this step is available only if you import data from an Access database.

Select a table from table list or type a query in the corresponding text box to specify data source. If you choose a query as data source, you also can load an SQL query from a file or save the current one to a file using the corresponding buttons.

hs2670_selecting data source


Setting fields correspondence

The correspondence between import fields is defined at the respective step of the Import Data Wizard.

· MS Excel
· MS Access
· DBF
· XML
· TXT
· CSV


Excel

Select ranges in the grid for the target field, selected in the Fields list. Click column or caption to select a whole column or row respectively. Using the popup menu of the Ranges list you can add or edit ranges manually, as well as remove them or change their order. After you define a range for the selected field, proceed to the next one. If source file and destination table have the same order of columns or rows, you can use Auto Fill Cols or Auto Fill Rows buttons to set the correspondence between them automatically.


Access

Select a target field from the left list and select a source Access field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear button to remove the selected or all items from the lower list.

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.


DBF

Select a target field from the left list and select a source DBF field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear buttons to remove the selected or all items from the lower list.

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.
Use Skip deleted records option to chose skipping records marked as deleted.


XML

Select a target field from the left list and select a source XML field from the right list, then click Add button. This adds a link for these fields to the lower list. Click Remove or Clear button to remove the selected or all items from the lower list.

Use Auto Fill button to set the correspondence between the source and target fields according to the way they are ordered.


TXT

Select the target field in the list, and then double-click in the text viewer area to add separators, delimiting the source column bounds. Click between the separators to assign the correspondence. Proceed to the next field when done.

The Skip Lines option allows you to point out a number of the unrequired lines to skip.


CSV

Select the target field in the list, and then click at the source column in the viewer area to set the correspondence. Repeat this operation for each field.

Use Auto Fill button to set the correspondence between the CSV columns and target fields according to the way they are ordered.
The Skip Lines option allows you to point out a number of the unrequired lines to skip.


Adjusting data formats

SQL Manager 2005 for SQL Server provides a number of options for setting common formats for all imported data.

hs2690_ajusting data formats


Setting advanced field formats

Select a field in the list and adjust format options that will be applied to this field only.

hs2700_setting advanced field formats


Setting import mode

Use Import mode to select whether to insert all records, or to update/delete existing ones. Note that for updating/deleting existing records in the target table you should move its key columns from the Available columns list to the Selected columns list.

hs2710_setting import mode


Customizing common options

Set the common options and click Finish button to start import.

hs2720_customizing common options


Export as SQL Script Wizard

Export as SQL Script Wizard allows you to export data from a table or a query result to SQL script as a number of INSERT statements.

To export data as INSERT from a table or a query:

· open the table in Table Editor or open and execute query in SQL Editor or Query Builder;
· open Data or Result tab respectively;
· click Export as SQL Script item on the navigation bar.

· Setting destination file name for the script
· Selecting field to export
· Editing result create statement
· Specifying export options

See also:
Export Data Wizard
SQL Script Editor
Extract Metadata

hs630_export data as insert wizard

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Setting destination file name

Set the file name for the result script and set the table name to include in the result SQL script.

hs630_export data as insert wizard


Selecting field to export

Select fields to include in the result SQL script. All the table fields are included in the Selected fields list by default. If you do not want some fields to be exported, move them back to the Available fields list.

hs2650_setting fields to export


Setting export options

Specify export options according to your needs. Check Load generated script into Script Editor option to load the result to SQL Script Editor after executing. Click Finish button to start the process.

hs2830_setting export options


Bulk Insert Wizard

BULK INSERT (Transact-SQL) loads a data file into a database table or view in a user-specified format. This statement copies data from a file to a table, appending the records to already existing data in the table. The file must be accessible to the server and the filename must be specified from the point of view of the server.

The Bulk Insert Wizard guides you through the bulk insert process.

To insert data to a table:

· open the table in the Table Editor;
· click the Bulk insert item on the Data Management bar.

or

· click right mouse button on a table name
· select Data Manipulation
· click the Bulk Insert... item

· Selecting data file and name of the table or view
· Specifying bulk insert options
· Selecting data file format

Availability:
Windows Professional | Yes
Windows Lite | No

hs5910 - bulk insert1 - selecting data file


Selecting data file and name of the table or view

Select target table or view.

Choose if the data file is on server or on the network. Specify absolute path name or UNC name of the input file.

Templates button. You can also save and load the template files with all the options set.

hs5910 - bulk insert1 - selecting data file


Specifying bulk insert options

Data file type
This option allows you to select a type of an input file: char, native, widechar or widenative.

Batch size
The number of rows in a batch. Each batch is copied to the server as one transaction. If this fails, SQL Server commits or rolls back the transaction for every batch. By default, all data in the specified data file is one batch.

Kilobytes per batch
The approximate number of kilobytes (KB) of data per batch. By default, this parameter is unknown.

Rows per batch
Indicates the approximate number of rows of data in the data file.

chbox Check constraints
Specifies that all constraints on the target table or view must be checked during the bulk import operation. If this option isn't checked, any CHECK constraints are ignored, and after the operation the constraint on the table is marked as not-trusted.
Since SQL Server 2005, BULK INSERT enforces new data validation and data checks that could cause existing scripts to fail when they are executed on invalid data in a data file.
Note: UNIQUE, PRIMARY KEY, FOREIGN KEY, or NOT NULL constraints are always enforced.

chbox Fire triggers
Specifies that any insert triggers defined on the destination table execute during the bulk load operation. If triggers are defined for INSERT operations on the target table, they are fired for every completed batch.

chbox Keep identity
Specifies that identity value or values in the imported data file are to be used for the identity column. If this option isn't checked, the identity values for this column are verified but not imported and SQL Server automatically assigns unique values based on the seed and increment values specified during table creation.

chbox Keep nulls
Specifies that empty columns should retain a null value during the bulk load operation, instead of having any default values for the columns inserted.

chbox Table lock
This option determines locking behaviour of the table. Holding a lock for the duration of the bulk load operation reduces lock contention on the table, significantly improving performance.

Max errors
Specifies the maximum number of syntax errors allowed in the data before the bulk load operation is cancelled. Each row that cannot be imported by the bulk load operation is ignored and counted as one error.
Note: The error counter doesn't consider constraint checks and converting money and bigint data types.

Error file
Specifies the file used to collect rows that have formatting errors and cannot be converted to an OLEDB rowset. These rows are copied into this error file from the data file "as is."

Templates button. You can also save and load the template files with all the options set.

hs5920 - bulk insert2 - bulk insert options


Selecting data file format

Code page
This option allows you to select a codepage of an input file: ACP, OEM or RAW. This option is relevant only if the data contains char, varchar, or text columns with character values greater than 127 or less than 32.

· ACP. ANSI/Microsoft Windows code page (ISO 1252) to the SQL Server code page.
· OEM. System OEM code page to the SQL Server code page.
· RAW. No conversion

Field terminator
This option allows you to select the field terminator to be used: "tab" character (\t), comma or semicolon.

Row terminator
This option allows you to select the field terminator to be used: "newline" character (\n) or "return" character (\r).

First row
Specifies the number of the first row to load.

Last row
Specifies the number of the last row to load. If this parameter is set to 0, the last row to load is the last row in the specified data file.

Sort order
( { column_name [ ASC | DESC ] } [ ,... n ] )
Specifies how the data in the data file is sorted. Bulk load operation performance is improved if the data loaded is sorted according to the clustered index on the table. If the data file is sorted in a different order, or there is no clustered index on the table, the ORDER clause is ignored. The column names supplied must be valid columns in the destination table. By default, the bulk insert operation assumes the data file is unordered.

Format file
Specifies the full path of a format file. A format file describes the data file. The format file should be used if:
· The data file contains greater or fewer columns than the table or view
· The columns are in a different order
· The column delimiters vary
· There are other changes in the data format

hs5930 - bulk insert3 - data file format


Database Tools

SQL Manager 2005 for SQL Server provides a number of powerful tools for working with the databases.

The following tools are available:

Dependency Tree
Allows you to view all the object dependencies in a one diagram.

Visual Database Designer
Allows you to lay out your database schema visually.

SQL Monitor
Displays all the SQL statements executed while working in SQL Manager 2005 for SQL Server.

SQL Script Editor
Executes SQL scripts to the database.

Extract Database Wizard
Extracts the table metadata to the SQL script, which can be later executed on another machine to reserve the database structure.

Print Metadata
Creates powerful metadata reports in the WYSIWYG mode, ready for printing.

HTML Report
Creates powerful metadata reports in the HTML format.

Report Designer
Allows you to build and print database reports


Dependency Tree

The Dependency Tree tool allows you to view all the object dependencies in a one diagram. To call the Dependency Tree window select the Tools | Dependency Tree menu item.

To view dependencies of the object, click the Select object button on the toolbar. Then select the object from the dialog window. The dependency tree will appear in the main area of the window.

The root object is marked out with blue frame. The objects which the root object depends from are situated at the left of the tree. The objects which depends from the root object are situated at the right of the tree.

You can switch between the objects by selecting them from the diagram. The selected object will become the root object.

To show/hide subobjects click the Show Subobjects / Hide Subobjects button on the toolbar.

There is history of selected root objects available. You can move back and forward through this history using arrow buttons on the toolbar.

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Visual Database Designer

Visual Database Designer is provided for designing your database visually. It allows you to create, edit and drop tables and table fields, set links between tables, and so on.

To open the designer select the Tools | Visual Database Designer menu item.

Using navigation bar
Navigating on diagram
Adding objects to diagram
Removing objects from diagram
New object creation
Creating relationships
Working with multiple pages
Reverse engineering
Printing diagram
Saving/Loading diagram
Setting diagram options

See also:
Visual Query Builder

hs960_visual database designer

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Using navigation bar

The navigation bar at the left allows you to:

· Select the database to design.
· Setting diagram options.
· Bring the window to its default size.
· Navigate with the diagram.
· View the list of objects that can be added to the diagram.

hs2240_using navigation bar


Navigating on diagram

To navigate on the large diagram use the Navigator tool on the navigation bar at the left. It allows you to see the whole diagram in a reduced size and even to move the objects in the diagram. The area currently visible at the main diagram area is outlined in red color.

hs3400_navigating on diagram


Adding objects to diagram

To add an object to the diagram, drag it from the Objects group on the navigation bar into the desired place on the diagram or simply double-click on this object.

hs3410_adding objects to diagram


Removing objects from diagram

To remove an object(s) from the diagram, select them, right-click on its title and choose Hide Selected Object(s) menu item or simply press the Del key.

hs3450_removing objects from diagram]


New objects creation

To create a new table using Visual Database Designer:

· Press Create table button on the toolbar;
· Click at the desired point on the diagram to place the new table to;
· Create new table with the New Table dialog.

hs3420_new objects creation


Creating relationships

To create a new relationship (which is the foreign key in terms of database):

· Press Create relation button on the toolbar;
· Click on the table where referential constraint should be created;
· Click on the referred table;
· Create new foreign key with the New Foreign Key dialog.


Working with multiple diagram pages

You can create several pages in one diagram to separate certain subject areas from the database for better viewing and understanding.

To manage diagram pages, right-click on the tabs under the diagram area and select the appropriate menu item for adding, deleting or renaming pages.

hs3440_working with multiple pages


Reverse engineering

The reverse engineering process builds relationship diagram basing on the current database's structure. The objects are arranged automatically within the diagram. To start the reverse engineering process press the appropriate button on the toolbar.


Printing diagram

Visual Database Designer allows you to print and preview the diagram.

To preview the diagram:

· Press Print Preview button on the toolbar.
· Preview the diagram in the Print Preview Dialog.

To setup print options:

· Press Print Options button on the toolbar.
· Set printing options in the Print Setup Dialog and press OK button.

To print the diagram:

· Press Print button on the toolbar.
· Set printing options in the Print Setup Dialog and press Print button.


Print Preview Dialog

Print Preview Dialog allows you to see the diagram layout before it will be printed.

hs3500_print preview dialog


Print Setup Dialog

Print Setup Dialog of the Visual Database Designer allows you to:

· Choose the desired printer;
· Specify print layout: print using defined scale factor or arrange diagram at defined number of pages horizontally and vertically;
· Specify page options: margins, headers and footers;
· Point out other print options.

hs3490_print setup dialog


Saving/Loading diagram

Use Save Diagram and Open Diagram buttons on the toolbar to save the diagram for future use or to load the previously saved diagram.


Setting diagram options

Using this dialog you can setup behavior and look of every diagram page. See detail description of every option at the Visual Database Designer page of Environment Options dialog.


SQL Script Editor

Using SQL Script Editor, you can view, edit and execute SQL scripts. To open SQL Script Editor select the Tools | SQL Script menu item.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion is enabled.

Using navigation bar
Using popup menu
Using script explorer

Note: SQL Script Editor doesn't show SELECT query results. Please use SQL Editor for that purpose instead.

hs2880_using popup menu

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for the script.
· Execute the script.
· Create a new blank script.
· Load a script from a file.
· Configure SQL Script Editor within the Environment Options dialog.
· Bring the window to its default size.
· Navigate between the statements in the script using the Explorer.

hs2870_using navigation bar


Using popup menu

The popup menu of the edit area contains standard functions for working with the text (Cut, Copy, Paste, Find, Replace, Toggle Bookmarks, etc.) and also functions for processing the script, which allow you to save/load script to/from file, and preview/print script.

hs2880_using popup menu


Using script explorer

The Explorer group on the navigation bar displays the tree of objects, used in the current script and allows you to get to the needed script fragment quickly by clicking the object in the tree.

hs2890_using script explorer


Extract Database Wizard

Using the Extract Database Wizard you can extract database objects and data to the SQL script, e.g. for backup purposes. To open this wizard, select the Tools | Extract Database menu item.

Use the Templates... button to save the wizard configuration for future use or to load the previously saved configuration for faster extract.

Selecting database to extract
Specify destination script file name
Selecting components to extract
Selecting database objects to extract their structure
Selecting database objects to extract their data
Customizing script options

See also:
Export As SQL Script

hs3020_selecting source database

Availability:
Windows Professional
Yes
Windows Lite
Yes
Linux Professional
Yes


Selecting source database

Select the source database to extract. Check Extract all metadata and data of the database option, if needed, to simplify the wizard.

hs3020_selecting source database


Specifying destination file name

Choose whether to load generated script to SQL Script Editor or to save this script to a file.
Specify destination file name in case of saving script to a file.

hs3030_specifying destination file name


Selecting components to extract

Select what to copy - database objects, table data, or both.

hs3040_selecting components to extract


Selecting objects to extract their structure

Select database object to copy or chose Extract all objects option to copy all objects from the database. Note that this step is not available if you select the Extract data only mode on selecting what copy.

hs3050_selecting objects to extract their structure


Selecting objects to extract their data

Select tables to copy their data by moving them from the Available tables list to the Selected tables one. Note that this step is not available if you select the Extract structure only mode on selecting what copy.

hs3060_selecting objects to extract their data


Customizing script options

This step allows you to customize structure and data copying. Click Finish button to start copying.

hs3070_customizing script options


Print Metadata

Print Metadata allows you to print the metadata of any database object. To open it select Tools | Print Metadata menu item.

Select the type of the database objects to print using buttons at the navigation bar. Move the objects from the Available objects list to the Objects for printing list using arrow buttons, by double-clicking or dragging them (multiple objects can be selected using buttons Ctrl and Shift).

See also:
HTML Report

hs2900_using navigation bar

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Select the database for the report.
· Print metadata for selected objects.
· Preview the report.
· Bring the window to its default size.
· Filter database objects by type.

hs2900_using navigation bar


Printing options

If you select table(s) among the tables for printing, Printing Options appear at the bottom.

Fields/Params, Foreign Keys, Checks, Indices, Triggers, DDL and Description.
Specify which items should be printed.

hs2900_using navigation bar


HTML Report Wizard

HTML Report wizard allows you to generate a detailed HTML report about the selected database metadata. To open HTML Report wizard select the Tools | HTML Report menu item.

· Select source database and output directory
· Select type of database objects to extract
· Specify Cascading Style Sheet for the report
· Set additional parameters

See also:
Export Data Dialog
Print Metadata

hs5810_select database and directory

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | Yes


Select database and directory

Select the source database for the report. Select output directory for storing the result HTML files.

hs5810_select database and directory


Select type of database objects

Select databse ojbect types to include in the report.

hs5820_select type of database objects


Specify report style

Edit a CSS file that would be used in the result report.

hs5830_specify report style


Set additional parameters

Set the HTML Report additional parameters.

Charset
Set the character set for the result files.

chbox Show report after generating
This option opens the result report in your default browser after generating.

hs5840_set additional parameters


Report management

SQL Manager 2005 for SQL Server provides Report Designer for creating powerful reports, Create Report Wizard to simplify the process of creating report, and Report Viewer to view finished reports.

Reports can be stored either in the database ('xxxreports' table will be created to store them) or in the folder on your hard drive, specified at the Edit Database Registration Info dialog on the Directories page.


Create Report Wizard

Using the Create Report Wizard you can create a report blank in a definite style containing required datasets, bands and fields on them.

· Specifying report name and options
· Selecting report bands
· Selecting report style
· Specifying paper settings
· Specifying margins
· Specifying other page settings

See also:

hs3150_specifying report name and options


Specifying report name and options

Select the database for adding a report. Choose the action you need to perform: create new report or import the existing report from file. Set the name for a new report and specify the save options for it.

Click Next button to select report bands for a new report, or to locate the existing report.

hs3150_specifying report name and options


Selecting report bands

Select required bands to be placed in the report by moving them from the Available Bands list to the Report Bands one. Create datasets for 'data' bands if necessary by clicking Edit button.

Brief information about bands functionality is listed below. See FastReport help for more information.

hs3160_selecting report bands

Name | Functionality
Report title | Prints once at the beginning of report
Report summary | Prints once at the end of report
Page header | Prints at the top of each page
Page footer | Prints at the bottom of each page
Master header | Prints at the beginning of master list
Master data | Data rows of master list
Master footer | Prints at the end of master list
Detail header | Prints at the beginning of detail list
Detail data | Data rows of detail list
Detail footer | Prints at the end of detail list
Subdetail header | Prints at the beginning of subdetail list
Subdetail data | Data rows of subdetail list
Subdetail footer | Prints at the end of subdetail list
Group header | Prints at the beginning of each group
Group footer | Prints at the end of each group


Selecting report style

Select the report style by clicking one of the buttons demonstrating the future look of the report.

hs3170_selecting report style


Specifying paper settings

Specify report options, such as paper size and orientation, page margins. Check Open the report after the wizard has finished option to edit generated report with Report Designer. Click Finish button to start report generation process.

hs3180_specifying page options


Specifying margins

chbox Stretch to print area
If this option is checked, size of report adjusts to the print area. If this option isn't checked, you can specify exact left, right, top and bottom margins (in millimeters).

chbox Open the report after the wizard has finished
If this option is checked, the report will be opened after creating.

create report wizard - specifying margins


Specifying other page settings

Options.

chbox Print to previous page
This option allows to use white space on a previous page. This option can be used in case when a report template consists of several pages or when printing batch (composite) reports.

chbox Two-pass report
If this option is selected, report's formation will be performed in two steps. During the first pass, a report is formed, and is divided into pages, but the result is not saved anywhere. During the second pass a standard report formation with saving a result in the stream is performed.

chbox Page numbering
This option allows to print a page numbers.

Columns.

Number
This parameter specifies a number of columns for multi-column reports' printing.
Gap, mm
This parameter specifies width of a gap between columns.

chbox Open the report after the wizard has finished
If this option is checked, the report will be opened after creating.

create report wizard - specifying other page settings


Report Designer

The Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report. To edit already existing project use the appropriate Report Viewer navigation bar item.

This module is provided by FastReport (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find below the instruction on how to create a simple report in the Report Designer:

· Adding dialog form
· Adding database component
· Adding query component
· Adding fields to the report
· Viewing the report

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.

See also:
Create report wizard
Report Viewer

Availability:
Windows Professional | Yes
Windows Lite | No
Linux Professional | No


Adding dialog form

In the Report Designer right-click the page tab and select Add Dialog Form menu item. The Dialog Form will be created as shown below.

report designer - dialog form


Adding database component

On the Dialog Form do the following:

· Pick the Database component (lower on the left toolbar) and drop it on the form.
· Within the Object Inspector enter the HostName and the DatabaseName properties manually, e.g. 'localhost' and 'mysql'.
· Set the LoginPrompt property to True.
· Set the Connected property to True.
· Enter your login and password (e.g 'root' and empty password).
· Set the LoginPrompt property to False.

report designer - database

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.


Adding query component

On the Dialog Form do the following:

· Pick the Query component on the left toolbar and drop it on the form.
· Select the name of your Database component in the dropdown list of the Query1.Database property.
· Set the Query1.SQL property value, e.g. 'SELECT * FROM user'.
· Set Query1.Active to True.

report designer - query

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.


Specifying fields

At Page1 insert your fields into the report by clicking Insert DB Fields button on the top toolbar.

report designer - fields


Viewing report

Click Preview button on the toolbar. This mode allows you to view and print the result report.

report designer - perview


Report Viewer

Using the Report Viewer you can view, edit, save and print reports.

· Using navigation bar

See also:


Using navigation bar

The navigation bar on the left allows you to:

· Select a database and a report for viewing.
· Refresh the current report.
· Edit the current report with Report Designer.
· Save the report to a file.
· Print the current report.
· Bring the window to its default size.

report viewer - navbar


SQL Monitor

SQL Monitor allows you to view the SQL code of all the operations executed over databases and database objects in SQL Manager 2005 for SQL Server. The content of the window can't be edited, but can be copied to the clipboard, saved to a text file or printed.

To open the SQL Monitor window, select Tools | SQL Monitor menu item.

· Using navigation bar
· Using popup menu

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Using navigation bar

The navigation bar at the left allows you to:

· Clear the window contents.
· Save the content of the window to a text file.
· Search for a string through the logged SQL code
· Configure SQL Monitor in the Environment Options dialog.
· Bring the window to its default size.

hs2850_using navigation bar


Using popup menu

The popup menu of SQL Monitor provides various functions for working with the window content.

You can use bookmarks for quick navigation within the text, copy, search, save text to file or print the content of the SQL Monitor window. The Properties menu item allows you to configure all the editors and viewers within the Editor Options dialog.

hs2860_using popup menu


Server Security Management

SQL Manager 2005 for SQL Server provides Login Manager for adding, deleting users, and editing global user privileges, and Grant Manager for granting privileges on the selected databases, tables and fields.

'Global' user privileges define the user access rights to all the database tables on the server. Granting privileges on the selected databases, tables or fields allows user to perform the defined operation (select, update, insert) over all the tables of the selected database, over the selected tables or over the selected fields only.

Adding User

To add a new user:

· Select the Tools | User Manager menu item.
· Click Add User button in Login Manager
· Edit user within User Editor.

Editing User Properties

To edit user properties:

· Select the Tools | User Manager menu item.
· Select a user to edit his privileges in Login Manager window.
· Click Edit User button.
· Edit user privileges within User Editor.

Managing User Grants

To define user grants for database objects:

· Select the Tools | Grant Manager menu item.
· Select the database host from the drop-down list on Grant Manager toolbar.
· Edit database privileges within the Grant Manager.

Deleting User

To delete a user:

· Select the Tools | User Manager item.
· Select a user to delete in Login Manager window.
· Click Delete User button.
· Confirm deleting in the dialog window.


Login Manager

Login Manager is provided for administering users and their global privileges.

To open Login Manager select the Tools | Login Manager menu item.

· Connecting to host
· Using User Editor

See also:
Grant Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Connecting to host

If you are not connected to the database server yet, select the host from the Server drop-down list and you will be prompted for login and password.

Note: you should register the server with Register Host Wizard before using this tool.

hs3510_connecting to host


Login Editor

The Login Editor window allows you to set such user properties as name and password and also manage groups membership and edit extended properties. It is available on adding a new user or on editing the existing user through the Login Manager and Grant Manager.

· Login
· Server Roles
· Server permissions
· Endpoint permissions
· Database permissions

hs3390_using user editor


Login

This tab allows you to specify the method used to connect to the instance of Microsoft SQL Server.

Windows authentication
When Windows Authentication is used to connect to SQL Server, Microsoft Windows is completely responsible for authenticating the client. In this case, the client is identified by its Windows user account.

SQL Server authentication
When SQL Server Authentication is used, SQL Server authenticates the client by comparing the client-supplied user name and password to the list of valid user names and passwords maintained within SQL Server.

Choose the Access denied option to forbid any connections to the SQL Server for current user.

On this tab you can also set the Default parameters such as Database and Language for the current user.

hs3390_using user editor


Server Roles

Here you can define Server Roles.


Server permissions

This tab allows you to set Server permissions. There are 4 states available for all permissions:

· Grant
· Revoke
· Deny
· Grant with GRANT OPTION


Endpoint permissions

Here you can define Endpoint permissions. There are 4 states available for every permission:

· Grant
· Revoke
· Deny
· Grant with GRANT OPTION


Database permissions

This tab allows you to set Database permissions. There are 4 states available for all permissions:

· Grant
· Revoke
· Deny
· Grant with GRANT OPTION


Grant Manager

Grant Manager allows you to set the user access grants for certain databases, tables, views, functions, sequences, schemas, tablespaces and languages.

To open Grant Manager select the Tools | Grant Manager menu item.

· Managing database-specific privileges
· Viewing granted objects only

See also:
Login Manager

hs3100_editing extended user properties

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Managing database privileges

To edit the specific privileges of a user to the database, select the user from the upper list box and the database to which these privileges should be applied.

Right-click on the grid cell, where the row is the required database or database object, and the column is the operation for granting (SEL, INS, UPD, etc), then select the Grant item from the popup menu to permit the selected operation over selected objects or select the Revoke item from the popup menu to forbid the selected operation over all the database tables. To grant or revoke all the operations on the selected object select Grant All or Revoke All respectively.

hs3110_managing database-specific privileges


Viewing granted objects only

Check the Granted only option to display objects with at least one granted operation.

hs3120_viewing granted objects only


SQL Server Services

SQL Manager 2005 for SQL Server provides graphical wizard interface for all native SQL Server services, which are intended for database and table maintenance. To make your work with the server easier SQL Manager 2005 for SQL Server also provides some graphical tools for working with the server as a whole.

The following services and server tools are available:

· Attach Database

· Detach Database

· Backup Database

· Restore Database

· Backup devices

· DTS Packages

· Jobs

· Job History

· Alerts

· Operators


Attach Database

SQL Manager 2005 for SQL Server provides attaching of an existing database that is made up of one or more files to the instance of MS SQL Server.

To open the Attach Database Wizard select the Services | Attach Database menu item.

See also:
Detach Database
Backup Database
Restore Database

Availability:
Windows Professional | Yes
Windows Lite | No


Connecting to server

Define the connection parameters:

Host
A host name where the database is situated or the IP address of the server.

Select the authentication type - the built-in Windows Authentication or the SQL Server Authentication. If the SQL Server Authentication is selected, define the following parameters:

Login
User name for connecting to the database server.

Password
Password for connecting to the database server.

When you are done, click Next to continue.


Defining database files

Select the files to attach to the server as a database.

MDF File Name with Path
Enter the name of the file to attach to the server. The press the Get All Files button to add the database files to the file list.

Database Name
Enter the database name here.

Database Owner
Select the database owner from the drop-down list.

chbox Register Database
This option indicates, that the Register Database Dialog for the new database will appear right after attaching the database (you need to register the database to start working with it in MS SQL Manager). If you want to register your database later, uncheck this option.

When you are done, click Finish to attach the database.


Detach Database

SQL Manager 2005 for SQL Server provides detaching of a database from the instance of MS SQL Server.

See also:
Attach Database
Backup Database
Restore Database

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting database to detach

Select the database you want to detach from the instance of SQL Server using the Database drop-down list.
Note that you can detach a database only if it has no active connections and it is not enabled for replication.

Press Refresh button to get the current database status.

chbox Update statistics before detaching
Check this option to update the database statistics just before detaching the database.

To start detaching the database, click the Finish button.


Backup Database

This service allows you to create reserve copies of your databases.

To open the Backup Database Wizard select the Services | Backup Database menu item.

See also:
Attach Database
Detach Database
Restore Database

hs21610_selecting database to backup

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting database to backup

On this tab you need to select a database to backup.

Host
A host name where the database is situated or the IP address of the server.

Database
Select the database name to backup from the drop-down list of all registered databases on the selected host.

hs21610_selecting database to backup


Selecting backup type and options

This tab allows you to define basic properties of the backup copy.

Database Recovery Model
This option displays the database recovery model.

Backup Name
Define a name of the current backup.

Backup Description
Enter any optional text describing the current backup.

Backup Type
This parameter defines a backup type. There are following types available:
· Database - Full - Full database backup, which backs up the entire database including the transaction log.
· Database - Differential - Perform a differential database backup. A differential backup records only the changes made to the data in the database after the last full database backup.
· Transaction log - A sequence of log backups provides for a continuous chain of transaction information to support recovery forward from database, differential, or file backups.

Append to Media / Overwrite Media
Select if the media would be appended or overwritten during backup.

Restart Interrupted Backup
Specifies that SQL Server restarts an interrupted backup operation. This option saves time because it restarts the backup operation from the point it was interrupted. Using this option is not required but can save time.
Note: This option can only be used for backups directed to tape media and for backups that span multiple tape volumes. A restart operation never occurs on the first volume of the backup.

hs21620_selecting backup type and options


Selecting database files to backup

This tab allows you to define files of the database to backup.

To add a file to backup, select it from the list and check the respective box in the Backup column. To add all files to backup, check the Backup All Files option.

hs21630_selecting database files to backup


Selecting backup devices

On this tab you need to select devices to backup a database to. Types of all devices must be the same.

To add a device, click the Add Device... button and select a device from the list.

To create a new device, click the Create Device... button and define the following parameters of the device:

Device Type
Select a device type.

Logical Name
Define a name of the device.

Physical Device Name and Path
Define a physical location of the device. If the Device Type is set to File, enter a full name of the file. If the Device Type is set to Tape or Pipe, enter a physical name of the device.

To add a file, a tape, or a pipe as a device, click the proper button and specify the device properties in the appeared dialog.

To delete a device from the list, select it and click the Delete Item button.

hs21640_selecting backup devices


Setting up schedule options

Use this tab to create a scheduled backup (check the Create Schedule switch for this purpose). Define the following parameters:

Schedule Name
Define a name of the new schedule.

Enabled
Check this option to make the schedule enabled immediately after its creation.

Execution Type
This panel allows you to define the behavior of the schedule. If the Start when SQL Server Agent starts is selected, the schedule will start on the SQL Server Agent startup. If the Start when CPU usage is low is selected, the schedule will start when the CPU usage is low. If the Start once on is selected, the schedule will start only once on the definite date and time. If the Recurrent Execution is selected, the schedule will start recurrently. The following tabs allow you to setup the schedule routine:

Recurring Interval
This tab allows you to set the schedule recurrence periodicity in days. You can run your schedule daily, weekly, monthly, and every few days.

Daily Frequency
This tab allows you to set the schedule recurrence periodicity in hours. You can run your schedule once at a specified time, or run it every few hours or minutes during the specified duration.

Duration
This tab allows you to set the schedule lifetime. You can set the schedule start date and the expiration date in the respective edit fields.

hs21650_setting up schedule options


Setting up media options

This tab is available if the Append to Media option is selected on the General Options tab. Here you can define if the program would check a name and password combination for the media. To enable this feature, check the option and define a name and a password for the media.

hs21660_setting up media options

The following tab is available if the Overwrite Media option is selected on the General Options tab.

hs21660_setting up media options (overwrite)

Format Media
Specifies that the media header should be written on all volumes used for this backup operation. Any existing media header is overwritten. The Format Media option invalidates the entire media contents, ignoring any existing content.
Important: Use this option carefully. Formatting one backup device or medium renders the entire media set unusable. For example, if a single tape belonging to an existing striped media set is initialized, the entire media set is rendered useless.

Media Name
Defines a name of the media.

Media Password
Enter a password for the media.

Re-enter Password
Repeat a password to avoid misprints.

Media Description
Any optional text describing the current media.

Backup Set Expiration Date
Defines an expiration date of the backup set.


Setting up advanced backup options

This tab contains some additional options of the database backup that can be set.

Block Size
Defines a size of a data block for the media.

Tape after Backup
Select if the tape must be rewinded, rewinded and unloaded, or kept open when backing up is over.

If you want to set the backup password, enter it twice in the respective edit fields.

Check the Show SQL option to enable displaying SQL statements that are used for backing up.

hs21670_setting up advanced backup options


Restore Database

SQL Manager 2005 for SQL Server allows you to restore databases from previously created backup copies.

To open the Restore Database Wizard select the Services | Restore Database menu item.

See also:
Attach Database
Detach Database
Backup Database

hs21690_selecting destination database

Availability:
Windows Professional | Yes
Windows Lite | No


Selecting destination database

This tab allows you to define the connection parameters and the destination database parameters.

Host
A host name where the database is situated or the IP address of the server.

Select the authentication type - the built-in Windows Authentication or the SQL Server Authentication. If the SQL Server Authentication is selected, define the following parameters:

Login Name
User name for connecting to the database server.

Password
Password for connecting to the database server.

Restore as
Select New Database if you want to create a new database, or select Existing Database to restore to the existing database.

Database Name
Enter a name for the new database or select the database to restore to from the drop-down list of all registered databases.

Register after restoring
Check this option to open the Database Registration dialog after restoration.

hs21690_selecting destination database


Specifying restore type

This tab allows you to define a restore type.

Restore Type
Select a type from the following:
· Database - Full restore or differential restore of entire database or individual files and filegroups. Files and filegroups can be restored either from a file or filegroup backup operation, or from a full database backup operation. When restoring files or filegroups, you must apply a transaction log. In addition, file differential backups can be restored after a full file restore.
· Transaction Log - Specifies that a transaction log backup is to be applied to this database. Transaction logs must be applied in sequential order. SQL Server checks the backed up transaction log to ensure that the transactions are being loaded into the correct database and in the correct sequence.
· Recovery without Restore - Check this switch to execute the database recovery only.

Restart Interrupted Restore
Specifies that SQL Server should restart a restore operation that has been interrupted. This option restarts the restore operation from the point it was interrupted.

Recovery
Instructs the restore operation to roll back any uncommitted transactions. After the recovery process the database is ready for use.

No Recovery
Instructs the restore operation not to roll back any uncommitted transactions.
Note: When specifying this option, the database is not usable in this intermediate, nonrecovered state.
When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of these situations:
· A restore script is being run and the log is always being applied.
· A sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

Standby
This option allows a database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.
If the specified undo file name does not exist, SQL Server creates it. If the file does exist, SQL Server overwrites it.

Undo File Name
Specifies the undo file name so that the recovery effects can be undone. The size required for the undo file depends on the volume of undo actions resulting from uncommitted transactions. The same undo file can be used for consecutive restores of the same database.
Important: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

hs21700_specifying restore type


Selecting backup set to restore

On this step you need to select a device to restore the database from.

To select a whole backup set, click the Select Backup Set... button and select a set in the appeared dialog.

You can define a backup set manually by adding devices to the device list. To add a device click the Add Item button and select the respective item from the drop-down menu. Then define the device in the appeared dialog.

Backup Number
Identifies the backup set to be restored. For example, 1 indicates the first backup set on the backup medium and 2 indicates the second backup set.

Media Name
Specifies the name for the media. If provided, the media name must match the media name on the backup volume(s); otherwise, the restore operation terminates. If no media name is given, the check for a matching media name on the backup volume(s) is not performed.
Important: Consistently using media names in backup and restore operations provides an extra safety check for the media selected for the restore operation.

Media Password
Supplies the password for the media set. If a password was provided when the media set was formatted, that password must be supplied to access any backup set on that media set.

Backup Password
Provides the password for the backup set. If a password was provided when the backup set was created, the password must be supplied to perform any restore operation from the backup set.

hs21710_selecting backup set to restore


Selecting files to restore

On this tab you can select files to restore. By default the program restores all files. To select files to restore manually uncheck the Restore All Files option. To restore a file, check a switch in the Restore column that corresponds to the file. You can edit file paths by clicking in the corresponding lines of the Physical File Name and Path column.

Partial Database Restore
Specifies a partial restore operation. Application or user errors often affect an isolated portion of the database, such as a table. Examples of this type of error include an invalid update or a table dropped by mistake. To support recovery from these events, SQL Server provides a mechanism to restore part of the database to another location so that the damaged or missing data can be copied back to the original database.

The granularity of the partial restore operation is the database filegroup. The primary file and filegroup are always restored, along with the files that you specify and their corresponding filegroups. The result is a subset of the database. Filegroups that are not restored are marked as offline and are not accessible.

hs21720_selecting files to restore


Setting up advanced restore options

On this tab you can fine some additional options that are specific for each restoration mode.

Restrict Access for Database to DBO Only
Restricts access for the newly restored database to members of the db_owner, dbcreator, or sysadmin roles.

Preserve Database Replication Settings
Instructs the restore operation to preserve replication settings when restoring a published database to a server other than that on which it was created. It prevents replication settings from being removed when a database or log backup is restored on a warm standby server and the database is recovered.

Tape after Restoring
Select if the tape must be rewinded, rewinded and unloaded, or kept open when restoring is over.

Transaction Log Restore Options
This panel is accessible only if the Transaction Log mode is selected. It allows you to restore all records from the transactional log or only specified range of log records.

Check the Show SQL option to view the SQL operations executed during restoration.

hs21730_setting up advanced restore options


Backup Devices

Server Log Viewer allows user to analyze SQL Server server logs in a simple way, providing the ability to sort, filter and group log statements.

hs20900_server log viewer

Availability:
Windows Professional | Yes
Windows Lite | No


DTS Packages

The SQL Manager 2005 for SQL Server provides running packages that were developed by using the SQL Server 2000 tools. By using this dialog, you can include SQL Server 2000 DTS packages in SQL Server 2005 data transformation solutions. A package can include both Execute Package tasks and Execute DTS 2000 Package tasks, because each type of task uses a different version of the run-time engine.

The navigation bar on the left allows you to:

Object bar:
· Select a server to operate with

General bar:
· Refresh the content of the active tab
· Run the current package
· Import an existing DTS package
· Export an DTS package to the server
· Bring the window to its default size

Availability:
Windows Professional | Yes
Windows Lite | No


Jobs

A job is a specified series of operations performed sequentially by SQL Server Agent. A job can perform a wide range of activities, including running Transact-SQL scripts, command-line applications, Microsoft ActiveX scripts, Integration Services packages, Analysis Services commands and queries, or Replication tasks. Jobs can run repetitive tasks or those that can be scheduled, and they can automatically notify users of job status by generating alerts, thereby greatly simplifying SQL Server administration.

You can run a job manually, or you can configure it to run according to a schedule or in response to alerts.

Make sure that SQL Server Agent service is running.

The navigation bar on the left allows you to:

Object bar:
· Select a server to operate with

General bar:
· Refresh the content of the active tab
· Add a new job
· Edit the current job
· Delete an existing job
· Start and stop current job
· View the performed jobs history
· Bring the window to its default size

Availability:
Windows Professional | Yes
Windows Lite | No


Editing job

Job name
Specify the job name here and enable it by checking the chbox Enabled option.
To create a job, a user must be a member of one of the SQL Server Agent fixed database roles or the sysadmin fixed server role. A job can be edited only by its owner or members of the sysadmin role.

Category
Choose the job category from the drop-down box.
Job categories help you organize your jobs for easy filtering and grouping. For example, you can organize all your database backup jobs in the Database Maintenance category.

Owner
Choose the job ownership from the drop-down box.
For security reasons, only the job owner or a member of the sysadmin role can change the definition of the job. Members of the sysadmin role can assign job ownership to other users, and they can run any job, regardless of the job owner.

Description
In this memo field you are able to describe the job.


Editing job step

A job step is an action that the job takes on a database or a server.

By using the context menu in the Job Editor window you can insert, edit and delete current job steps.
To edit the current job step you can also simply double-click it.

editing job step

On the General tab tou are able to define basic parameters of the current step.

Every job must have at least one job step. Job steps can be:
· Executable programs and operating system commands.
· Transact-SQL statements, including stored procedures and extended stored procedures.
· Microsoft ActiveX scripts.
· Replication tasks.
· Analysis Services tasks.
· Integration Services packages.

The Command type drop-down list allows to define the job step command type.

You must also specify the database name for which current step will be executed, and the security context under which the command is executed. Use Database name and Run as user dropdown lists accordingly.

SQL Server Agent can write output from some job steps either to the sysjobsteplogs table in the msdb database or to an operating system file.
To use this feature, check the chbox Add output to step history option and set the file name in Output file name edit field.

Turning the chbox Overwrite option on overwrites any existing data in the destination log file.

Use the Command text memo field for creating the job step source code.

editing job step editor 1

The Advanced tab of the Edit Step dialog provides flexible job step control of flow for success and failure.

The Retry attempts if step fails together with Interval settings allow you to set optional parameters for the job step.
Use them for finer tuning of the job step control.

The Info group box contains the common information on the job step. Here you can check the last run results.

editing job step editor 2


Editing job schedule

Scheduling administrative jobs means defining the condition or conditions that cause the job to begin running. You can schedule any type of job. More than one job can use the same job schedule. A user can attach and detach schedules from jobs.

By using the context menu in the Job Editor window you can insert, edit and delete current job schedules.
To edit the current schedule you can also simply double-click it.

editing job schedule

The Edit Schedule dialog allows you to define the current schedule common parameters.
Unchecking the chbox Enabled option disables the current schedule execution

Here you can set the Execution Type of the schedule.
Selecting Reccurent execution type, you must also set the Reccuring Interval, Daily Frequency and Duration properties of the current scheduled job. To do that, use the appropriate tabs.

editing job schedule 2


Job History

The Job History window displays the results of the executed jobs.

The navigation bar on the left allows you to:

Object bar:
· Select a server to operate with

General bar:
· Refresh the content of the active tab
· Use the filter for displaying the job history
· Clear all history
· Bring the window to its default size

Availability:
Windows Professional | Yes
Windows Lite | No


Filtering job history

For more comfortable viewing use the Job History Filter dialog.

This dialog allows you to set a number of parameters so that it returns and displays the results that you need.

hs21770_filtering job history


Alerts

Automated responses to events are called alerts. You can define an alert on one or more events to specify how you want SQL Server Agent to respond to their occurrence. An alert can respond to an event by notifying an administrator or running a job, or both. An alert can also forward an event to the Microsoft Windows application log on a different computer. For example, you can specify that an operator be notified immediately if an event of severity 19 occurs. By defining alerts, database administrators can more effectively monitor and manage SQL Server.

The navigation bar on the left allows you to:

Object bar:
· Select a server to operate with

General bar:
· Refresh the content of the active tab
· Add a new alert
· Edit the current alert
· Delete an existing alert
· Bring the window to its default size

Availability:
Windows Professional | Yes
Windows Lite | No


Editing alert

By using the context menu in the Alert Editor window you can add, edit and delete alerts.
To edit the current alert you can also simply double-click it.

This dialog allows you to define basic parameters of the current alert.

To define an alert, you specify:

· The name of the alert
· The event or performance condition that triggers the alert
· The action that SQL Server Agent takes in response to the event or performance condition

Specifying a SQL Server Event
You can specify an alert to occur in response to one or more events. Use the following parameters to specify the events that trigger an alert:

· Error number
· SQL Server Agent fires an alert when a specific error occurs. For example, you might specify error number 2571 to respond to unauthorized attempts to invoke Database Console Commands (DBCC).
· Severity level
· SQL Server Agent fires an alert when any error of the specific severity occurs. For example, you might specify a severity level of 15 to respond to syntax errors in Transact-SQL statements.
· Database
· SQL Server Agent fires an alert only when the event occurs in a particular database. This option applies in addition to the error number or severity level. For example, if an instance contains one database that is used for production and one database that is used for reporting, you can define an alert that responds to syntax errors in the production database only.
· Event text
· SQL Server Agent fires an alert when the specified event contains a particular text string in the event message. For example, you might define an alert that responds to messages that contain the name of a particular table or a particular constraint.

Selecting a Performance Condition
You can specify an alert to occur in response to a particular performance condition. In this case, you specify the performance counter to monitor, a threshold for the alert, and the behavior that the counter must show if the alert is to occur. To set a performance condition, you must define the following items on the SQL Server Agent General page of the New Alert or the Alert Properties dialog box:

· Object
· The object is the area of performance to be monitored.
· Counter
· A counter is an attribute of the area to be monitored.
· Instance
· The SQL Server instance defines the specific instance (if any) of the attribute to be monitored.
· Alert if counter/Value
· The threshold for the alert and the behavior that produces the alert. The threshold is a number. The behavior is one of the following: falls below, becomes equal to, or rises above a number specified for Value. The Value is a number that describes the performance condition counter.


Operators

Availability:
Windows Professional | Yes
Windows Lite | No


Editing operator


SQL Manager Options

SQL Manager 2005 for SQL Server provides full customization of program interface, window behavior, various options of all tools and more. This chapter tells you how to use all these options.

Environment Options
General SQL Manager 2005 for SQL Server options: environment style, confirmations, window restrictions, DB Explorer, SQL Editor, SQL Monitor, Visual Query Builder options and more.

Editor Options
Customizing of all the SQL editors - SQL Editor, SQL Script, and more.

Visual Options
Customizing program interface - bars, trees, menus, etc.

Keyboard Templates
Keyboard templates for quicker editing SQL.

Besides, the Options dialogs allows you to export all program settings to a *.reg file for future use, e.g. on another machine (see Save Settings for details).


Environment Options

Environment Options allow you to customize general SQL Manager 2005 for SQL Server options. To open the Environment Options window select the Options | Environment Options menu item.

· Preferences
· Confirmations
· Windows
· Tools
· Timeouts
· DB Explorer
· Naming Rules
· Object Editors
· SQL Editor
· SQL Monitor
· SQL Script
· Query Builder
· Print Metadata
· Data Export
· Fonts
· Grid
· Data Options
· Print Data
· Color & Formats
· Advanced
· Column Options
· Localization


Preferences

chbox Show splash screen on startup
Displays the splash screen on SQL Manager 2005 for SQL Server startup.

chbox Save desktop on disconnect
Saves all the database windows and their positions on disconnecting from the database.

chbox Disable multiple instances
Prohibits running multiple instances of SQL Manager 2005 for SQL Server.

chbox Encrypted passwords
Encrypts passwords for connecting to databases in the Windows registry.

chbox Show desktop panel (for MDI Environment style only)
Displays the Desktop Panel when no windows are open.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Confirmations

chbox Confirm saving of object
If this option is on, the program requires confirmation each time you want to save changes in database object.

chbox Confirm dropping object
If this option is on, the program requires confirmation for dropping database object.

chbox Confirm exit from SQL Manager 2005 for SQL Server
If this option is on, the program requires confirmation when you want to exit SQL Manager 2005 for SQL Server.

chbox Confirm transaction commit
If this option is checked, the program requires confirmation of the transaction commit.

chbox Confirm transaction rollback
If this option is checked, the program requires confirmation of the transaction rollback.

chbox Confirm metadata changing
If this option is on, the program requires confirmation of metadata changing (See Changing Metadata window).

Table altering operations performed via recreation
This option defines SQL Manager 2005 for SQL Server behavior when it is needed to recreate able to perform requested changes with it.
Enabled - such operations will be available without warnings.
Enabled, show warning - the warning window will appear if chosen operation requires table recreation.
Disabled - deny this type of operations.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Windows

Environment Style
This switch allows you to define the basic window environment - MDI (like MS Office) or Floating Windows (like Borland IDE).

Windows restrictions
This option allows you to set the number of editors (Table Editor, SQL Editor, etc.) that can be opened at a time.

Zoom options
This option is available only if Environment Style is 'Floating-windows environment'. It allows you to set the window maximization size: full screen, restricted by main form, restricted by main form and DB Explorer.

Bar style for child forms
Allows you to define the location of action buttons. They can be located at the Navigation bar at the left and/or on the Toolbar.
You can also Enable floating toolbars feature by clicking the appropriate option.

Availability:
Windows Professional
Yes
Windows Lite
Yes
Linux Professional
Yes (w/o Environment Style)


Tools

chbox Show only connected databases in drop-down menu
Displays only connected databases in the dropdown menus of such tools as: QueryBuilder, SQL Script, etc.

chbox Allow using parameters in query text
This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before some identifier (e.g. :P1) to specify a parameter within a query.

chbox Use transactions in Data tab of object editors, SQL Editor and Query Builder
If this option is on, the transaction is active until the Data tab is closed or the Commit button is pressed; all edited records are blocked until the transaction commit. If this option is off, then the transaction starts and immediately commits (autocommit) on saving each record, which is blocked only for a short time period.

chbox Use shared connection for each data view within a database
Uncheck this option to use separate connection for each data view within a database. Note that this option is only available when Use transactions in Data tab of object editors, SQL Editor and Query Builder is unchecked.

chbox Asynchronous query execution
Check this option to allow executing a query in background mode.

chbox Don't fill server lists in connection forms
If this option is checked, server list will be filled up with the names of most recently used servers, which are stored locally in the Windows registry. Otherwise, SQL Manager 2005 for SQL Server will scan the network to fill in the server lists in connection forms. Otherwise,

Availability:
Windows Professional
Yes
Windows Lite
Yes (w/o Query Builder page)
Linux Professional
Yes (w/o Query Builder page)


Timeouts

On this panel you can set timeouts for some operations in SQL Server. Timeouts are necessary for preventing program hang-up when executing the SQL statement due to the transaction interlocking. You can set timeouts for changing metadata, refreshing database objects and data tabs.

Refresh of the objects can also be terminated after timeout expired if there is an active transaction that made any changes to metadata.


DB Explorer

chbox Show hosts in DB Explorer
Shows/hides database hosts in the DB Explorer tree.

chbox Show Table Subobjects
Shows/hides table subobjects (fields and indices) in the DB Explorer tree.

chbox Sort by aliases
Sort registered databases by its aliases in the DB Explorer tree.

chbox Rename objects by editing in place
Allows you to edit object names right in the DB Explorer by selecting them and clicking on them one more time.

Recent objects count
Defines the number of objects displayed on the Recent tab of the DB Explorer.

Tables' Details in SQL Assistant
Switches the SQL Assistant mode for displaying table fields, indices, foreign keys, table status, definition or description.


Naming Rules

chbox Autogenerate subobject names
This option allows to generate names for foreign keys, checks, indices and triggers automatically.

On Foreign keys tab you can set a template for foreign key naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates), Referenced Table Name, Table Fields, Referenced Table Fields.

On Checks tab you can set a template for check naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates).

On Indices tab you can set a template for index naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates), Index Type, Clustered, Index Fields. Here you can also set the values of tags for Primary key constraints, Unique constraints, Unique, Clustered, Non-Clustered and simple indices.

On Triggers tab you can set a template for trigger naming. There are some insert tags which can simplify template creation: Table Name, Serial Number, Serial Number (for duplicates), Trigger Type and Trigger Events. Here you can also set the values of tags for "After" and "Instead of" trigger types and for trigger events: insert, update and delete.

environment options - tools - naming rules


Object Editors

chbox Convert created object's names to lowercase
Set this option to create all objects with names in lowercase.

chbox Always open the Fields tab
Always opens the Fields tab default on activating the Table Editor.

chbox Show Object Explorer
Enables/disables displaying the object explorer tree by default at the left of each Table Editor.

chbox Do not retrieve record count for a table
Enable this option for not to retrieve record count, as this can take a long time for large InnoDB tables.

Object list style
Set the style of combo-boxes for selecting database objects. You can represent objects in such lists in a form of tree or in a form of list, sorted by namespaces or by names.


SQL Editor

chbox Explain query
If this option is checked, query plan is displayed at the bottom of the SQL Editor window.

chbox Try to open server cursor
If this option is checked, SQL Manager 2005 for SQL Server will at first try to open a result of a query as a server cursor, and then, if unsuccessed, will open it as a client query.

chbox Show result for each query
If this option is checked and you execute two or more queries (divided by "go"), result for each query will be shown. Otherwise, only the result of the last query will be shown.

chbox Execute selected text separately
Check this option to allow the separate executing of the selected text.

chbox Write only successful executed queries to database SQL log file
If this option is checked, unsuccessful queries will not be saved to SQL Editor log file. (See Log page in the Edit Database Registration Info dialog)

chbox Show results on Edit tab
Check this option to see query execution results on the same page with the query text, rather than on different pages.

chbox Don't save query text
If this option is checked, query text will not be saved. Otherwise, it will be saved in Windows registry.

chbox Disable transaction confirmation
If this option is checked, no transaction confirmation will be required on closing Visual Query Builder and SQL Editor. Specify the default action ('Commit' or 'Rollback') and this action will be performed automatically each time when you exit Query Builder or SQL Editor. Check the Perform default action after each operation.


SQL Monitor

SQL Log
You can enable logging all the SQL Monitor events to a log file. Check option Log SQL Monitor events to file and set the name of the log file. To clear the log file after it reaches some definite size check Clear log file when it is greater than option and set the maximum file size in kilobytes.

chbox Show time of operation
Dislpays execution time of logged operations.

chbox Show always on top
Dislpays SQL Monitor tool always on top.


SQL Script

chbox Abort script on error
If this option is checked, script execution is aborted when an error occurs.

chbox Rollback on sbort
This option is available only if Abort Script on Error is checked. This option evokes automatic rollback on script execution abort.

chbox Enable parsing
With this option checked, SQL Script Editor parses loaded script to enable fast navigation on them in the Explorer tool.

chbox Show message when done
Displays message box on finishing script execution.

chbox Show information messages in error list
When this option is checked, information messages are displayed in error list of SQL Script Editor window.


Query Builder

chbox Allow SELECT queries only
When this option is checked INSERT, UPDATE, DELETE statements are not allowed on the Builder tab of Query Builder.

chbox Select condition row
Displays the selected condition in different row on the Criteria and Grouping Criteria tabs of Query Builder.

chbox Drag field name
Displays the dragged field name in the Builder area.

chbox Hide selection when inactive
Hides the selection when Query Builder is inactive.

chbox Show field types
Displays the field type next to the field in the table box.

chbox Show system fields
Display system fields for each table.

chbox Union all by default
Check this option to use UNION ALL expression in Query Builder by default.
The UNION keyword enables you to include the results of two SELECT statements in one resulting table.
The ALL parameter incorporates all rows into the results, including duplicates. If not specified, duplicate rows are removed.

Visible Tabs
These options specify which Query Builder tabs are available and which are not. Check boxes to make the appropriate tabs visible.

Script Format
These options specify the case formatting of keywords and functions in query text on the Edit tab. As is saves the original case, Uppercase sets all the keywords/functions to upper case, Lowercase sets all the keywords/functions to lower case, and First upper sets the first letters of all keywords/functions to upper case.

You can set style and color for all Query Builder objects by using Style and Color Palette.


Style & Color Palette

Style
These options specify how Query Builder objects look like - 3D, flat, etc.

Color Palette page
These options define colors of different Query Builder elements: condition row, active caption, table client area, etc. Click an item to select a color for the appropriate Query Builder element.

hs3591 - environment options - tools - query builder - style and color palette


Visual Database Designer

Model notation
When you work in Visual Database Designer, you can choose one of the following modeling notations:

· Integration DEFinition for Information Modeling (IDEF1X) notation
· Information Engineering (IE) notation

The IDEF1X and IE notations use different symbols to represent entity and table relationships.

chbox Draw PRIMARY KEY fields separately
Separates primary key fields from other fields with the line.

chbox Draw entities icons
Displays icons at the left of entity header according to its type.

chbox Draw attributes icons
Displays icons at the left of attribute according to its type (primary key, foreign key, ordinary field).

chbox Show grid
Displays dots on the diagram area to make the grid visible.

chbox Snap to grid
Automatically aligns entities on the form with the nearest gridline. You cannot place an entity in between gridlines.

Grid size
Sets grid spacing in pixels along the x- and y-axes. Specify a higher number to increase grid spacing.

Entity header font
Select a font type and size to dislpay entity headers.

Attributes font
Select a font type and size to dislpay attributes.

You can set color for all database designer diagram objects by using Color Palette.

hs3595_visual database designer


Color Palette

Color Palette page
These options define colors of different Visual Database Designer elements: work area, table captions, field area, etc. Click an item to select a color for the appropriate Database Designer element.

hs3596 - environment options - tools - vdd - color palette


Print Metadata

Default Paper Size
Defines the default paper size for the reports created with the Print Metadata tool.

hs3600_print data_print metadata


Data Export

This page allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need.


SQL Server reference

On this tab you can set which SQL Server reference system will be further used in SQL Manager 2005 for SQL Server.

sql server reference


Fonts

System font name
Defines the font name used by SQL Manager 2005 for SQL Server.

System font size
Defines the font size used by SQL Manager 2005 for SQL Server.

The box below displays the sample text using the selected font.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Grid

General options

chbox Striped Grids
Displays the odd grid rows in a different color, defined by the Stripy option.

chbox Show editor immediately
Allows editing the cell value right after the cell is clicked.

chbox Always show editor
Set this option to make the cell editors always active.

chbox Enable auto-search in grid
Set this option to enable start typing and have the grid automatically navigate to the closest match.

chbox Row multi-selection
With this option set, multiple rows can be selected.

chbox Column auto-width
With this option set, column widths are changed in order to display all columns without using the horizontal scrollbar. If a column's content is still too large to display without the grid needing to resize, then the column's values are truncated and the hidden characters are replaced with an end ellipsis.

chbox Cell auto-height
If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this. If this option is set, the cell content is displayed in multiple lines where necessary. You can set the number of lines to display using Cell max line count option.

Limit options in table editor

Select all records
Selects all the records from the table, no matter how many records there are in it.

Select only
Select only fixed number of records on opening Data tab.

Records
This edit box is available only if Select only option is selected. It defines the maximum number of records, selected from the table at a time.

Grid layout preference

Select Save and restore layout option to keep the original grid width. Select Autofit column widths option to shrink the grid columns so that the longest visible column value fits.

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

chbox Show "Group by" box
Displays a box above the column captions allowing to group data in the grid.

chbox Show indicator
Displays the row indicator.

chbox Show navigator
Activates/deactivates the data navigator. This navigator is displayed at the bottom of a view.

chbox Show "New item row"
Displays an empty row at the top of a view, which is a convenient way for adding data to the grid.

chbox Hide tabs for single detail
This option is actual when only one view is present on detail level. When checked, it hides the view tab.

See also:
Data Frame

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Data Options

Default Grid Mode

· Load all rows
The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

· Load visible rows
The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. The automatic sorting, filtering, summary calculations are not supported in this mode.

Advanced

chbox Use SQL sorting in data view
The data view will be ordered using SQL sort.

chbox Use SQL filter in data view of Table and View Editors
The data view will be ordered using SQL filter.

Load visible rows mode if records more than
Set this option to switch to Load visible rows mode when number of records in dataset exceeds specified number.

String fields width (chars)
Using this option you can limit string fields width that may improve performance on large datasets.


Print Data

Save/restore following print data properties
These options specify which Print Data properties will be saved between work sessions.

hs3600_print data_print data


Color & Formats

Display formats

Integer fields
Defines the format for displaying TINYINT, SMALLINT, MEDIUMINT, INTEGER, and BIGINT fields.

Float fields
Defines the format for displaying FLOAT, DOUBLE and DECIMAL fields.

Datetime fields
Defines the format for displaying DATETIME fields.

Date fields
Defines the format for displaying DATE fields.

Time fields
Defines the format for displaying TIME fields.

Colors

Grid
Defines the background color of the data grid.

Row
Defines the color of the selected row in the data grid.

Stripy
Defines the color of the odd rows if the Stripy Grids option is on.

Null Values

Text
Defines the text that stands for the NULL value.

Font Color
Defines the font color displaying NULL values in the grid.

hs3630_color & formats


Advanced

chbox Invert selection
Determines whether a single cell within the focused row or the whole row is highlighted when focused.

chbox Cell hints for clipped text
Indicates whether a hint box is displayed when hovering over a cell containing clipped text.

chbox Focus cell on cycle
Determines whether the focus moves to the next row after it reaches the right-most cell within the current row.

chbox Focus first cell on new record
Determines whether the focus moves to the first cell of a newly created row.

chbox Next cell on pressing Enter
Determines whether the current view columns can be navigated by using the Enter key.

chbox Show navigation hints
Indicates whether a hint box is displayed when hovering over navigator buttons.

chbox MRU list in column filter
Enables showing of Most Recently Used items when filtering columns

chbox Expand buttons for empty details
Specifies whether to display expand buttons within master rows that don't have associated details.

Card width
Defines the width of the card used in Card View mode.

chbox Large Memo Editor
Sets number of lines for text-typed fields when viewing data in Form view.

Grid lines
Determines whether to display vertical and horizontal lines between cells.

Show edit buttons
Indicates whether an edit button is displayed.

Detail tabs position
Specifies position of the tabs on detail level views.

Card layout direction
Specifies the direction of cards in Card View mode.


Column Options

chbox Auto-select text
Determines whether all text within an editor is automatically selected when the editor gets focus.

chbox Hide selection on losing focus
Determines whether the visual indication of the selected text remains when the editor loses focus.

chbox Inserting Return characters
Specifies whether a user can insert return characters into text.

chbox Inserting Tab characters
Specifies whether a user can insert tab characters into text.

chbox Word wrap
Determines whether long strings are wrapped within a memo editor.

chbox Use Ctrl+Up instead of Up to increase spin values
Allows you to use Ctrl+Up and Ctrl+Down key combinations for editing the spin values (integer field values).

chbox Show large increment buttons
Determines whether fast buttons are visible within an editor.

Increment
Specifies the increment value for a spin editor.

Large increment
Specifies the fast increment value for the spin editor.

Spin editors buttons' position
Specifies the position of spin editor buttons.


Localization

The Localization page is provided for managing the SQL Manager 2005 for SQL Server localization files.

You can create your own *.lng files similar to those, available in the $(SQL Manager 2005 for SQL Server)\Languages folder, add them to the list of available languages on this tab and set the new language as a program interface language.

Default directory
The default directory for adding the new *.lng files.

Choose program language
Selects the program interface language.

Available languages
Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or *.lng file.

Add defaults
Searches in the Default directory folder for the *.lng files and adds all them to the list.

Add
Opens the Language Editor dialog for adding a new language file.

Edit
Opens the Language Editor dialog for changing the name or the corresponding *.lng file of the language selected in the Available languages list box.

Delete
Removes the language selected in the Available languages list box.

See also:
Localizing SQL Server Manager

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Editor Options

Editor Options allow you to set the parameters of viewing and editing the SQL statements within SQL Manager 2005 for SQL Server. To open the Editor Options window select the Options | Editor Options menu item.

· General
· Display
· Color
· Quick Code
· SQL Formatter
· Key Mapping

Availability:
Windows Professional | Yes
Windows Lite | Yes


General

chbox Auto indent
If this option is checked, each new indention is the same as the previous when editing SQL text.

chbox Insert mode
If this option is checked, insert symbols mode is on by default.

chbox Use syntax highlight
Enables syntax highlight in the object editor window.

chbox Find text at cursor
If this option is checked, the Text to find field in the Find Text Dialog window is automatically filled with the text on which cursor is set.

chbox Always show hyperlinks
If this option is checked, hyperlinks are displayed in the editor window. To open a link, click it with the Ctrl button pressed.

chbox Show line numbers
If this option is checked, line numbers are displayed in the SQL text editor window.

chbox Trim trailing spaces
If this option is checked, all spaces after the last symbol in line will be trimmed.

chbox Use smart tabs
If this option is checked, tab length will be variable. After pressing a Tab button the cursor aligns with the nearest first or last position of another line.

chbox Take from previous line only
Tab length will be variable. After pressing a Tab button the cursor aligns with the first or last position of the previous line.

chbox Convert Tab characters to spaces
If this option is checked, Tab symbol is replaced by the "spaces".

chbox Drag and drop text
This option allows to drag and drop selected text.

chbox Group undo
This option allows you to undo multiple actions of the same kind.

chbox Keep caret horizontal position
If this option is checked, the horizontal position of a cursor is kept. If you move a cursor (by Up and Down arrows) on a line, which length is less than current cursor horizontal position, it will be positioned after the last symbol of a line.

Tab stops
Defines the tab length, used when editing a text.

Undo limit
Defines the maximum number of changes possible to be undone.


Display

chbox Visible right margin
Makes the right text margin visible.

chbox Visible gutter
Makes the gutter visible in the editor window.

Right margin
Defines the position of the right text margin in the editor window.

Gutter width
Defines the gutter width in the editor window.

Editor font, Size
Use these options to set the editor font and its size. If the Show only fixed-width fonts option is checked, only fonts with the fixed width are displayed in Editor font dropdown list.


Color

On Color tab you can set font and background colors and attributes of the text, editor uses to mark out different text fragments: default, comments, strings, SQL keywords, numbers, links, wrong symbols, identifiers, symbols, and selected text.


Quick Code

chbox Code completion
If this option is checked then on typing the first word symbols in the SQL text editor you will be offered some variants for the word completion in a popup list (analogue of the Code Insight in Delphi IDE). The popup list will appear a period of time, defined by Delay option.

chbox Code parameters
If this option is checked, the Delphi-like hint for functions is enabled.

Delay
Using this option you can change the time the popup list takes to appear.

Code case
Allows you to change the case of the words inserted automatically.

chbox Auto launch keyboard templates
Allows you to use keyboard templates for faster typing frequently met expressions (see Keyboard Templates).

chbox Color scope categories
If this option is checked, object types will differ in color in the popup menu.

Sort by scope / Sort by name
Switches sorting objects in the popup menu by name or by type (Table, UDF, etc.).


SQL Formatter

SQL Formatter is a new feature added to SQL Editor. It is a useful tool for formatting SQL queries, making SQL statements easy to read.


Settings

chbox Format SQL query
Turns on SQL formatting, making the SQL statements easier to read.

chbox Format subquery
Allows to format subqueries

chbox Format BEGIN, END
Formats statements between the BEGIN and END reserved words. It can be applied for stored procedures, views and triggers.


SQL Words

Wrap first element
Wraps the selected text at a specific column.
Select the key words after which formatting should be applied.

Params in line/list
Allows you to display the parameters followed by the key words (specify them below) in list or in line.

OR - AND
Set the placement of the AND an OR operations according to the operands followed by them. See the example below.

Left

WHERE
AND ...
AND ...
AND ...

Separate

WHERE
...
AND
...
AND

Right

WHERE
... AND
... AND
... AND

The Keywords case and Identifiers case options allow you to define the case of the corresponding items.
You may choose UPPER, lower, Capitalize.
Default case means leaving the name of the identifier or a keyword "AS IS".

chbox Space before bracket
Adds a "space" symbol before the opening bracket and after the closing one.

chbox Space into brackets
Adds a "space" symbol after the opening bracket and before the closing one.

Indents in list
Sets the size of indent relative to the previous string.


Key Mapping

For your convenience SQL Manager 2005 for SQL Server provides key mapping. On this tab you can set the shortcuts for various commands/operations according to your needs.

Select the command for which you want to make a shortcut from Commands the list on the right, then place cursor into the Key editor and press key combination you find useful (use Ctrl Alt Shift buttons). After setting the shortcut, press New button to add it into the list of existing Key combinations.

Note: you may set a double key combination eg. Ctrl-K, Ctrl-H by using Add button.

Hotkeys mapping may be saved as a scheme. Manage the schemes using Save As... and Delete buttons.

You can export Key mapping scheme into various formats via Export Data Wizard, that can be called by pressing Export button.


Visual Options

This window allows you to customize the application interface style to your liking. To open this window select the Options | Visual Options menu item.

Use Scheme Name to select the interface scheme you like: Office XP style, Windows XP native style, etc. You can create your own interface schemes by customizing any visual options you like on the appropriate tabs (Bars and Menus, Trees and Lists, Edit Controls, Check Boxes, Buttons, etc.) and clicking the Save As button.

All the customizing you make is displayed on the Sample panel.

· Bars and menus
· Trees and lists
· Edit controls
· Check boxes
· Buttons
· Page controls
· Group boxes
· Splitters
· Navigation bar

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Bars and Menus

Use the Bars and menus tab to customize SQL Manager 2005 for SQL Server toolbars style and menus animation.

hs770_visual options_2_bars and menus


Trees and Lists

Use the Trees and lists tab to select various tree view options.

hs770_visual options_3_trees and lists


Edit controls

Use the Edit controls to customize the appearance of different SQL Manager 2005 for SQL Server edit controls.

hs770_visual options_4_edit controls


Check boxes

The Check boxes tab allows you to customize the appearance of check boxes and radio buttons.

hs770_visual options_5_check boxes


Buttons

Use the Buttons tab to customize SQL Manager 2005 for SQL Server buttons.

hs770_visual options_7_button kind


Page controls

The Page controls tab allows you to customize the style of all SQL Manager 2005 for SQL Server page controls.

hs770_visual options_8_page controls


Group boxes

Use the Group boxes tab to customize all SQL Manager 2005 for SQL Server group boxes to your liking.

hs770_visual options_9_group boxes


Splitters

Use the Splitters tab to customize all SQL Manager 2005 for SQL Server splitters to your liking.


Navigaton bar

Use the Navigation bar tab to customize all SQL Manager 2005 for SQL Server navigation bars to your liking.

hs770_visual options_11_navigaton bar


Keyboard Templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly met expressions and to edit the existing ones. To call this window select the Options | Keyboard Templates menu item from the popup menu.

You can deactivate the existing template by choosing it from the list at the left of the window and removing flag from its name. Also you can edit template name, using button Edit, delete a template, using button Delete and edit template expression in the right part of the window. For faster editing you can use buttons Cursor Position, Author, Time, Date.

To add a new template, click Add, set the template name and define the template expression. In the upper left corner of the window you can choose the case of the template expression.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | Yes


Save Settings

Save Settings Wizard allows you to export SQL Manager 2005 for SQL Server settings wholly or partially to a single *.reg file, which you can apply to SQL Manager 2005 for SQL Server installed on another machine or use to backup previous settings. To open the wizard select the Options | Save Settings menu item.

· Specifying destination file
· Selecting settings
· Selecting databases
· Saving settings

hs3790_specifying destination file

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Specifying destination file

Specify a *.reg file to save SQL Manager 2005 for SQL Server settings to.

hs3790_specifying destination file


Selecting settings

The options of this step specify the information saved to the result file, e.g. Database Registration Info, Environment options, etc.


Selecting databases

Select registered databases to save their settings by moving them from the Available Databases list to the Selected Databases one.


Saving settings

Click Finish button to start the extracting.


External Tools

You can add external programs to SQL Manager 2005 for SQL Server to make it more effective.

Adding External Tool

To add an external program:

· Select the Options | External Tools menu item.
· Click Add... button in the External Tools dialog.
· Click the button next to the Program box to select the program *.exe file, or set the program execution file manually in this box.
· Set the program title, hot key, working directory and execution parameters if necessary in the proper boxes of the External Tool Info Editor.
· Click OK in the External Tool Info Editor and External Tools dialogs.

This adds the icon and the title of the program you selected to the Tools | External Tools submenu. Now you can run this tool quickly without stopping work with MySQL Manager.

Removing External Tool

To remove an external program:

· Select the Options | External Tools menu item.
· Select the tool to remove from the Tools list in the External Tools dialog.
· Click Delete button.
· Click OK to confirm removing the tool and closing the dialog.

The selected tool is removed and is no longer accessible from the Tools | External Tools submenu.


External Tools window

The External Tools window allows you to add executable programs to the Tools | External Tools menu to access them quickly from SQL Manager 2005 for SQL Server. To call this window select the Options | External Tools menu item.

Tools
Lists all added external tools.

Add
Opens External Tool Info Editor for adding a new tool.

Edit
Opens External Tool Info Editor for editing title, .exe file, hot key, working directory or execution parameter of the tool, selected in the Tools list box.

Delete
Removes the selected tool from the list of SQL Manager 2005 for SQL Server external tools.

To change the order of tools in the list use the arrow buttons below the list box or press buttons Shift+Ctrl+Up / Shift+Ctrl+Down on the keyboard. You can also drag items in the list box to change their positions.

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


External Tool Info Editor

The External Tool Info Editor window allows you to set the parameters of calling the external program from SQL Manager 2005 for SQL Server. This window is available on adding or editing the external tool (see Add External Tool and External Tools).

Title
Title displayed in the Tools | External Tools submenu for calling the tool.

Hot Key
Press a key or a key combination on the keyboard to set it as a hot key for the tool.

Program
Full path to the program *.exe file.

Working Dir
Program default directory.

Parameters
Parameters for executing the program.

hs1180_external tool info editor


Localizing the product

SQL Manager 2005 for SQL Server provides multi-language interface support. You can change the program language easily, edit existing localizations, and create your own localization files.

Changing Program Language

To select the program interface language:

· Select the Options | Select Program Language menu item.
· Select the interface language in the Select Program Language dialog.
· Click OK to close the dialog.

Editing Program Localization

To edit the interface localization:

· Open one of the program windows (e.g. Table Editor, SQL Editor) to edit the localization of its captions and hints.
· Press Shift+Ctrl+L on the keyboard to open Localization Editor window.
· Edit window captions and hints as you like.
· Click Save button on the toolbar.

Note, that the Localization Editor window is available only if the selected language is different than default.

Creating New Localization

To create a new localization:

· Create a new localization file similar to one of those situated in the $(MySQL Manager)\Languages folder.
· Select the Options | Environment Options menu item.
· Open the Environment Options | Localization dialog tab.
· Click Add button on this tab.
· Set the language name and the path to the new *.lng file in the dialog window.

The new language is added to the list of available languages. Now you can set it as a program interface language via the Select Program Language dialog or the Localization tab of the Environment Options.


Localization Editor

The Localization Editor window allows you to edit the captions and hints of any SQL Manager 2005 for SQL Server window, if the selected program language is different than default.

To call this window just press Shift+Ctrl+L in any SQL Manager 2005 for SQL Server window.

All the window text consists of the element names and the corresponding strings, divided by the '=' character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Don't edit anything that stands before the '=' character - this will not produce any effect.

For your convenience we have provided Find and Replace buttons on the toolbar, which call the Find Text Dialog or the Replace Text Dialog respectively. The Search Again button enables the repeated search for the text last searched.

When you are done with editing click Save button on the toolbar to apply the changes you have made.

See also:
Environment Options | Localization

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


Select Program Language

The Select Language dialog allows you to select a language for SQL Manager 2005 for SQL Server localization.

To call this window select the Options | Select Program Language menu item.

The window displays the list of available languages, set in the Environment Options | Localization. Select the proper interface language and click OK.

See also:
Environment Options | Localization

select program language

Availability:
Windows Professional | Yes
Windows Lite | Yes
Linux Professional | No


.topic 670
EMS SQL Manager 2005 for SQL Server is a powerful tool for SQL Server administration and development. SQL Manager 2005 for SQL Server works with any SQL Server versions from 7 to 2005 and supports all of the latest features including assembiles, DDL triggers, synonyms, typed XML columns, and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager 2005 for SQL Server has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

EMS SQL Manager 2005 for SQL Server new features:

Latest SQL Server versions support

Full compatibility with any SQL Server version from 7 to 2005.
Full support of SQL Server 2005 permission system.
DDL Triggers, Synonyms and Aggregates support.
Typed XML columns.

Significantly improved user interface

New well-described Wizard System to perform complex tasks easily.
Fast accessing to most essential actions using Navigation bars in most of the windows.
New Windows Toolbar to switch between windows easily, like Windows Task Bar.
Office 11 and Windows XP visual schemes support.

Improved Database Explorer

Creating tabs for any tree node to access it in one-click!
Work with multiple selected objects at a time.
Much more convenient toolbar and context menu.

New powerful tools to perform SQL Server administrative tasks

Server and database properties windows.
DTS Packages management tool.

Visual Database Designer to handle database structure in a few clicks

Creating diagram of existing database using Reverse engineering tool.
Dividing diagram into different subject areas located on separate pages.
Navigating through diagram using preview navigation tool.
Creating/editing/dropping tables and table fields visually setting links between them.
Saving as image or printing database diagram.
Two diagram notations (IDEF1x and IE).
A lot of visual customization options.

New powerful data management tools

Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
Master-Detail View to work with two linked tables at the same time.
Table and Card Views to see data the way you like.
Ability to copy and paste selected records.
Advanced printing system.
Fully customizable interface.

Improved report management

New Create Report Wizard allows you to create simple report in a few clicks.
Managing reports the same way as if they were a database object: accessing reports directly through DB Explorer tree.

.topic 1220

What's New in EMS SQL Manager 2005 for SQL Server?

1.	Editor Options. Key Mapping tab added which allows you to set the shortcuts for SQL editors.
2.	XML Schema Collections support is implemented
3.	Query Builder.
Query execution plan is now displayed as a graphical diagram.
Queries containing user-defined functiouns now supported.

4.	Dependency Tree. The diagram can now be printed

5.	SQL Editor.
Now it's possible to rename and move query tabs
Ability to execute statement under cursor added.
Query execution time is now displayed in hh:mm:ss format.
The timer in status bar area used to stay running on after aborting query execution.

6.	SQL editors.
Now you can set a source code fragment as a comment with a single click.
Next Bookmark, Previous Bookmark context menu items added.
With 'Trim trailing spaces' option on, an attempt to use Code Complete used to clear all the line. Fixed  now.
Dragging the field names from SQL Assistant works perfectly now.

7.	Grant Manager.  When opening Grant Manager window it was impossible to edit statement permissions without forced refresh. Fixed now.

8.	HTML Report.
Now you can include user and role information into a report.
Ability to change header/footer of the report added.

9.	Extract Database.
The option adding the 'create database' statement to the script appeared.
Server version is included into comments for the script now.

10.	Environment Options. Now it's possible to set refreshing objects timeout. Refresh of the objects can be terminated after timeout expired if there is an active transaction that made any changes to metadata.

11.	Open/save backup file dialogs now look more like standard ones in behaviour.

12.	Import Data wizard.
With 'Use transactions…' option disabled now in 'Commit changes manually' mode you will be prompted for an action on transaction.
Ability to resize wizard window added.
'Division by zero' error used to appear after importing data with the 'Commit changes manually' option switched on. Fixed now.
Having specified user-defined fields to import, the rest of them were filled with empty strings; so that default values defined for the fields were not applied. Fixed now.

13.	Trigger Editor. When altering a trigger schema/owner's name wasn't added to the trigger name in the script generated, that in some cases raised errors. Fixed now.

14.	Foreign key/check constraint editors. 'Not for replication' option added.

15.	Visual Database Designer.
It was impossible to drop table via corresponding context menu item when just a field, not the table itself, was selected. Fixed now.
When dragging a table not from default schema (SQL Server 2005) from DB Explorer to the Query Builder working area an error used to appear and the table was not added. Fixed now.

16.	Grid
The 'Paste Cell' menu item didn't work in Lite version. Fixed now.
In some rare cases the data of of bigint-typed fields were displayed improperly. Fixed now.
With 'Column auto-width' option enabled BLOB field columns used to become too wide. Fixed now.

17.	SQL Script. Confirmation of abort script execution added.

18.	Restore Database.
It was impossible to type in backup file name in corresponding window. Fixed now.
Prompt for registration the database used to appear even if restoration was unsuccessful. Fixed now.

19.	Job Editor. Fixed the bug with a wrong script generation when you saved  the job in which the created schedule was deleted.

20.	DB Explorer
It was unable to open index or trigger via Recent Objects menu. Fixed now.
Popup menu used to stay on top when switching between applications. Fixed now.
After table duplication the indices and triggers of the new table were not displayed in DB Tree. Fixed now.

21.	Export Data Wizard.
With 'Export empty tables' option disabled on attempt to export an empty table there raised an error containng no text. Fixed now.
In some cases, when exporting data to MS Excel format the 'Data format \ Styles' options used to work incorrectly. Fixed now.
When exporting data to MS Excel format the user-adjusted Boolean True format used to be ignored. Fixed now.

22.	Detach Database. Having used 'Clear connections' function, the database was still displayed in DB Tree and further attempts to access its objects returned errors. Fixed now.

23.	Many other other small improvements and bugfixes.

.topic 840

.topic 680
To make it easier for you to purchase our products, we have contracted with share-it! registration service. The share-it! order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe. The following information about share-it! is provided for your convenience.

Share-it! is a global e-commerce provider for software and shareware sales via the Internet. Share-it! accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you have ordered EMS software online and would like to review your order information, or if you have questions about ordering, payments, or shipping procedures, please visit our Customer Care Center, provided by share-it!

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

SQL Manager 2005 for SQL Server

.topic 1200

Full version history is available at http://www.sqlmanager.net/products/mssql/manager/news.

    Version 2.2.0.1	-	February 7, 2006

1.	SQL Editor. Query execution plan is now displayed as a graphical diagram.
2.	SQL Formatter. Formats SELECT, INSERT, UPDATE, DELETE queries. (Available from SQL Editor context menu)
3.	Grid.
    Now when pasting records from the clipboard, you can set correspondences between clipboard columns and query columns.
    Form view. Memo fields editor is extended (can be customized in Grid > Advanced tab of Environment Options dialog).
    Blob View. 'Word Wrap' option for text added.
    'Set to Empty String' and other similar operations do not result in posting records in the table any more.

4.	SQL Script.
Progress in script execution is now displayed and execution process can be stopped.
Several windows can now be opened simultaneously.
SQL Script used to hang when a large (>10Mb) script was edited and Enable Parsing was on. Fixed now.
Now some additional Types of Statements can be parsed.

5.	SQL Editor.
    Query execution plan now works with SQL Server 2005.
    Now there are no limitations for the size of edited scripts.

6.	Field Editor. Default constraints now can be renamed.

7.	DTS Packages. Now you can remove imported packages.

8.	Table Data. Not all the records added with the following COMMIT in 'Use transactions in Data tab of object editors, SQL Editor and Query Builder' mode (Tools tab) were displayed. Fixed now.

9.	Exract Database. The following bugs are fixed:
With 'Insert COMMIT after each block' option turned on, COMMIT was added but without corresponding BEGIN TRANSACTION.
Empty not-NULL image fields used to be displayed incorrectly.
dbo name was missing when generating INSERT INTO [dbo].[table_name].

10.	Export as SQL Script. With 'Insert COMMIT after each block' option turned on, COMMIT was added but without corresponding BEGIN TRANSACTION. Fixed now.

11.	Wrong dependency order was showed for Assemblies, Aggregates, Partition Functions and Partition Schemas: main object used to be diaplayed after the dependent one. Fixed.

12.	Visual Database Designer. There were no changes seen in opened graphical diagram when the table name or any table field was edited.

13.	Reorder Columns, Duplicate table, Extract Metadata. The tables with timestamp/rowversion field are processed properly now.

14.	Switching program interface language took a long time if there were any databases connected. Fixed now.

15.	Database Properties. If  'Auto file growth' option was off for a DB file, it couldn't be turned on. Fixed.

16.	Attach Database. The following bugs are fixed:
It was unable to set login and password using SQL Authentication.
File name field did not contain the button to call 'Select File' dialog.

17.	UDT Editor. 'For new columns only' options are processed properly now.

18.	DB Explorer. following bugs are fixed:
It was unable to duplicate triggers and indices
After dropping a trigger or index it was still displayed in the DB Explorer tree.

19.	Query Builder stores queries between sessions now.

20.	'Don't fill server lists in connection forms' option is added. It bans retrieving information about all SQL servers available on the local network because in some rare cases it might take a long time.

21.	The border of SQL editor is now painted according to the current visual scheme.

22.	Procedure Editor. If the FLOAT type was specified for procedure parameter and had value equal to 0, it used to be processed as NULL. Fixed now.

23.	Restore Database > Select Backup Set. Sometimes due to the improper size of the dialog directory tree was not seen. Fixed.

24.	The needed documentation page did not open for some forms when pressing F1. Fixed now.

25.	Synonym Editor, Aggregate Editor. It was unable to create an object when <Default> scheme was selected because of wrong script generation. Fixed now.

26.	Create Database wizard. If log and data files had the same names when creating a database the log file was not created. Fixed now.

27.	Aggregate Editor.
If parameter doesn't contain '@' symbol it is added automatically now.
Turning 'Max Size' option on disables 'Size' field now.

28.	Fixed the bug with the Code Completion dropdown list which could be partially covered with Windows Taskbar.

29.	On continuous holding F5 button to refresh the objects in DB Explorer they used to double. Fixed now.

30.	Table/Field Editor. Identity seed is now displayed properly for the values bigger than 65536.

31.	Check Editor. 'Check existing data' option is not cleared anymore after compiling current check.

32.	After renaming the object its name was not refreshed in DB Explorer context menu. Fixed now.

33.	For some forms Refresh operation could not be made with F5 button. Fixed now.

34.	Other small improvements and bugfixes.

Version 2.1.0.1	-	November 16, 2005

1.	Partition functions and partition schemes are now supported.

2.	Added ability to work with linked servers.

3.	German localization is implemented (Michael Albrecht).

4.	Export Data/Import Data Wizard. In Templates drop-down menu "Save Current Settings as Default" and "Reset Saved Settings" options are added.

5.	New editor options added: Trim trailing spaces, Drag and drop text, Group undo, Keep caret horizontal position.

6.	Grid. Large queries were opening very slowly because the switch to Grid Mode Load All Rows was executed after the grid was filled. Fixed now.

7.	Export Data Wizard. Added Finish button that launches Wizard at any moment.

8.	Export as SQL Script and Extract Database gave values of datetime type in the formats predefined in Windows settings, which sometimes caused execution errors. Fixed now.

9.	When creating CLR user-defined data type a correct script is generated now.

10.	Unicode data are now displayed correctly for the system language for non-Unicode programs.

11.	Object Editors. When pressing F5 in the subobjects lists Access Violation error occurred. Fixed now.

12.	Window List. Added Close window action into context menu.

13.	"Don't save query text" option available back in version 1.x of the program is now restored to SQL Editor.

14.	Grid. Adding level bound by several fields caused "Invalid column name" error. Fixed now.

15.	Save Settings. Multi-line keyboard templates were blank when imported from file. Fixed now.

16.	Keyboard Templates. #Date tag gave the wrong date. Fixed now.

17.	Printing now works correctly in Aggregates, DDL Triggers, and Synonyms editors.

18.	Index Editor. Clicking the header of selected fields list returned the Access violation error if the list was empty. Fixed now.

19.	SQL Script is now saved with any content of the editor.

20.	Allow parameters in SQL (Tools tab of Environment Options dialog) for open Query Builder and SQL Editor windows can now be activated.  Also, when running queries asynchronously the values of parameters were not taken. Fixed now.

Version 2.0.5.1	-	October 26, 2005

1.	When closing the program it gave a number of errors if no other programs were running. The bug is fixed.

2.	Field default values are displayed correctly now when working with SQL Server 2005.

3.	SQL Editor.
-	Text search didn't work when called through editor context menu.
-	Sometimes Limit bar was displayed for grid.
-	Code Completion across databases didn't work by table alias with owner (schema) not specified.
-	Code Completion by table aliases didn't work after 10-15 table lines down the text.
-	When adding new tab and trying to delete a row, Access Violation error emerged.
    The bugs are fixed.

4.	Database Registration Info. Display Options weren't saved after closing/starting the program. Fixed now.

5.	Now the size of stored procedure and UDF parameters is shown correctly.

6.	SQL Script. Access Violation error arose when opening Code Completion if there were no connected databases. The bug is fixed.

7.	DB Explorer. Now the parameter information of some stored procedures types is displayed correctly in SQL Assistant.

8.	Grid. Filtering by value that had an apostrophe (') character wasn't functioning. Fixed now.

Version 2.0.0.1	-	October 14, 2005

Latest SQL Server versions support

Full compatibility with any SQL Server version from 7 to 2005.
Full support of SQL Server 2005 permission system.
DDL Triggers, Synonyms and Aggregates support.
Typed XML columns.

Significantly improved user interface

New well-described Wizard System to perform complex tasks easily.
Fast accessing to most essential actions using Navigation bars in most of the windows.
New Windows Toolbar to switch between windows easily, like Windows Task Bar.
Office 11 and Windows XP visual schemes support.

Improved Database Explorer

Creating tabs for any tree node to access it in one-click!
Work with multiple selected objects at a time.
Much more convenient toolbar and context menu.

New powerful tools to perform SQL Server administrative tasks

Server and database properties windows.
DTS Packages management tool.

Visual Database Designer to handle database structure in a few clicks

Creating diagram of existing database using Reverse engineering tool.
Dividing diagram into different subject areas located on separate pages.
Navigating through diagram using preview navigation tool.
Creating/editing/dropping tables and table fields visually setting links between them.
Saving as image or printing database diagram.
Two diagram notations (IDEF1x and IE).
A lot of visual customization options.

New powerful data management tools

Plenty of useful tools such as data grouping, summarizing, fast searching and filtering.
Master-Detail View to work with two linked tables at the same time.
Table and Card Views to see data the way you like.
Ability to copy and paste selected records.
Advanced printing system.
Fully customizable interface.

Improved report management

New Create Report Wizard allows you to create simple report in a few clicks.
Managing reports the same way as if they were a database object: accessing reports directly through DB Explorer tree.

Version 1.8.5.1	-	June 27, 2005

1.	Support of SQL Server 2005.

2.	When error arose in SQL Editor or Changing Metadata window the cursor is placed to the proper place.

3.	Create Table. We have improved editing abilities in the fields' grid.

4.	Editor Options. Implemented 'Convert Tab character to spaces' option.

5.	SQL Editor. Implemented 'Don't save query text' option.

6.	SQL Editor. Appeared ability to reset current execution point – added the corresponding item in context menu.

7.	Table Editor. Confirmation request wasn't shown when deleting table subobjects even if the corresponding option was on.

8.	Query Builder. WHERE part was parsed incorrectly if there were several IN operators – the list was duplicated.

9.	Timeouts didn't work in SQL Script.

10.	Sometimes when disconnecting from a database, its objects refreshed if viewing table subobjects was off.

11.	Grid. Time value wasn't shown when trying to enter edit mode for datetime fields.

12.	When trying to open a procedure with number (e.g. proc;1) arose an error saying that the procedure was not found in the database.

13.	The program hanged when using keyboard templates if Windows clipboard had # (hash) symbol.

14.	To-Do List. Fixed the bug with a second copy of an item appeared when editing it.

15.	Table Editor, Dependency tab. Tables with foreign keys referring to the opened table weren't shown in the dependent objects list.

16.	If Clustered checkbox was off when creating an index, the keyword NONCLUSTERED wasn't added to script, which led to creating clustered primary key even if this option was off.

17.	Shortcuts for tabs didn't work. Now it is solved.

18.	Solved the problem with not restoring the state of the main form's window when running the program.

19.	It was impossible to edit fields having point (.) or 'on' word in their name.

20.	Code Completion didn't work with table aliases which had dollar sign ($) in their name, e.g. "TableName$".

21.	Editor Options. Decreased minimum possible value for Quick Code delay.

Version 1.8.0.1	-	December 14, 2004

1.	We have implemented the ability to autogenerate names for the table's subobjects on their creating. You can customize the name templates or disable this option on the Naming Rules tab of the Environment Options dialog.

2.	Extract Metadata. Changed the sequence of some operator types to register possible dependencies between objects. Included support for identity and calculated fields. Added ability to generate IF EXISTS... DROP statements.

3.	SQL Editor. Now it is possible to view the query results on the same tab with the query text.

4.	There is the new ability to disable showing the Changing Metadata window using the corresponding option in Confirmations tab of Environment Options dialog.

5.	Query Builder. Access Violation error emerged when adding a criterion and closing a form. The bug is fixed.

6.	Table Data. The error  'DataD: Cannot perform this operation on a closed dataset' doesn't appear anymore.

7.	On creating unique index you can now select whether to create an index or a constraint.

8.	Grid. Added the ability to set format for the money fields in the Environment Options dialog on the Grid tab.

9.	Table Data. Fixed the bug with not saving the Grid layout.

10.	'Make hidden Table Explorer visible on new table window' option is substituted for 'Hide Table Explorer'. A new button is added in the toolbar of Table editor to show/hide the explorer.

11.	If the field was indexed, you couldn't change its type or NOT NULL constraint - the script error arose. The problem is solved.

12.	Extract Metadata & Export As Insert. When extracting BLOB data the final bytes with 0x00 value were cut. Fixed now.

13.	Export Data wizard. When the 'Current record only' option was selected the cursor jumped to the first record and the first record was exported. The problem is solved.

14.	When running the program you couldn't shut down Windows. The bug is fixed.

15.	Print Metadata. Fixed the bug with not filling out the Primary Key and Unique columns of table fields.

16.	Now the Help \ 'Send bug report to' menu item is passed to our Support Ticket System.

17.	The 'Class TSynEdit not found' error arose when trying to open the localization form. Fixed now.

Version 1.7.0.1	-	September 09, 2004

1.	We have implemented a new form for creating tables. Now it allows you to define all the table fields before table creation.

2.	Import Wizard: We have added an ability of defining an error log file name.

3.	Backup/Restore. While working with large databases, operation was canceled by timeout in 30 seconds. Problem is solved.

4.	Code Completion.
Processor loading was raised after the window "code completion" had been opened in non-default localization. Fixed now.
It bounced back to the top of the list after you started typing. The problem is solved.
The view isn't canceled in case the space is entered or the cursor is moved after typing a letter or number.The bug is fixed.
The problem with re-opening code completion window after inserting the word is solved

5.	Export As Insert: in float fields dot is used as a fractional part separator now.

6.	The bug that caused only tree-choice of backup filename in case of using non-logical device is fixed now.

7.	The wrong script was generated when Nou Null field with Unique limit and without default value had been added. Problem is solved.

8.	After the field with unique non-constrained index had been changed, the wrong script was generated. The bug is fixed.

9.	Available permissions were defined wrong for UDF. Problem is solved.

10.	Edit login. The password can't be cleared. Fixed now.

11.	Delete confirmation is requested now when deleting query pages.

12.	Integer field changes (if field was not in edit mode) weren't correctly saved. Problem is solved.

13.	The font size changes in Environment Options weren't spread at menu and toolbar. The bug is fixed.

14.	The error "RecordIndex out of range" appearing when editing database file list is corrected now.

15.	The Row Guid flag can't be changed for fields with type "uniqueidentifier". Fixed now.

16.	Sometimes after upgrade to a new product version the language settings can be changed. Problem is solved.

17.	Export to XML. If table field names contained spaces, the summary-file wouldn't open. The bug is fixed.

18.	Changing metadata window: now the editor font is determined by the database properties instead of the previous default.

Version 1.6.0.1	-	May 31, 2004

1.	We have significantly improved the Export Dialog. Now you can add notes, hyperlinks, and charts based on exported data to Excel documents. You can also define graphical styles for column captions, data, footer, and header on export to RTF documents. An ability to define strip styles is also included.

2.	We have significantly improved the Import Data Wizard to make most of new abilities of EMS QuickImport 2 component suite available in MS SQL Manager:
Import from XML format is available now.
An ability to import data from different Excel sheets is implemented.
An ability to import formulas from Excel is added.

3.	We have implemented a new service - Backup Devices Manager. You can access this new service via the Services menu.

4.	SQL Editor: Now you can use the Shift+Ctrl+Spacebar key combination to view function parameters after you entered a function name in your code. The Shift+Ctrl+P key combination can be used to insert names of the function parameters into your code.

5.	Duplicate Table: With this version you can copy the table data along with the table structure.

6.	We have added a new localization - Chinese (Simplified).

7.	The Database Metadata Log now contains only records that are executed completely and not rolled back.

8.	The Database SQL Editor Log now contains only statements that are executed successfully. You can disable this feature using the corresponding option on the SQL Editor tab of the Environment Options dialog.

9.	Now the program correctly shows all the objects on the Dependencies tab.

10.	If the table contained a calculated field with more than 4000-char length, then the 'List index is out of bounds' error appeared. We have fixed it.

11.	Form View: NULL values of date fields were displayed as 30.12.1899.

.topic 810

Please read this page attentively if you have questions about EMS SQL Manager 2005 for SQL Server.

Table of contents

Product Questions
What is EMS SQL Manager for SQL Server?
What is the difference between Professional/Lite and Windows/Linux editions of EMS SQL Manager for SQL Server?
What do I need to start working with EMS SQL Manager for SQL Server?
What is the difference between the Export/Import functions in the SQL Manager for SQL Server tool and the Data Export/Import for SQL Server utilities?
What is the difference between the Query Builder module in the SQL Manager for SQL Server tool and the SQL Query for SQL Server utility?
What is the difference between the Extract Metadata function in SQL Manager for SQL Server and the DB Extract for SQL Server utility?

Common Questions
I can't modify DDL. Why?
How can I customize data formats in a grid?
When I create database objects, their names are always converted to lower case. How I can prevent it?
I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in SQL Manager for SQL Server?

Export/Import Questions
I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
I'm trying to export table, but LONGTEXT fields are not exported.
What is the difference between the "Extract Metadata" and "Export As Insert" functions?
How do I change the default directory where exported data will be saved?

Question list

Product Questions
Q: What is EMS SQL Manager for SQL Server?
A: EMS SQL Manager 2005 for SQL Server is a powerful tool for Microsoft® SQL Server administration and development. SQL Manager 2005 for SQL Server works with any SQL Serverversions from 7 to 2005 and supports all of the latest features including assembiles, DDL triggers, synonyms, typed XML columns, and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager 2005 for SQL Server has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Q: What is the difference between Professional/Lite and Windows/Linux editions of EMS SQL Manager for SQL Server?
A: These editions of SQL Manager for SQL Server differ in price and features. To register SQL Manager for SQL Server see our Purchase Page, and to learn about the difference in features please go to our Feature Matrix Page.

Q: What do I need to start working with EMS SQL Manager for SQL Server?
A: First of all you must have a possibility to connect to some local or remote SQL Server to work with SQL Manager for SQL Server. Besides you need your computer to satisfy the system requirements of SQL Manager for SQL Server. SQL Manager for SQL Server runs on Windows 95/98/Me/NT4/2000/XP and Pentium 166, 32 Mb RAM is recommended.

Q: What is the difference between the Export/Import functions in the SQL Manager for SQL Server tool and the Data Export/Import for SQL Server utilities?
A: The Data Export/Import for SQL Server utilities includes some additional features, which are not available in SQL Manager such as:
export/import data from/to several tables at once;
export/import data from/to tables selected from different databases on one host;
command line utility to export/import data using the configuration file with all the export/import options.

Q: What is the difference between the Query Builder module in the SQL Manager for SQL Server tool and the SQL Query for SQL Server utility?
A: First of all, SQL Query works faster as it is a much lighter product. Besides it provides additional features for query building, e.g.:
"favorite" queries to find and execute often-used queries quickly;
keeping query history, which allows you to rollback to any edited query;
various interface improvements for more productive and easy work;

Q: What is the difference between the Extract Metadata function in SQL Manager for SQL Server and the DB Extract for SQL Server utility?
A: The DB Extract utility includes some additional features, which are not available in SQL Manager, such as:
extracting metadata from several databases on one host;
console application for executing extract in one-touch;
faster execution speed;

Scroll to top

Common Questions
Q: I can't modify DDL. Why?
A: The 'DDL' tabs of the Table Editor and UDF Editor are read-only. They display the SQL text of the operations you carry over the table on the tabs 'Fields', 'Indices', etc, or over the UDF. To modify this text you can copy it to the clipboard and modify it using SQL Script Editor.

Q: When I create database objects, their names are always converted to lower case. How I can prevent it??
A: You need to switch off the "Convert created object's names to lower case" option in Environment Options dialog.

Q: How can I customize data formats in a grid?
A: You can customize all display formats: integer, float, date, time and date/time in the Environment Options window.

Q: I am trying to create a report in Report Designer, but can't get access to the table data: 'Band data source' list is empty.
A: To get data source in a report you need to add a dialog form to the report (menu 'Edit' \ 'Add dialog form' of Report Designer), then place database and query components from the left designer panel on it and set connection and query properties. Then the query appears in data source lists.

Q: I have a table with ~ 1000 records only and a large number of fields. Opening this table on Data tab takes too much time.
A: Please select the option 'Initiate a row-by-row result set retrieval' on 'Grid' \ 'Advanced' tab of Environment Options dialog.

Q: I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in SQL Manager for SQL Server?
A: Database Registration Info dialog contains Log tab where you can enable logging metadata changes, which are performed on a database, and SQL statements, that are executed in SQL Editor.

Scroll to top

Export/Import Questions
Q: I tried to export data from a table, but found that I can export only the first 1000 records. Can I export all the records from a table if it contains more than 1000 records?
A: The Export Data function exports only records those are currently selected in the grid view. The selection is limited by 1000 by default, so you should increase this value to select all the records to be able to export them all. Also you can set the default limit value on the Grid tab of the Environment Options dialog.

Q: I'm trying to export table, but LONGTEXT fields are not exported.
A: Fields of types TEXT, LONGTEXT are not exported by default. You should select these fields manually on the Fields tab.

Q: What is the difference between the "Extract Metadata" and "Export As Insert" functions?
A: "Export As Insert" is intended to export table data that will be inserted into a database system other than PostgreSQL server. Use "Extract Metadata" to copy data to a table on PostgreSQL server.

Q: How do I change the default directory where exported data will be saved?
A: Follow the steps below to change directory.
1.	Right click on database you need in DB Explorer and click on "Database Registration Info..." item in popup menu (you can also find out this item in main menu "Database"). The Database Properties form will be opened.
2.	Click on the "Save Options" tab.
3.	In the "Default Directory for Export Data" section you can choose the default directory for export file.

Scroll to top

If you still have any questions, contact us at Support Center.

.topic 60
Database Explorer (or DB Explorer) is the basic navigation window for working with databases and database objects. Its treelike structure with multiple tabs allows you to perform almost all operations upon the databases and their objects quickly and easily. The following list contains the most common features provided by the Database Explorer.

Managing database registration info
Connecting to a database
Performing basic operations upon database objects
Creating projects to work with selected objects only
Navigating database objects using multiple tabs
Selecting multiple objects
Easy access to recently opened objects
Viewing information about database objects
Configuring Database Explorer

To view or hide this window use the View | DB Explorer menu item or press F11.

.topic 90
Database Explorer allows you to perform the following operations related with registering databases from its popup menu:

Register database
Unregister database
Edit database registration info

.topic 100
Use Projects node in each database to work with the selected objects of this database only. You can place here any object from the database tree.

Creating project

To create a project:

Create a folder (and maybe some subfolders) by right-clicking the Projects node and selecting the New Folder menu item.
Specify the new object name in the dialog window.

To add an object to the project:

Drag the object(s) from the database tree and drop it to the project folder.

Note: You can also create separate tab for your project. See Creating new tab section.

Removing object from project

To remove an object from the project:

Right-click the object and select the Remove Object menu item.
Confirm removing in the dialog window

Note: This does not drop the object out of database, but only removes it from the project tree.

.topic 117
Use Recent Objects button on the Database Explorer toolbar to access the list of recently opened database objects (during the current work session). This list is common for all the databases. Next to the object name the database name is displayed. Select the object from this list to open it with the editor.

To change the number of objects, considered 'recent' select the Options | Environment Options menu item and set the Recent objects count option value on the Tools | DB Explorer page (see Environment Options for details).

.topic 790
This area helps you to work with the DB Explorer window, displaying the additional information about the selected object or group of objects.

If you select a server in the DB Explorer, the SQL Assistant displays the list of the registered databases, where those you are connected to, are displayed in bold. Double-clicking the database alias in the SQL Assistant connects you to the database or disconnects you from it.

If you select a database in the DB Explorer, the SQL Assistant displays the list of the database object groups and a number of objects for each group. Selecting an object group in the DB Explorer displays the list of objects in the SQL Assistant. Double-clicking the object name in the SQL Assistant makes the object available for editing in the proper editor window. Right-clicking the object or group of objects (selected with the Ctrl or Shift buttons) allows you to edit or drop the selected objects.

What is displayed in SQL Assistant when a table is selected in DB Explorer depends on the position of the Tables' Details switch. It can be called via the View Mode button | Tables' Details menu on the toolbar or via the popup menu of the SQL Assistant.

Selecting another objects in the DB Explorer displays its DDL definition or description in the SQL Assistant depending on position of the Other Objects' Details switch. It can be called via the View Mode button | Other Objects' Details menu on the toolbar or via the popup menu of the SQL Assistant.

.topic 5
SQL Manager 2005 for SQL Server provides all the tools you need to manage and navigate databases. Note that to start working with databases in SQL Manager 2005 for SQL Server you are to register them (see Register Database Wizard).

Create Database

To create a database

Select the Database | Create Database menu item.
Set the database name, connection and authorization options in the Create Database Wizard.
Set option Register After Creating to call the Register Database Wizard after the creation finishes.

Drop Database

To drop a database

Select the database to drop in the DB Explorer tree.
If you are not connected to any database on the server, double-click its alias to establish connection.
Select the Database | Drop Database menu item.
Confirm dropping in the dialog window.

Register Database

To register a single database in SQL Manager 2005 for SQL Server

Select the Database | Register Database menu item.
Set connection, authorization and other options in the Register Database Wizard.

To register multiple databases on one host

Select the Database | Register Host menu item.
Set connection and authorization options, and select the databases to register in the Register Host Wizard.

Unregister Database

To unregister a single database

Select the database to unregister in the DB Explorer tree.
Select the Database | Unregister Database menu item.
Confirm unregistering in the dialog window.

To unregister all databases on the host

Select the host to unregister or a database on this host in the DB Explorer tree.
Select the Database | Unregister Host menu item.
Confirm unregistering in the dialog window.

Connect to Database

To connect to a database

Select the database to connect to in the DB Explorer tree.

Double click its alias.
or
Select the Database | Connect to Database menu item.

Disconnect from Database

To disconnect from a database

Select the database to disconnect from or any of its objects in the DB Explorer.
Select the Database | Disconnect from Database menu item.

.topic 10
The Create Database Wizard guides you through the process of creating a new database. To open the wizard select the Database | Create Database... menu item or click the Create Database button on the toolbar.

Setting the name for a new database
Setting database connection properties
Defining database files
Defining transaction log files
Viewing the result SQL statement

.topic 750
The Register Host Wizard allows you to register several databases from one host. To open the wizard select the Database | Register Host... menu item, or press Shift+Ctrl+R. You can also use the Register Host button on the main toolbar.

Setting connection properties
Selecting databases
Setting registration options

.topic 57
The New Object Dialog allows you to select an object type for creating and run the appropriate wizard or dialog. To open the dialog select the Database | New Object... menu item.

Select a database, where the new object should be created, from the Database dropdown list. Pick an object type icon and click the OK button to invoke the corresponding wizard or dialog.

.topic 170
Relational databases store all their data in tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Create table

To create a new table:

Select the Database | New Object menu item.
Select Table in the New Object window.
Edit table properties and fields on the appropriate tabs of the New Table window.

Hint: To create new table you can also right-click the Tables node of the explorer tree and select the New Table... item from the popup menu.

To create a new table with the same properties as one of the existing tables has:

Select the Database | Duplicate Object menu item.
Follow the instructions of the Duplicate Object Wizard.

The Duplicate Object window allows you to select the database to create the new table in and to edit the result SQL statement for creating the table.

Edit table

To edit the existing table (manage its fields, indices, data, etc):

Select the table for editing in the explorer tree (type the first letters of the table name for quick search).
Right-click and select the Edit Table <Table_Name> item in the popup menu or simply double-click the table.
Edit table subobjects and data on the appropriate tabs of the Table Editor.

To change the name of the table:

Select the table for editing in the explorer tree.
Right-click and select the Rename Table <Table_Name> item from the popup menu.
Edit table name in the dialog window.

Drop table

To drop a table:

Select the table for editing in the explorer tree.
Right-click and select the Drop Table <Table_Name> item from the popup menu.
Confirm dropping in the dialog window.

.topic 207
Table Editor is the basic SQL Manager 2005 for SQL Server tool for working with tables. It allows you to create, edit and drop table's fields, indexes, foreign keys, and other table subobjects, manage table data, and much more.

To open a table in the Table Editor, just double-click it in the Explorer Tree (see Edit Table for details).

Using navigation bar
Managing table fields
Changing fields order
Managing table foreign keys
Managing table checks
Managing table indexes
Managing table triggers
Browsing object dependencies
Viewing table data
Editing table description
Viewing DDL definition

.topic 120
Assembly is a managed application module containing class metadata and managed code as an object in SQL Server, against which CLR functions, stored procedures, triggers, user-defined aggregates, and user-defined types can be created in SQL Server.

Create assembly

To create a new assembly:

Select the Database | New Object... menu item.
Select Assembly in the New Object dialog.
Edit assembly definition within the Assembly Editor.

Hint: To create new assembly you can also right-click the Assemblies node of the explorer tree and select the New Assembly... item from the popup menu.

To create a new assembly with the same properties as one of the existing assemblies has:

Select the Database | Duplicate Object... menu item.
Follow the instructions of the Duplicate Object Wizard.

Edit assembly

To edit the existing assembly:

Select the assembly for editing in the explorer tree (type the first letters of the assembly name for quick search).
Right-click and select the Edit Assembly <Assembly_Name> item from the popup menu or simply double-click the assembly.
Edit assembly definition and data on the appropriate tabs of the Assembly Editor.

To change the name of the assembly:

Select the assembly to rename in the explorer tree.
Right-click and select the Rename Assembly <Assembly_Name> item from the popup menu.
Edit assembly name in the dialog window.

Drop assembly

To drop a assembly:

Select the assembly to drop in the explorer tree.
Right-click and select the Drop Assembly <Assembly_Name> item from the popup menu.
Confirm dropping in the dialog window.

.topic 930
SQL Manager 2005 for SQL Server provides two powerful tools for working with the SQL queries: SQL Editor for editing the query text directly and Visual Query Builder for building queries visually.

Creating a new Query

To create a new query in SQL Editor:

Select Tools | New SQL Editor menu item.
Click Add new query button on the toolbar.
Edit the query text on the Edit tab of the SQL Editor.

To create a new query in Query Builder:

Select Tools | New Query Builder menu item.
Build the query on the Builder tab of Visual Query Builder.

Editing Query

To open a query in SQL Editor:

Select Tools | Show SQL Editor menu item.
Use the number buttons at the bottom of the area to find one of the previously edited queries. The last edited query is displayed automatically on opening the editor.
To load a query from an *.sql file click Load from file button at the navigation bar.

To open a query in Query Builder:

Select Tools | Show Query Builder menu item.
The last edited query is displayed on the Builder tab.
To load a previously saved diagram click Load Diagram item at the navigation bar.
To load a query from an *.sql file, open the Editor tab and click Load from file button at the navigation bar.

Executing Query

To execute a query:

Create a new query or open the existing one.
Click Execute query button on the toolbar of SQL Editor or Visual Query Builder respectively.
View/edit the returned data on the Results tab.

Saving Query

To save a query:

Create a new query or open the existing one.
Click Save to file item at the navigation bar of SQL Editor or Save query item at the Editor tab of Visual Query Builder respectively to save the current query to *.sql file.
Click Save diagram item at the navigation bar of the Builder tab of Visual Query Builder to save the designed diagram.
Click Save All button on SQL Editor toolbar to save all the opened queries to one file.

.topic 265
SQL Editor is the basic SQL Manager 2005 for SQL Server tool for creating and executing queries. It allows you to create and edit SQL text for a query, prepare and execute queries and view the results of execution.
To open SQL Editor select Tools | Show SQL Editor / Tools | New SQL Editor menu item or press F12 / Shift + F12.

Using navigation bar
Viewing query plan
Working with editor area
Using object links
Using popup menu
Executing query and viewing results

.topic 287
Visual Query Builder is provided for building queries visually. It allows you to create and edit queries without knowledge of SQL, prepare and execute queries, and view the results of execution.
To open Visual Query Builder, select Tools | New Query Builder or Tools | Show Query Builder menu item.

Using navigation bar
Working with diagram area
Joining two database objects by fields
Setting the selection criteria
Setting output fields for selection
Setting the grouping criteria
Setting parameters of sorting
Working with editor area
Executing query and viewing results

.topic 940
Table data and query results are displayed on the Data or Results tab of Table Editor, SQL Editor, Visual Query Builder, etc.

The data can be displayed in three modes: Grid View, Form View and Print Data. See Data View to learn more about these modes.

The toolbars of these tabs as well as the popup menus (activated by right-click on the grid) provide the following functions for managing data:

Export Data
Exports data to various formats, including MS Excel, MS Access, RTF, HTML, PDF and more.

Export As SQL Script
Exports data to the SQL script as a number of INSERT statements.

Import Data
Imports data from MS Excel, MS Access, DBF, TXT, and CSV.

Edit BLOB
Allows you to view and edit the content of BLOB and TEXT fields.

.topic 590
SQL Manager 2005 for SQL Server provides you with powerful tools for viewing, editing and printing data from tables and queries. This topic shows how you can work with data in the simplest and the most direct way.

Grid View
Form View
Print Data

.topic 650
SQL Manager 2005 for SQL Server provides BLOB Viewer/Editor to view and edit BLOB fields content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, SQL Editor, Visual Query Builder, etc.

Navigating within the BLOB Viewer/Editor
Viewing/Editing BLOB field as hexadecimal dump
Viewing/Editing BLOB field as plain text
Viewing/Editing BLOB field as rich text (RTF)
Viewing/Editing BLOB field as graphical image
Viewing/Editing BLOB field as HTML
Applying changed to data

.topic 620
Export Data Dialog allows you to export data from table, view, procedure or query result to any available format. You can save your settings as a template at any time for later use.

To call the wizard right-click the table (view, procedure, etc.) in DB Explorer, select Data Manipulatiton and corresponding operation then. Another way is to select Data tab of Table Editor/View Editor, then corresponding menu item of the Data Management bar (navigation bar) or simply use context menu of the Grid -> Data Manipulation.

Setting name and format for destination file
Selecting fields for export
Adjusting formats applied to exported data
Setting header and footer text for destination file
Setting options according to the selected format
Setting common export options

.topic 640
Import Data Wizard allows you to import data to a table from MS Excel, MS Access, DBF, TXT or CSV file.

Setting source file name and format
Selecting source object for import data from
Setting the correspondence between the source and target fields
Adjusting common data formats
Setting advanced field formats
Setting import mode and data write type
Customizing common import options

.topic 630
Export as SQL Script Wizard allows you to export data from a table or a query result to SQL script as a number of INSERT statements.

To export data as INSERT from a table or a query:

open the table in Table Editor or open and execute query in SQL Editor or Query Builder;
open Data or Result tab respectively;
click Export as SQL Script item on the navigation bar.

Setting destination file name for the script
Selecting field to export
Editing result create statement
Specifying export options

.topic 720
BULK INSERT (Transact-SQL) loads a data file into a database table or view in a user-specified format. This statement copies data from a file to a table, appending the records to already existing data in the table. The file must be accessible to the server and the filename must be specified from the point of view of the server.

The Bulk Insert Wizard guides you through the bulk insert process.

To insert data to a table:

open the table in the Table Editor;
click the Bulk insert item on the Data Management bar.

or

click right mouse button on a table name
select Data Manipulation
click the Bulk Insert... item

Selecting data file and name of the table or view
Specifying bulk insert options
Selecting data file format

.topic 260
SQL Manager 2005 for SQL Server provides a number of powerful tools for working with the databases.

The following tools are available:

Dependency Tree
Allows you to view all the object dependencies in a one diagram.

Visual Database Designer
Allows you to lay out your database schema visually.

SQL Monitor
Displays all the SQL statements executed while working in SQL Manager 2005 for SQL Server.

SQL Script Editor
Executes SQL scripts to the database.

Extract Database Wizard
Extracts the table metadata to the SQL script, which can be later executed on another machine to reserve the database structure.

Print Metadata
Creates powerful metadata reports in the WYSIWYG mode, ready for printing.

HTML Report
Creates powerful metadata reports in the HTML format.

Report Designer
Allows you to build and print database reports

.topic 960
Visual Database Designer is provided for designing your database visually. It allows you to create, edit and drop tables and table fields, set links between tables, and so on.

To open the designer select the Tools | Visual Database Designer menu item.

Using navigation bar
Navigating on diagram
Adding objects to diagram
Removing objects from diagram
New object creation
Creating relationships
Working with multiple pages
Reverse engineering
Printing diagram
Saving/Loading diagram
Setting diagram options

.topic 380
Using SQL Script Editor, you can view, edit and execute SQL scripts. To open SQL Script Editor select the Tools | SQL Script menu item.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion is enabled.

Using navigation bar
Using popup menu
Using script explorer

Note: SQL Script Editor doesn't show SELECT query results. Please use SQL Editor for that purpose instead.

.topic 390
Using the Extract Database Wizard you can extract database objects and data to the SQL script, e.g. for backup purposes. To open this wizard, select the Tools | Extract Database menu item.

Use the Templates... button to save the wizard configuration for future use or to load the previously saved configuration for faster extract.

Selecting database to extract
Specify destination script file name
Selecting components to extract
Selecting database objects to extract their structure
Selecting database objects to extract their data
Customizing script options

.topic 400
Print Metadata allows you to print the metadata of any database object. To open it select Tools | Print Metadata menu item.

Select the type of the database objects to print using buttons at the navigation bar. Move the objects from the Available objects list to the Objects for printing list using arrow buttons, by double-clicking or dragging them (multiple objects can be selected using buttons Ctrl and Shift).

.topic 950
HTML Report wizard allows you to generate a detailed HTML report about the selected database metadata. To open HTML Report wizard select the Tools | HTML Report menu item.

Select source database and output directory
Select type of database objects to extract
Specify Cascading Style Sheet for the report
Set additional parameters

.topic 1210
The Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report. To edit already existing project use the appropriate Report Viewer navigation bar item.

This module is provided by FastReport (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find below the instruction on how to create a simple report in the Report Designer:

Adding dialog form
Adding database component
Adding query component
Adding fields to the report
Viewing the report

Note: The Object Inspector that allows you to edit report object properties, can be opened by pressing the F11 key.

.topic 370
SQL Monitor allows you to view the SQL code of all the operations executed over databases and database objects in SQL Manager 2005 for SQL Server. The content of the window can't be edited, but can be copied to the clipboard, saved to a text file or printed.

To open the SQL Monitor window, select Tools | SQL Monitor menu item.

Using navigation bar
Using popup menu

.topic 970
SQL Manager 2005 for SQL Server provides Login Manager for adding, deleting users, and editing global user privileges, and Grant Manager for granting privileges on the selected databases, tables and fields.

'Global' user privileges define the user access rights to all the database tables on the server. Granting privileges on the selected databases, tables or fields allows user to perform the defined operation (select, update, insert) over all the tables of the selected database, over the selected tables or over the selected fields only.

Adding User

To add a new user:

Select the Tools | User Manager menu item.
Click Add User button in Login Manager
Edit user within User Editor.

Editing User Properties

To edit user properties:

Select the Tools | User Manager menu item.
Select a user to edit his privileges in Login Manager window.
Click Edit User button.
Edit user privileges within User Editor.

Managing User Grants

To define user grants for database objects:

Select the Tools | Grant Manager menu item.
Select the database host from the drop-down list on  Grant Manager toolbar.
Edit database privileges within the Grant Manager.

Deleting User

To delete a user:

Select the Tools | User Manager item.
Select a user to delete in Login Manager window.
Click Delete User button.
Confirm deleting in the dialog window.

.topic 410
Login Manager is provided for administering users and their global privileges.

To open Login Manager select the Tools | Login Manager menu item.

Connecting to host
Using User Editor

.topic 420
Grant Manager allows you to set the user access grants for certain databases, tables, views, functions, sequences, schemas, tablespaces and languages.

To open Grant Manager select the Tools | Grant Manager menu item.

Managing database-specific privileges
Viewing granted objects only

.topic 480
SQL Manager 2005 for SQL Server provides graphical wizard interface for all native SQL Server services, which are intended for database and table maintenance. To make your work with the server easier SQL Manager 2005 for SQL Server also provides some graphical tools for working with the server as a whole.

The following services and server tools are available:

Attach Database

Detach Database

Backup Database

Restore Database

Backup devices

DTS Packages

Jobs

Job History

Alerts

Operators

.topic 510
SQL Manager 2005 for SQL Server provides attaching of an existing database that is made up of one or more files to the instance of MS SQL Server.

To open the Attach Database Wizard select the Services | Attach Database menu item.

.topic 540
SQL Manager 2005 for SQL Server provides detaching of a database from the instance of MS SQL Server.

.topic 440
Environment Options allow you to customize general SQL Manager 2005 for SQL Server options. To open the Environment Options window select the Options | Environment Options menu item.

Preferences
Confirmations
Windows
Tools
Timeouts
DB Explorer
Naming Rules
Object Editors
SQL Editor
SQL Monitor
SQL Script
Query Builder
Print Metadata
Data Export
Fonts
Grid
Data Options
Print Data
Color & Formats
Advanced
Column Options
Localization

.topic 980
  Show splash screen on startup
Displays the splash screen on SQL Manager 2005 for SQL Server startup.

  Save desktop on disconnect
Saves all the database windows and their positions on disconnecting from the database.

  Disable multiple instances
Prohibits running multiple instances of SQL Manager 2005 for SQL Server.

  Encrypted passwords
Encrypts passwords for connecting to databases in the Windows registry.

  Show desktop panel (for MDI Environment style only)
Displays the Desktop Panel when no windows are open.

.topic 1020
  Confirm saving of object
If this option is on, the program requires confirmation each time you want to save changes in database object.

  Confirm dropping object
If this option is on, the program requires confirmation for dropping database object.

  Confirm exit from SQL Manager 2005 for SQL Server
If this option is on, the program requires confirmation when you want to exit SQL Manager 2005 for SQL Server.

  Confirm transaction commit
If this option is checked, the program requires confirmation of the transaction commit.

  Confirm transaction rollback
If this option is checked, the program requires confirmation of the transaction rollback.

  Confirm metadata changing
If this option is on, the program requires confirmation of metadata changing (See Changing Metadata window).

Table altering operations performed via recreation
This option defines SQL Manager 2005 for SQL Server behavior when it is needed to recreate able to perform requested changes with it.
Enabled - such operations will be available without warnings.
Enabled, show warning - the warning window will appear if chosen operation requires table recreation.
Disabled - deny this type of operations.

.topic 1030
Environment Style
This switch allows you to define the basic window environment - MDI (like MS Office) or Floating Windows (like Borland IDE).

Windows restrictions
This option allows you to set the number of editors (Table Editor, SQL Editor, etc.) that can be opened at a time.

Zoom options
This option is available only if Environment Style is 'Floating-windows environment'. It allows you to set the window maximization size: full screen, restricted by main form, restricted by main form and DB Explorer.

Bar style for child forms
Allows you to define the location of action buttons. They can be located at the Navigation bar at the left and/or on the Toolbar.
You can also Enable floating toolbars feature by clicking the appropriate option.

.topic 990
  Show only connected databases in drop-down menu
Displays only connected databases in the dropdown menus of such tools as: QueryBuilder, SQL Script, etc.

  Allow using parameters in query text
This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before some identifier (e.g. :P1) to specify a parameter within a query.

  Use transactions in Data tab of object editors, SQL Editor and Query Builder
If this option is on, the transaction is active until the Data tab is closed or the Commit button is pressed; all edited records are blocked until the transaction commit. If this option is off, then the transaction starts and immediately commits (autocommit) on saving each record, which is blocked only for a short time period.

  Use shared connection for each data view within a database
Uncheck this option to use separate connection for each data view within a database. Note that this option is only available when Use transactions in Data tab of object editors, SQL Editor and Query Builder is unchecked.

  Asynchronous query execution
Check this option to allow executing a query in background mode.

  Don't fill server lists in connection forms
If this option is checked, server list will be filled up with the names of most recently used servers, which are stored locally in the Windows registry. Otherwise, SQL Manager 2005 for SQL Server will scan the network to fill in the server lists in connection forms. Otherwise,

.topic 1000
System font name
Defines the font name used by SQL Manager 2005 for SQL Server.

System font size
Defines the font size used by SQL Manager 2005 for SQL Server.

The box below displays the sample text using the selected font.

.topic 1010

General options

  Striped Grids
Displays the odd grid rows in a different color, defined by the Stripy option.

  Show editor immediately
Allows editing the cell value right after the cell is clicked.

  Always show editor
Set this option to make the cell editors always active.

  Enable auto-search in grid
Set this option to enable start typing and have the grid automatically navigate to the closest match.

  Row multi-selection
With this option set, multiple rows can be selected.

  Column auto-width
With this option set, column widths are changed in order to display all columns without using the horizontal scrollbar. If a column's content is still too large to display without the grid needing to resize, then the column's values are truncated and the hidden characters are replaced with an end ellipsis.

  Cell auto-height
If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this.  If this option is set, the cell content is displayed in multiple lines where necessary. You can set the number of lines to display using Cell max line count option.

Limit options in table editor

Select all records
Selects all the records from the table, no matter how many records there are in it.

Select only
Select only fixed number of records on opening Data tab.

Records
This edit box is available only if Select only option is selected. It defines the maximum number of records, selected from the table at a time.

Grid layout preference

Select Save and restore layout option to keep the original grid width. Select Autofit column widths option to shrink the grid columns so that the longest visible column value fits.

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

  Show "Group by" box
Displays a box above the column captions allowing to group data in the grid.

  Show indicator
Displays the row indicator.

  Show navigator
Activates/deactivates the data navigator. This navigator is displayed at the bottom of a view.

  Show "New item row"
Displays an empty row at the top of a view, which is a convenient way for adding data to the grid.

  Hide tabs for single detail
This option is actual when only one view is present on detail level. When checked, it hides the view tab.

.topic 1040
The Localization page is provided for managing the SQL Manager 2005 for SQL Server localization files.

You can create your own *.lng files similar to those, available in the $(SQL Manager 2005 for SQL Server)\Languages folder, add them to the list of available languages on this tab and set the new language as a program interface language.

Default directory
The default directory for adding the new *.lng files.

Choose program language
Selects the program interface language.

Available languages
Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or *.lng file.

Add defaults
Searches in the Default directory folder for the *.lng files and adds all them to the list.

Add
Opens the Language Editor dialog for adding a new language file.

Edit
Opens the Language Editor dialog for changing the name or the corresponding *.lng file of the language selected in the Available languages list box.

Delete
Removes the language selected in the Available languages list box.

.topic 450
Editor Options allow you to set the parameters of viewing and editing the SQL statements within SQL Manager 2005 for SQL Server. To open the Editor Options window select the Options | Editor Options menu item.

General
Display
Color
Quick Code
SQL Formatter
Key Mapping

.topic 770
This window allows you to customize the application interface style to your liking. To open this window select the Options | Visual Options menu item.

Use Scheme Name to select the interface scheme you like: Office XP style, Windows XP native style, etc. You can create your own interface schemes by customizing any visual options you like on the appropriate tabs (Bars and Menus, Trees and Lists, Edit Controls, Check Boxes, Buttons, etc.) and clicking the Save As button.

All the customizing you make is displayed on the Sample panel.

Bars and menus
Trees and lists
Edit controls
Check boxes
Buttons
Page controls
Group boxes
Splitters
Navigation bar

.topic 470
The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly met expressions and to edit the existing ones. To call this window select the Options | Keyboard Templates menu item from the popup menu.

You can deactivate the existing template by choosing it from the list at the left of the window and removing flag from its name. Also you can edit template name, using button Edit, delete a template, using button Delete and edit template expression in the right part of the window. For faster editing you can use buttons Cursor Position, Author, Time, Date.

To add a new template, click Add, set the template name and define the template expression. In the upper left corner of the window you can choose the case of the template expression.

.topic 820
Save Settings Wizard allows you to export SQL Manager 2005 for SQL Server settings wholly or partially to a single *.reg file, which you can apply to SQL Manager 2005 for SQL Server installed on another machine or use to backup previous settings. To open the wizard select the Options | Save Settings menu item.

Specifying destination file
Selecting settings
Selecting databases
Saving settings

.topic 1050
You can add external programs to SQL Manager 2005 for SQL Server to make it more effective.

Adding External Tool

To add an external program:

Select the Options | External Tools menu item.
Click Add... button in the External Tools dialog.
Click the button next to the Program box to select the program *.exe file, or set the program execution file manually in this box.
Set the program title, hot key, working directory and execution parameters if necessary in the proper boxes of the External Tool Info Editor.
Click OK in the External Tool Info Editor and External Tools dialogs.

This adds the icon and the title of the program you selected to the Tools | External Tools submenu. Now you can run this tool quickly without stopping work with MySQL Manager.

Removing External Tool

To remove an external program:

Select the Options | External Tools menu item.
Select the tool to remove from the Tools list in the External Tools dialog.
Click Delete button.
Click OK to confirm removing the tool and closing the dialog.

The selected tool is removed and is no longer accessible from the Tools | External Tools submenu.

.topic 460
The External Tools window allows you to add executable programs to the Tools | External Tools menu to access them quickly from SQL Manager 2005 for SQL Server. To call this window select the Options | External Tools menu item.

Tools
Lists all added external tools.

Add
Opens External Tool Info Editor for adding a new tool.

Edit
Opens External Tool Info Editor for editing title, .exe file, hot key, working directory or execution parameter of the tool, selected in the Tools list box.

Delete
Removes the selected tool from the list of SQL Manager 2005 for SQL Server external tools.

To change the order of tools in the list use the arrow buttons below the list box or press buttons Shift+Ctrl+Up / Shift+Ctrl+Down on the keyboard. You can also drag items in the list box to change their positions.

.topic 1180
The External Tool Info Editor window allows you to set the parameters of calling the external program from SQL Manager 2005 for SQL Server. This window is available on adding or editing the external tool (see Add External Tool and External Tools).

Title
Title displayed in the Tools | External Tools submenu for calling the tool.

Hot Key
Press a key or a key combination on the keyboard to set it as a hot key for the tool.

Program
Full path to the program *.exe file.

Working Dir
Program default directory.

Parameters
Parameters for executing the program.

.topic 1080
SQL Manager 2005 for SQL Server provides multi-language interface support. You can change the program language easily, edit existing localizations, and create your own localization files.

Changing Program Language

To select the program interface language:

Select the Options | Select Program Language menu item.
Select the interface language in the Select Program Language dialog.
Click OK to close the dialog.

Editing Program Localization

To edit the interface localization:

Open one of the program windows (e.g. Table Editor, SQL Editor) to edit the localization of its captions and hints.
Press Shift+Ctrl+L on the keyboard to open Localization Editor window.
Edit window captions and hints as you like.
Click Save button on the toolbar.

Note, that the Localization Editor window is available only if the selected language is different than default.

Creating New Localization

To create a new localization:

Create a new localization file similar to one of those situated in the $(MySQL Manager)\Languages folder.
Select the Options | Environment Options menu item.
Open the Environment Options | Localization dialog tab.
Click Add button on this tab.
Set the language name and the path to the new *.lng file in the dialog window.

The new language is added to the list of available languages. Now you can set it as a program interface language via the Select Program Language dialog or the Localization tab of the Environment Options.

.topic 1090
The Localization Editor window allows you to edit the captions and hints of any SQL Manager 2005 for SQL Server window, if the selected program language is different than default.

To call this window just press Shift+Ctrl+L in any SQL Manager 2005 for SQL Server window.

All the window text consists of the element names and the corresponding strings, divided by the '=' character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Don't edit anything that stands before the '=' character - this will not produce any effect.

For your convenience we have provided Find  and Replace buttons on the toolbar, which call the Find Text Dialog or the Replace Text Dialog respectively. The Search Again button enables the repeated search for the text last searched.

When you are done with editing click Save button on the toolbar to apply the changes you have made.

.topic 477
The Select Language dialog allows you to select a language for SQL Manager 2005 for SQL Server localization.

To call this window select the Options | Select Program Language menu item.

The window displays the list of available languages, set in the Environment Options  | Localization. Select the proper interface language and click OK.

.topic 610
The Find Text Dialog is provided for quick searching for the text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

  Case Sensitive
Differentiates uppercase from lowercase when performing a search.

  Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

  Regular Expressions
Recognizes regular expressions in the search string.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

Selected text
Searches only the selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.

.topic 1150
The Replace Text Dialog is provided for searching and replacing text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

Text to Replace
Enter the replacement string. To select from a list of previously entered search strings, click the down arrow next to the input box. To replace the text with nothing, leave this input box blank.

  Case Sensitive
Differentiates uppercase from lowercase when performing a search.

  Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

  Regular Expressions
Recognizes regular expressions in the search string.

  Prompt on replace
Prompts you before replacing each occurrence of the search string. When Prompt on replace is off, the search string is replaced automatically.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.

Replace All
Click Replace All to replace every occurrence of the search string. If you check Prompt on replace, the confirmation dialog box appears on each occurrence of the search string.

.topic 600
The To-Do List window allows you to make up a list of tasks for the database. To call this window select the View | To-Do List menu item.

Click the Add Item button to add a task to the list. Fill in the fields of Add To-Do Item dialog window:

Text
Optional text describing the task.

Priority
The priority of the task: not negative integer.

User Name
User name this task is applied to.

Category
The task category. You can set optional text or choose one of the given categories here.

Click 'OK' to add the new task to the list.

Choose a task from the list and click the Edit Item button to edit it.

The Delete Item button deletes the Selected task from the list.

Click the Delete All button to clear the task list. Confirm it in the dialog window and all the tasks will be deleted.

Database Select Field
Select the database to apply the task list to. When switching between the databases you can view different task lists.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Clicking left mouse button at the column title allows you to enable sorting by the current parameter or change the sorting direction.

Clicking right mouse button in the window area activates popup menu, which allows you to add a task to the list, edit or drop current task, and clear the task list.

.topic 1160
The Customize Toolbars window allows you to select the buttons displayed on the MySQL Manager toolbars and change their positions.

To call this window, click the down-arrow button at the right-side of any toolbar, then click Add or Remove Buttons and select Customize.

Toolbars

Toolbars
The toolbars of the window from which the Customize was called. Click a box near the toolbar name to show or hide the toolbar.

New
Adds a new toolbar to the toolbar list and to the parent window.

Rename
Renames a user-created toolbar.

Delete
Deletes a user-created toolbar.

Commands

This tab allows you to view the list of all the commands available within toolbars of the parent window. Selecting categories in the Categories list box displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list box. You can pick a command and drag it on any parent window toolbar to create a button for this command.

Options

Menus show recently used commands first
With this option on the parent window menus drop-down containing only several items available, which have been used recently. To display full menus unselect this option.

Show full menus after a short delay
This option is available only if Menus show recently used commands first is on. It displays full menus after a few seconds of showing only recent items.

Reset my usage data
Resets the lists of recently used commands in the toolbars and menus.

Large Icons
Displays larger icons on the parent window toolbars.

Show ToolTips on toolbars
Shows tips on navigating to the toolbar button.

Show shortcut keys in ToolTips
Shows shortcuts for faster activating the corresponding commands in the button tips.

Menu animations
Select how menus appear in the parent window.

.topic 1190
The Language Editor window allows you to set the name and the corresponding *.lng file for the localization language. It is available on adding or editing the language (see Environment Options | Localization).

Language Name
The name of the language displayed in the Select Program Language dialog and on the Environment Options | Localization tab.

Language File
The *.lng file containing the translated string resources. See $(MySQL Manager)/Languages folder to find already existing localization files.


  • Index

To-Do List

The To-Do List window allows you to make up a list of tasks for the database. To call this window select the View | To-Do List menu item.

Click the Add Item button to add a task to the list. Fill in the fields of Add To-Do Item dialog window:

Text
Optional text describing the task.

Priority
The priority of the task: not negative integer.

User Name
User name this task is applied to.

Category
The task category. You can set optional text or choose one of the given categories here.

Click 'OK' to add the new task to the list.

Choose a task from the list and click the Edit Item button to edit it.

The Delete Item button deletes the Selected task from the list.

Click the Delete All button to clear the task list. Confirm it in the dialog window and all the tasks will be deleted.

Database Select Field
Select the database to apply the task list to. When switching between the databases you can view different task lists.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Clicking left mouse button at the column title allows you to enable sorting by the current parameter or change the sorting direction.

Clicking right mouse button in the window area activates popup menu, which allows you to add a task to the list, edit or drop current task, and clear the task list.


  • Index

Find Text Dialog

The Find Text Dialog is provided for quick searching for the text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

chbox Case Sensitive
Differentiates uppercase from lowercase when performing a search.

chbox Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

chbox Regular Expressions
Recognizes regular expressions in the search string.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

Selected text
Searches only the selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.


  • Index

Replace Text Dialog

The Replace Text Dialog is provided for searching and replacing text in the editor window.

Text to Find
Enter a search string. To select from a list of previously entered search strings, click the down arrow next to the input box.

Text to Replace
Enter the replacement string. To select from a list of previously entered search strings, click the down arrow next to the input box. To replace the text with nothing, leave this input box blank.

chbox Case Sensitive
Differentiates uppercase from lowercase when performing a search.

chbox Whole words only
Searches for words only. (With this option off, the search string might be found within longer words.)

chbox Regular Expressions
Recognizes regular expressions in the search string.

chbox Prompt on replace
Prompts you before replacing each occurrence of the search string. When Prompt on replace is off, the search string is replaced automatically.

Forward
Searches from the current position to the end of the file.

Backward
Searches from the current position to the beginning of the file.

Global
Searches the entire file, in the direction specified by the Direction setting.

From cursor
The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

Entire scope
The search covers either the entire block of selected text or the entire file (no matter where the cursor is in the file), depending upon the Scope options.

Replace All
Click Replace All to replace every occurrence of the search string. If you check Prompt on replace, the confirmation dialog box appears on each occurrence of the search string.


  • Index

Customize Toolbars

The Customize Toolbars window allows you to select the buttons displayed on the MySQL Manager toolbars and change their positions.

To call this window, click the down-arrow button at the right-side of any toolbar, then click Add or Remove Buttons and select Customize.

Toolbars

Toolbars
The toolbars of the window from which the Customize was called. Click a box near the toolbar name to show or hide the toolbar.

New
Adds a new toolbar to the toolbar list and to the parent window.

Rename
Renames a user-created toolbar.

Delete
Deletes a user-created toolbar.

Commands

This tab allows you to view the list of all the commands available within toolbars of the parent window. Selecting categories in the Categories list box displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list box. You can pick a command and drag it on any parent window toolbar to create a button for this command.

Options

Menus show recently used commands first
With this option on the parent window menus drop-down containing only several items available, which have been used recently. To display full menus unselect this option.

Show full menus after a short delay
This option is available only if Menus show recently used commands first is on. It displays full menus after a few seconds of showing only recent items.

Reset my usage data
Resets the lists of recently used commands in the toolbars and menus.

Large Icons
Displays larger icons on the parent window toolbars.

Show ToolTips on toolbars
Shows tips on navigating to the toolbar button.

Show shortcut keys in ToolTips
Shows shortcuts for faster activating the corresponding commands in the button tips.

Menu animations
Select how menus appear in the parent window.


  • Index

Language Info Editor

The Language Editor window allows you to set the name and the corresponding *.lng file for the localization language. It is available on adding or editing the language (see Environment Options | Localization).

Language Name
The name of the language displayed in the Select Program Language dialog and on the Environment Options | Localization tab.

Language File
The *.lng file containing the translated string resources. See $(MySQL Manager)/Languages folder to find already existing localization files.


 To register your purchased copy of EMS SQL Manager 2005 for SQL Server do the following steps:

· Receive the notification letter from Share-it! with the registration info.
· Enter Registration Name and Registration Key from this letter.
· Make sure that registration process was completed successfully - look at About window at Help | About… main menu item.

See also:
Purchasing SQL Manager


 This window allows you to see short messages, notifying you about fine points or interesting abilities of SQL Manager 2005 for SQL Server.

hs6000_tip of the day